﻿using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataVisualization;
using Syncfusion.JavaScript.DataVisualization.DiagramEnums;
using Syncfusion.JavaScript.DataVisualization.Models;
using Syncfusion.JavaScript.DataVisualization.Models.Collections;
using Syncfusion.JavaScript.DataVisualization.Models.Diagram;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using HorizontalAlignment = Syncfusion.JavaScript.DataVisualization.DiagramEnums.HorizontalAlignment;
using Label = Syncfusion.JavaScript.DataVisualization.Models.Diagram.Label;
using Node = Syncfusion.JavaScript.DataVisualization.Models.Diagram.Node;
using Port = Syncfusion.JavaScript.DataVisualization.Models.Diagram.Port;
using TextAlign = Syncfusion.JavaScript.TextAlign;

namespace WebApplication2
{
    public partial class BPMNShapes : System.Web.UI.Page
    {
        string darkColor = "#C7D4DF";
        string lightColor = "#f5f5f5";
        Int32 defaultWidth = 120;
        Int32 defaultHeight = 60;
        String taskNodeType = "Task";
        String unassignedTaskID = "-1";


        protected void Page_Init(object sender, EventArgs e)
        {
            // Ensure that the browser always fetches the latest stuff and does not rely on anything cached
            Response.AppendHeader("Cache-Control", "no-cache"); //HTTP 1.1
            Response.AppendHeader("Cache-Control", "private"); // HTTP 1.1
            Response.AppendHeader("Cache-Control", "no-store"); // HTTP 1.1
            Response.AppendHeader("Cache-Control", "must-revalidate"); // HTTP 1.1
            Response.AppendHeader("Cache-Control", "max-stale=0"); // HTTP 1.1 
            Response.AppendHeader("Cache-Control", "post-check=0"); // HTTP 1.1 
            Response.AppendHeader("Cache-Control", "pre-check=0"); // HTTP 1.1 
            Response.AppendHeader("Pragma", "no-cache"); // HTTP 1.1 
            Response.AppendHeader("Keep-Alive", "timeout=3, max=993"); // HTTP 1.1 
            Response.AppendHeader("Expires", "Mon, 26 Jul 1997 05:00:00 GMT"); // HTTP 1.1 
        }


        protected void Page_Load(object sender, EventArgs e)
        {

            if (!IsPostBack)
            {


                InitializeDiagram();
                InitializePalette();

            }
        }
        private void InitializePalette()
        {
            symbolpalette.Height = "800px";
            symbolpalette.Width = "270px";
            symbolpalette.PaletteItemHeight = 40;
            symbolpalette.PaletteItemWidth = 45;
            symbolpalette.Model.PreviewHeight = 60;
            symbolpalette.Model.PreviewWidth = 60;
            symbolpalette.SelectedPaletteName = "BPMN Shapes";
            symbolpalette.ShowPaletteItemText = false;
            symbolpalette.DiagramId = "DiagramContent";
            //symbolpalette.Model.AllowDropOnClick = false; // prevents a shape from being automatically dropped on canvas by simply left clicking in the palette
            symbolpalette.Model.Palettes.Add(GenerateNavviaShapes());
            //symbolpalette.Model.Palettes.Add(GenerateFlowShapes());
            //symbolpalette.Model.Palettes.Add(GenerateRafFlowShapes());
            ////symbolpalette.Model.Palettes.Add(GenerateConnectors());
            //symbolpalette.Model.Palettes.Add(GenerateClipArt());
        }
        private void InitializeDiagram()
        {
            //. . .
            DiagramContent.PageSettings.PageWidth = 600;
            DiagramContent.PageSettings.PageHeight = 600;
            //DiagramContent.PageSettings.PageBackgroundColor = "gray";
            //DiagramContent.PageSettings.PageMargin = 20;
            DiagramContent.PageSettings.PageOrientation = PageOrientation.Landscape;
            DiagramContent.PageSettings.ShowPageBreak = false;
            DiagramContent.PageSettings.MultiplePage = false;
            DiagramContent.PageSettings.PageBorderColor = "blue";
            DiagramContent.PageSettings.PageBorderWidth = 2;
            DiagramContent.PageSettings.ScrollLimit = ScrollLimit.Diagram;
            DiagramContent.EnableAutoScroll = true;
            //DiagramContent.PageSettings.ScrollableArea = ScrollableArea.
            //DiagramContent.PageSettings.AutoScrollBorder = AutoScrollBorder
            //DiagramContent.ShowTooltip = true;
            //DiagramContent.SnapSettings.SnapConstraints = SnapConstraints.None;
            DiagramContent.Model.EnableContextMenu = false; // We'll use our own context menu built using an ej Menu control
            //DiagramContent.OnClientDrag = "drag";
            DiagramContent.OnClientMouseHover = "mousehover";
            DiagramContent.OnClientMouseLeave = "mouseleave";
            DiagramContent.OnClientSizeChange = "sizeChange";
            DiagramContent.OnClientNodeCollectionChange = "nodeCollectionChange";
            DiagramContent.OnClientDragEnter = "dragEnter";
            DiagramContent.OnClientDrag = "nodeDrag";
            DiagramContent.OnClientDrop = "nodeDrop";
            DiagramContent.OnClientPropertyChange = "propertyChange";
            Node triangle = CreateNodes("Triangle", "M81.1582,85.8677L111.1582,33.9067L141.1582,85.8677L81.1582,85.8677z", null, false);
            triangle.OffsetX = 100;
            triangle.OffsetY = 100;
            Label ll = new Label();
            ll.Text = "sss" + " \n " + "sss";
            ll.Name = "s1";
            triangle.Labels.Add(ll);
            DiagramContent.Model.Nodes.Add(triangle);
            Node parallelogram = CreateNodes("Parallelogram", "M 10 0 L 40 0 L 30 40 L 0 40 Z", null, false);
            parallelogram.OffsetX = 200;
            parallelogram.OffsetY = 200;
            DiagramContent.Model.Nodes.Add(parallelogram);
            DiagramContent.OnClientNodeCollectionChange = "nodeCollectionChange";
            DiagramContent.OnClientConnectorCollectionChange = "ConnectorCollectionChange";

        }

        public Palette GenerateNavviaShapes()
        {
            Palette navviaNodes = new Palette("BPMN Shapes");
            navviaNodes.Expanded = true;

            #region Swimlane Shape

            Lane horLane = CreateSwimLane("HorizLane", "horizontal", 140, 60);
            Lane vertLane = CreateSwimLane("VerticalLane", "vertical", 60, 140);

            /*
            Lane horLane = new Lane();
            horLane.Name = "HorizontalLane";
            //Header header = new Header();
            horLane.Header.Text = "Header";
            horLane.Header.Width = 60;
            horLane.Header.Height = 80;
            horLane.Header.FillColor = "#C7D4DF";
            horLane.Header.FontSize = 24;
            //horLane.Header = header;
            horLane.FillColor = "#f5f5f5";
            horLane.Height = 60;
            horLane.Width = 140;
            horLane.OffsetX = 60;
            horLane.OffsetY = 60;
            //horLane.IsLane = true;
            horLane.Orientation = "horizontal";

             * Lane vertLane = new Lane();
            vertLane.Name = "VerticalLane";
            header = new Header();
            header.Text = "Header";
            header.Width = 200;
            header.FillColor = "#C7D4DF";
            header.FontSize = 24;
            vertLane.Header = header;
            vertLane.FillColor = "#f5f5f5";
            vertLane.Height = 50;
            vertLane.Width = 30;
            vertLane.OffsetX = 30;
            vertLane.OffsetY = 15;
            vertLane.IsLane = true;
            vertLane.Orientation = "vertical";
             * */
            #endregion

            #region Tasks

            Node Task = CreateNodes("Task",
                "M120,5.75v48c0,3.312-2.688,6-6,6H6c-3.313,0-6-2.688-6-6v-48c0-3.313,2.687-6,6-6h108 C117.312-0.25,120,2.437,120,5.75z",
                "white", true);
            Task.Width = 44;
            Task.Height = 30;
            Task.OffsetX = 150;
            Task.OffsetY = 250;
            Dictionary<string, object> addInfo_Task = new Dictionary<string, object>();
            addInfo_Task.Add("NodeType", taskNodeType);
            addInfo_Task.Add("DropWidth", 120);
            addInfo_Task.Add("DropHeight", 60);
            Task.AddInfo = addInfo_Task;
            CreateRectanglePorts(Task);

            Node ReceiveTaskIcon = CreateNodes("ReceiveTaskIcon",
                "M0,0.083v12h18.583V0.082L9.291,7.583L0,0.083z M17.093,0H1.49l7.801,6.298L17.093,0z",
                "white", true);
            ReceiveTaskIcon.Width = 44;
            ReceiveTaskIcon.Height = 30;
            ReceiveTaskIcon.OffsetX = 150;
            ReceiveTaskIcon.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_ReceiveTaskIcon = new Dictionary<string, object>();
            addInfo_ReceiveTaskIcon.Add("NodeType", taskNodeType);
            addInfo_ReceiveTaskIcon.Add("DropWidth", 120);
            addInfo_ReceiveTaskIcon.Add("DropHeight", 60);
            ReceiveTaskIcon.AddInfo = addInfo_ReceiveTaskIcon;
            CreateRectanglePorts(ReceiveTaskIcon);

            Node UserTaskIcon = CreateNodes("UserTaskIcon",
                "M11.055-1.735c2.696,0,4.883,2.187,4.883,4.883c0,2.698-2.187,4.882-4.883,4.882 c-2.696,0-4.883-2.187-4.883-4.882C6.172,0.451,8.359-1.735,11.055-1.735z M4.544,14.541c0,0,0.049-4.381,3.232-5.801 c0.967,0.568,2.077,0.918,3.279,0.918c1.2,0,2.312-0.35,3.277-0.918c3.186,1.42,3.232,5.801,3.232,5.801H4.544z",
                "white", true);
            UserTaskIcon.Width = 24;
            UserTaskIcon.Height = 30;
            UserTaskIcon.OffsetX = 150;
            UserTaskIcon.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_UserTaskIcon = new Dictionary<string, object>();
            addInfo_UserTaskIcon.Add("NodeType", taskNodeType);
            addInfo_UserTaskIcon.Add("DropWidth", 120);
            addInfo_UserTaskIcon.Add("DropHeight", 60);
            UserTaskIcon.AddInfo = addInfo_UserTaskIcon;
            CreateRectanglePorts(UserTaskIcon);

            Node ManualTaskIcon = CreateNodes("ManualTaskIcon",
                "M9.465,0c0.701,0,1.268,0.503,1.268,1.124c0,0.62-0.566,1.122-1.268,1.122h-4.52L9.465,0z M20.229,8.407 h-9.334l0.226,0.821h7.349c0.699,0,1.27,0.502,1.27,1.123c0,0.619-0.569,1.123-1.27,1.123h-6.734l0.225,0.82h4.752 c0.699,0,1.268,0.501,1.268,1.122s-0.567,1.124-1.268,1.124h-4.138H8.671H5.693c-3.159,0-5.721-2.562-5.721-5.723 c0-3.161,2.562-5.724,5.721-5.724h1.025h2.725h8.833c0.699,0,1.269,0.503,1.269,1.123c0,0.621-0.567,1.123-1.269,1.123h-8.218 l0.225,0.819h9.946c0.699,0,1.268,0.503,1.268,1.124C21.495,7.905,20.928,8.407,20.229,8.407z",
                "white", true);
            ManualTaskIcon.Width = 40;
            ManualTaskIcon.Height = 30;
            ManualTaskIcon.OffsetX = 150;
            ManualTaskIcon.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_ManualTaskIcon = new Dictionary<string, object>();
            addInfo_ManualTaskIcon.Add("NodeType", taskNodeType);
            addInfo_ManualTaskIcon.Add("DropWidth", 120);
            addInfo_ManualTaskIcon.Add("DropHeight", 60);
            ManualTaskIcon.AddInfo = addInfo_ManualTaskIcon;
            CreateRectanglePorts(ManualTaskIcon);

            Node SendTaskIcon = CreateNodes("SendTaskIcon", "M-5.812,0v14.084h20.583V0H-5.812z M12.28,1L4.479,7.298L-3.322,1H12.28z M-4.812,13.084V1.083l9.291,7.5 l9.292-7.501v12.002H-4.812z", "white", true);
            SendTaskIcon.Width = 44;
            SendTaskIcon.Height = 30;
            SendTaskIcon.OffsetX = 150;
            SendTaskIcon.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_SendTaskIcon = new Dictionary<string, object>();
            addInfo_SendTaskIcon.Add("NodeType", taskNodeType);
            addInfo_SendTaskIcon.Add("DropWidth", 120);
            addInfo_SendTaskIcon.Add("DropHeight", 60);
            SendTaskIcon.AddInfo = addInfo_SendTaskIcon;
            CreateRectanglePorts(SendTaskIcon);

            Node ScriptTaskIcon = CreateNodes("ScriptTaskIcon",
                "M16.495,18.618H1.998l0.571-0.792c1.149-1.595,2.944-4.524,2.868-5.595 c-0.048-0.667-0.724-1.661-1.378-2.622c-0.815-1.198-1.584-2.33-1.584-3.335c0-1.778,3.827-5.545,4.595-6.282l0.145-0.14h14.478 l-0.544,0.785c-1.11,1.601-2.872,4.546-2.872,5.637c0,0.697,0.75,1.8,1.411,2.773c0.762,1.119,1.481,2.178,1.549,3.113 c0.127,1.799-3.806,5.582-4.596,6.323L16.495,18.618z M3.929,17.618h12.169c1.807-1.717,4.206-4.438,4.139-5.387 c-0.048-0.667-0.724-1.661-1.377-2.622c-0.815-1.198-1.585-2.33-1.585-3.335c0-1.361,1.638-4.061,2.524-5.422H7.617 C5.849,2.575,3.474,5.307,3.474,6.274c0,0.697,0.75,1.8,1.412,2.773c0.762,1.119,1.481,2.178,1.548,3.113 C6.532,13.537,4.849,16.248,3.929,17.618z M7.145,13.751h8.903v1.013H7.145V13.751z M16.048,10.441H7.145v1.013h8.903V10.441z M16.048,7.477H7.145V8.49h8.903V7.477z M16.048,4.117H7.145v1.012h8.903V4.117z",
                "white", true);
            ScriptTaskIcon.Width = 30;
            ScriptTaskIcon.Height = 30;
            ScriptTaskIcon.OffsetX = 150;
            ScriptTaskIcon.OffsetY = 250;
            Dictionary<string, object> addInfo_ScriptTaskIcon = new Dictionary<string, object>();
            addInfo_ScriptTaskIcon.Add("NodeType", taskNodeType);
            addInfo_ScriptTaskIcon.Add("DropWidth", 120);
            addInfo_ScriptTaskIcon.Add("DropHeight", 60);
            ScriptTaskIcon.AddInfo = addInfo_ScriptTaskIcon;
            CreateRectanglePorts(ScriptTaskIcon);

            Node ServiceTaskIcon = CreateNodes("ServiceTaskIcon",
                "M9.1,0.999c1.013,1.473,2.677,2.365,4.473,2.365c0.34,0,0.678-0.031,1.012-0.093l0.142,0.141 c-0.197,1.043-0.088,2.099,0.319,3.084c0.409,0.985,1.078,1.808,1.953,2.404v0.198c-0.875,0.595-1.543,1.417-1.953,2.404 c-0.407,0.986-0.519,2.041-0.319,3.084l-0.142,0.143c-0.334-0.062-0.672-0.094-1.012-0.094c-1.796,0-3.46,0.893-4.473,2.365H8.899 c-1.014-1.473-2.677-2.365-4.472-2.365c-0.339,0-0.677,0.031-1.011,0.094l-0.142-0.143c0.197-1.043,0.088-2.098-0.32-3.084 C2.546,10.516,1.875,9.695,1,9.099V8.9c0.875-0.598,1.544-1.419,1.953-2.404C3.362,5.51,3.47,4.454,3.274,3.412l0.141-0.141 c0.333,0.062,0.671,0.093,1.011,0.093c1.796,0,3.459-0.893,4.473-2.365H9.1 M9.66-0.001H8.339C7.558,1.456,6.087,2.364,4.426,2.364 c-0.448,0-0.89-0.065-1.321-0.196L2.17,3.102c0.304,1.003,0.258,2.05-0.14,3.012C1.631,7.074,0.923,7.846,0,8.339v1.322 c0.923,0.491,1.631,1.264,2.029,2.225c0.399,0.964,0.444,2.011,0.14,3.013l0.935,0.937c0.432-0.131,0.874-0.196,1.322-0.196 c1.662,0,3.131,0.907,3.912,2.364H9.66c0.781-1.457,2.252-2.364,3.914-2.364c0.449,0,0.891,0.065,1.322,0.196l0.934-0.937 c-0.303-1.002-0.258-2.049,0.141-3.013c0.398-0.961,1.105-1.731,2.029-2.225V8.339c-0.924-0.493-1.631-1.265-2.029-2.226 c-0.396-0.962-0.443-2.009-0.141-3.012l-0.934-0.934c-0.434,0.131-0.873,0.196-1.322,0.196C11.912,2.364,10.441,1.456,9.66-0.001 L9.66-0.001z M8.999,4.924c2.248,0,4.077,1.828,4.077,4.075c0,2.248-1.829,4.076-4.077,4.076c-2.247,0-4.075-1.828-4.075-4.076 C4.924,6.752,6.752,4.924,8.999,4.924 M8.999,3.924c-2.799,0-5.075,2.277-5.075,5.075c0,2.799,2.276,5.076,5.075,5.076 c2.802,0,5.076-2.277,5.076-5.076C14.075,6.201,11.801,3.924,8.999,3.924L8.999,3.924z M9,7.499c0.827,0,1.5,0.673,1.5,1.5 c0,0.828-0.673,1.502-1.5,1.502S7.5,9.827,7.5,8.999C7.5,8.172,8.172,7.499,9,7.499 M9,6.499c-1.381,0-2.5,1.12-2.5,2.5 c0,1.381,1.119,2.502,2.5,2.502s2.5-1.121,2.5-2.502C11.5,7.619,10.381,6.499,9,6.499L9,6.499z",
                "white", true);
            ServiceTaskIcon.Width = 30;
            ServiceTaskIcon.Height = 30;
            ServiceTaskIcon.OffsetX = 150;
            ServiceTaskIcon.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_ServiceTaskIcon = new Dictionary<string, object>();
            addInfo_ServiceTaskIcon.Add("NodeType", taskNodeType);
            addInfo_ServiceTaskIcon.Add("DropWidth", 120);
            addInfo_ServiceTaskIcon.Add("DropHeight", 60);
            ServiceTaskIcon.AddInfo = addInfo_ServiceTaskIcon;
            CreateRectanglePorts(ServiceTaskIcon);

            Node BusinessRuleIcon = CreateNodes("BusinessRuleIcon",
                "M19,1v13H1V1H19 M20,0H0v15h20V0L20,0z M19.685,3.132H0.602v1h19.083V3.132z M19.529,8.59H0.445v1h19.083v-1 H19.529z M6.341,0.278h-1v14.167h1V0.278z",
                "white", true);
            BusinessRuleIcon.Width = 41;
            BusinessRuleIcon.Height = 30;
            BusinessRuleIcon.OffsetX = 150;
            BusinessRuleIcon.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_BusinessRuleIcon = new Dictionary<string, object>();
            addInfo_BusinessRuleIcon.Add("NodeType", taskNodeType);
            addInfo_BusinessRuleIcon.Add("DropWidth", 120);
            addInfo_BusinessRuleIcon.Add("DropHeight", 60);
            BusinessRuleIcon.AddInfo = addInfo_BusinessRuleIcon;
            CreateRectanglePorts(BusinessRuleIcon);

            Node SubProcessIcon = CreateNodes("SubProcessIcon",
                "M2.433-2.433v18.516h13.648V-2.433H2.433z M13.841,10.281H9.757v4.163h-1v-4.162H4.671v-1h4.086V5.204h1 v4.076h4.084V10.281z",
                "white", true);
            SubProcessIcon.Width = 30;
            SubProcessIcon.Height = 30;
            SubProcessIcon.OffsetX = 150;
            SubProcessIcon.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_SubProcessIcon = new Dictionary<string, object>();
            addInfo_SubProcessIcon.Add("NodeType", taskNodeType);
            addInfo_SubProcessIcon.Add("DropWidth", 120);
            addInfo_SubProcessIcon.Add("DropHeight", 60);
            SubProcessIcon.AddInfo = addInfo_SubProcessIcon;
            CreateRectanglePorts(SubProcessIcon);

            #endregion

            #region Data Shapes
            Node DataCollection = CreateNodes("DataCollection",
                "M27.458,4.16h-3.66V0.5l0,0L27.458,4.16L27.458,4.16z M27.958,5.16v32.114H0V0h22.797v5.16H27.958z M23.297,25.127H4.66v1h18.637V25.127z M23.297,20.468H4.66v1h18.637V20.468z M23.297,15.809H4.66v1h18.637V15.809z M23.297,11.149 H4.66v1h18.637V11.149z",
                "white", false);
            DataCollection.Width = 22.5;
            DataCollection.Height = 30;
            DataCollection.OffsetX = 150;
            DataCollection.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_DataCollection = new Dictionary<string, object>();
            addInfo_DataCollection.Add("DropWidth", 45);
            addInfo_DataCollection.Add("DropHeight", defaultHeight);
            DataCollection.AddInfo = addInfo_DataCollection;
            CreateRectanglePorts(DataCollection);

            Node DataInput = CreateNodes("DataInput",
                "M34.245,0.5v3.66h3.661L34.245,0.5z M13.628,29.716v0.232l6.891-6.892l-6.891-6.893v0.379v1.971v0.909H12.72 H0v7.268h12.72h0.908v0.908V29.716z M33.245,5.16V0H10.448v18.513h2.272v-1.971v-2.573l9.084,9.087L12.72,32.14v-2.426v-2.118 h-2.272v9.678h27.958V5.16H33.245z",
                "white", false);
            DataInput.Width = 30;
            DataInput.Height = 30;
            DataInput.OffsetX = 150;
            DataInput.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_DataInput = new Dictionary<string, object>();
            addInfo_DataInput.Add("DropWidth", 60);
            addInfo_DataInput.Add("DropHeight", defaultHeight);
            DataInput.AddInfo = addInfo_DataInput;
            CreateRectanglePorts(DataInput);

            Node DataObject = CreateNodes("DataObject",
                "M27.458,4.16h-3.66V0.5l0,0L27.458,4.16L27.458,4.16z M27.958,5.16v32.114H0V0h22.797v5.16H27.958z",
                "white", false);
            DataObject.Width = 22.5;
            DataObject.Height = 30;
            DataObject.OffsetX = 150;
            DataObject.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_DataObject = new Dictionary<string, object>();
            addInfo_DataObject.Add("DropWidth", 60);
            addInfo_DataObject.Add("DropHeight", defaultHeight);
            DataObject.AddInfo = addInfo_DataObject;
            CreateRectanglePorts(DataObject);

            Node DataOutput = CreateNodes("DataOutput",
                "M27.458,4.16h-3.66V0.5L27.458,4.16z M15.249,19.423v3.634v3.634h12.72h0.908v0.908v2.117v0.232l6.892-6.892 l-6.892-6.893v0.379v1.971v0.909h-0.908H15.249z M27.968,27.596h-13.63v-4.541v-4.543h13.63L27.958,5.16h-5.16V0H0v37.274h27.958 L27.968,27.596z",
                "white", false);
            DataOutput.Width = 30;
            DataOutput.Height = 30;
            DataOutput.OffsetX = 150;
            DataOutput.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_DataOutput = new Dictionary<string, object>();
            addInfo_DataOutput.Add("DropWidth", 60);
            addInfo_DataOutput.Add("DropHeight", defaultHeight);
            DataOutput.AddInfo = addInfo_DataOutput;
            CreateRectanglePorts(DataOutput);

            Node DataStore = CreateNodes("DataStore",
                "M36.768,2.824c0,0.06-0.033,0.118-0.052,0.176c-0.531-1.672-8.511-3-18.303-3 c-9.794,0-17.773,1.328-18.305,3C0.09,2.942,0.057,2.884,0.057,2.824v4.277h0.006c0.132,1.735,8.294,3.134,18.35,3.134 c10.055,0,18.217-1.398,18.349-3.134h0.008V2.824H36.768z M18.413,0.823c10.491,0,15.282,1.514,16.335,2.354 c-1.053,0.84-5.844,2.259-16.335,2.259C7.921,5.436,3.13,4.017,2.078,3.177C3.13,2.336,7.92,0.823,18.413,0.823z M36.768,10.007 h0.002v1.133v1.468v1.678v14.35h-0.008c-0.132,1.737-8.294,3.135-18.349,3.135c-10.056,0-18.218-1.398-18.35-3.135H0.057v-4.277 V14.286v-3.146v-1.134c0,1.755,8.22,3.177,18.356,3.177C28.549,13.184,36.768,11.762,36.768,10.007z",
                "white", false);
            DataStore.Width = 35;
            DataStore.Height = 30;
            DataStore.OffsetX = 150;
            DataStore.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_DataStore = new Dictionary<string, object>();
            addInfo_DataStore.Add("DropWidth", 70);
            addInfo_DataStore.Add("DropHeight", defaultHeight);
            DataStore.AddInfo = addInfo_DataStore;
            CreateRectanglePorts(DataStore);

            #endregion

            #region Events

            Node ErrorEvent = CreateNodes("ErrorEvent",
                "M2.284,17.357l2.95-8.853h-5.24l5.667-8.5h6.079l-2.5,5h5.397L2.284,17.357z",
                "white", false);
            ErrorEvent.Width = 18.5;
            ErrorEvent.Height = 22;
            ErrorEvent.OffsetX = 150;
            ErrorEvent.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_ErrorEvent = new Dictionary<string, object>();
            addInfo_ErrorEvent.Add("DropWidth", 18.5);
            addInfo_ErrorEvent.Add("DropHeight", 22);
            ErrorEvent.AddInfo = addInfo_ErrorEvent;

            Node EscalationEvent = CreateNodes("EscalationEvent",
                "M8.12,0.173L7.059,2.395L1.965,13.072l-1.966,4.111l3.707-2.648l4.413-3.157l4.412,3.157l3.707,2.648 l-1.965-4.111L9.177,2.395L8.12,0.173L8.12,0.173z",
                "white", false);
            EscalationEvent.Width = 21;
            EscalationEvent.Height = 22;
            EscalationEvent.OffsetX = 150;
            EscalationEvent.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_EscalationEvent = new Dictionary<string, object>();
            addInfo_EscalationEvent.Add("DropWidth", 21);
            addInfo_EscalationEvent.Add("DropHeight", 22);
            EscalationEvent.AddInfo = addInfo_EscalationEvent;

            Node TimerEvent = CreateNodes("TimerEvent",
                "M9.243,3c4.511,0.299,8.091,4.056,8.091,8.636c0,1.772-0.536,3.42-1.452,4.794l-6.639-5.095V3z M11.821,0 H5.154v1.332h6.667V0z M8.089,11.936V3C3.581,3.3,0,7.056,0,11.636c0,4.778,3.888,8.669,8.666,8.669c2.594,0,4.918-1.15,6.508-2.962 L8.089,11.936z",
                "white", false);
            TimerEvent.Width = 19;
            TimerEvent.Height = 22;
            TimerEvent.OffsetX = 150;
            TimerEvent.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_TimerEvent = new Dictionary<string, object>();
            addInfo_TimerEvent.Add("DropWidth", 19);
            addInfo_TimerEvent.Add("DropHeight", 22);
            TimerEvent.AddInfo = addInfo_TimerEvent;

            Node MessageEvent = CreateNodes("MessageEvent",
                "M0,0.083v12h18.583V0.082L9.291,7.583L0,0.083z M17.093,0H1.49l7.801,6.298L17.093,0z",
                "white", false);
            MessageEvent.Width = 33;
            MessageEvent.Height = 22;
            MessageEvent.OffsetX = 150;
            MessageEvent.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_MessageEvent = new Dictionary<string, object>();
            addInfo_MessageEvent.Add("DropWidth", 33);
            addInfo_MessageEvent.Add("DropHeight", 22);
            MessageEvent.AddInfo = addInfo_MessageEvent;

            #endregion

            #region Flow

            Node Start = CreateNodes("Start",
                "M0.263,20c0-10.932,8.862-19.793,19.794-19.793C30.989,0.206,39.85,9.068,39.85,20 s-8.861,19.793-19.793,19.793C9.125,39.793,0.263,30.931,0.263,20z",
                "white", false);
            Start.Width = 30;
            Start.Height = 30;
            Start.OffsetX = 150;
            Start.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_Start = new Dictionary<string, object>();
            addInfo_Start.Add("DropWidth", 30);
            addInfo_Start.Add("DropHeight", 30);
            Start.AddInfo = addInfo_Start;
            CreateTrianglePorts(Start);

            Node Stop = CreateNodes("Stop",
                "M34.157,20c0,7.775-6.324,14.101-14.1,14.101S5.957,27.775,5.957,20c0-7.774,6.326-14.101,14.101-14.101 C27.831,5.899,34.157,12.225,34.157,20z M39.85,20c0,10.932-8.861,19.793-19.792,19.793C9.125,39.793,0.263,30.932,0.263,20 c0-10.931,8.862-19.794,19.794-19.794C30.988,0.206,39.85,9.068,39.85,20z M35.934,20c0-8.769-7.108-15.877-15.876-15.877 C11.289,4.123,4.18,11.231,4.18,20s7.108,15.877,15.877,15.877C28.825,35.877,35.934,28.769,35.934,20z",
                "white", false);
            Stop.Width = 30;
            Stop.Height = 30;
            Stop.OffsetX = 150;
            Stop.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_Stop = new Dictionary<string, object>();
            addInfo_Stop.Add("DropWidth", 30);
            addInfo_Stop.Add("DropHeight", 30);
            Stop.AddInfo = addInfo_Stop;
            CreateTrianglePorts(Stop);

            Node Decision = CreateNodes("Decision",
                "M20.44,0.206L0.263,20.382l19.411,19.412L39.85,19.616L20.44,0.206L20.44,0.206z",
                "white", false);
            Decision.Width = 30;
            Decision.Height = 30;
            Decision.OffsetX = 150;
            Decision.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_Decision = new Dictionary<string, object>();
            addInfo_Decision.Add("DropWidth", defaultHeight);
            addInfo_Decision.Add("DropHeight", defaultHeight);
            Decision.AddInfo = addInfo_Decision;
            CreateTrianglePorts(Decision);

            Node Exclusive = CreateNodes("Exclusive",
                "M17.438,26.182l-3.562-3.562L16.494,20l-2.618-2.618l3.563-3.563l2.618,2.619l2.618-2.618l3.562,3.562 L23.619,20l2.619,2.619l-3.563,3.562l-2.619-2.619L17.438,26.182z M15.29,22.619l2.148,2.148l2.618-2.619l2.619,2.619l2.149-2.149 l-2.619-2.619l2.618-2.618l-2.148-2.148l-2.618,2.618l-2.618-2.619l-2.149,2.149L17.909,20L15.29,22.619z M20.44,0.206L0.263,20.382 l19.411,19.412L39.85,19.616L20.44,0.206L20.44,0.206z",
                "white", false);
            Exclusive.Width = 30;
            Exclusive.Height = 30;
            Exclusive.OffsetX = 150;
            Exclusive.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_Exclusive = new Dictionary<string, object>();
            addInfo_Exclusive.Add("DropWidth", defaultHeight);
            addInfo_Exclusive.Add("DropHeight", defaultHeight);
            Exclusive.AddInfo = addInfo_Exclusive;
            CreateTrianglePorts(Exclusive);

            Node Parallel = CreateNodes("Parallel",
                "M22.576,26.223h-5.038V22.52h-3.703v-5.041h3.703v-3.702h5.038v3.702h3.703v5.041h-3.703V26.223z M18.538,25.223h3.038V21.52h3.703v-3.041h-3.703v-3.702h-3.038v3.702h-3.703v3.041h3.703V25.223z M20.44,0.206L0.263,20.382 l19.411,19.412L39.85,19.616L20.44,0.206L20.44,0.206z",
                "white", false);
            Parallel.Width = 30;
            Parallel.Height = 30;
            Parallel.OffsetX = 150;
            Parallel.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_Parallel = new Dictionary<string, object>();
            addInfo_Parallel.Add("DropWidth", defaultHeight);
            addInfo_Parallel.Add("DropHeight", defaultHeight);
            Parallel.AddInfo = addInfo_Parallel;
            CreateTrianglePorts(Parallel);

            Node InterProcess = CreateNodes("InterProcess",
                "M47.506,34.041H0.057c0-11.347,0-22.694,0-34.041h6.527v34.04h2V0h38.921 C47.505,11.347,47.505,22.694,47.506,34.041z",
                "white", false);
            InterProcess.Width = 40;
            InterProcess.Height = 30;
            InterProcess.OffsetX = 150;
            InterProcess.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_InterProcess = new Dictionary<string, object>();
            addInfo_InterProcess.Add("DropWidth", 80);
            addInfo_InterProcess.Add("DropHeight", defaultHeight);
            InterProcess.AddInfo = addInfo_InterProcess;
            CreateRectanglePorts(InterProcess);

            Node Predecessor = CreateNodes("Predecessor",
                "M39.85,0H0.266v18.355l19.73,11.488L39.85,18.355V0L39.85,0z",
                "white", false);
            Predecessor.Width = 40;
            Predecessor.Height = 30;
            Predecessor.OffsetX = 150;
            Predecessor.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_Predecessor = new Dictionary<string, object>();
            addInfo_Predecessor.Add("DropWidth", 80);
            addInfo_Predecessor.Add("DropHeight", defaultHeight);
            Predecessor.AddInfo = addInfo_Predecessor;
            CreateTrianglePorts(Predecessor);

            Node OffPage = CreateNodes("OffPage",
                "M25.297,0.248H0.001v30.254h25.296l22.151-15.388L25.297,0.248L25.297,0.248z",
                "white", false);
            OffPage.Width = 45;
            OffPage.Height = 30;
            OffPage.OffsetX = 150;
            OffPage.OffsetY = 250;
            //SendTask.Shape.CornerRadius = 5;
            Dictionary<string, object> addInfo_OffPage = new Dictionary<string, object>();
            addInfo_OffPage.Add("DropWidth", 90);
            addInfo_OffPage.Add("DropHeight", defaultHeight);
            OffPage.AddInfo = addInfo_OffPage;
            CreateTrianglePorts(OffPage);

            #endregion

            navviaNodes.Items.Add(horLane);
            navviaNodes.Items.Add(vertLane);
            navviaNodes.AppendChild(Task);
            navviaNodes.AppendChild(BusinessRuleIcon);
            navviaNodes.AppendChild(ManualTaskIcon);
            navviaNodes.AppendChild(ReceiveTaskIcon);
            navviaNodes.AppendChild(ScriptTaskIcon);
            navviaNodes.AppendChild(SendTaskIcon);
            navviaNodes.AppendChild(ServiceTaskIcon);
            navviaNodes.AppendChild(SubProcessIcon);
            navviaNodes.AppendChild(UserTaskIcon);
            navviaNodes.AppendChild(DataCollection);
            navviaNodes.AppendChild(DataInput);
            navviaNodes.AppendChild(DataObject);
            navviaNodes.AppendChild(DataOutput);
            navviaNodes.AppendChild(DataStore);
            navviaNodes.AppendChild(ErrorEvent);
            navviaNodes.AppendChild(EscalationEvent);
            navviaNodes.AppendChild(MessageEvent);
            navviaNodes.AppendChild(TimerEvent);
            navviaNodes.AppendChild(Start);
            navviaNodes.AppendChild(Stop);
            navviaNodes.AppendChild(Decision);
            navviaNodes.AppendChild(Exclusive);
            navviaNodes.AppendChild(Parallel);
            navviaNodes.AppendChild(InterProcess);
            navviaNodes.AppendChild(Predecessor);
            navviaNodes.AppendChild(OffPage);

            return navviaNodes;
        }

        public Palette GenerateFlowShapes()
        {
            Palette flowShapes = new Palette("Flowchart Shapes");
            flowShapes.Expanded = false;


            Node triangle = CreateNodes("Triangle12121", "M81.1582,85.8677L111.1582,33.9067L141.1582,85.8677L81.1582,85.8677z", null, false);
            triangle.Ports.Add(CreatePort("port1", 0.5f, 0));
            triangle.Ports.Add(CreatePort("port2", 0, 1));
            triangle.Ports.Add(CreatePort("port3", 1, 1));

            Node parallelogram = CreateNodes("Parallelogram", "M 10 0 L 40 0 L 30 40 L 0 40 Z", null, false);
            parallelogram.Ports.Add(CreatePort("port1", 0.4f, 0));
            parallelogram.Ports.Add(CreatePort("port2", 0.6f, 0));
            parallelogram.Ports.Add(CreatePort("port3", 0.8f, 0));
            parallelogram.Ports.Add(CreatePort("port4", 0.2f, 1));
            parallelogram.Ports.Add(CreatePort("port5", 0.4f, 1));
            parallelogram.Ports.Add(CreatePort("port6", 0.6f, 1));


            Node annotation1 = CreateNodes("Annotation1", "M49.9984,50.0029 L-0.00271199,50.0029 L-0.00271199,0.00286865 L49.9984,0.00286865", "transparent", false);
            annotation1.Ports.Add(CreatePort("port1", 0, 0.5f));
            annotation1.Ports.Add(CreatePort("port2", 0, 0));
            annotation1.Ports.Add(CreatePort("port3", 0.5f, 0));
            annotation1.Ports.Add(CreatePort("port4", 1, 0.5f));
            annotation1.Ports.Add(CreatePort("port5", 1, 0));
            annotation1.Ports.Add(CreatePort("port6", 1, 1));
            annotation1.Ports.Add(CreatePort("port7", 0.5f, 1));
            annotation1.Ports.Add(CreatePort("port8", 0, 1));

            Node annotation2 = CreateNodes("Annotation2", "M49.9977,50.0029 L25.416,50.0029 L25.416,0.00286865 L49.9977,0.00286865 M25.4166,25.0029 L-0.00227869,25.0029", "transparent", false);
            annotation2.Ports.Add(CreatePort("port1", 0, 0.5f));
            annotation2.Ports.Add(CreatePort("port2", 0.5f, 0));
            annotation2.Ports.Add(CreatePort("port3", 1, 0));
            annotation2.Ports.Add(CreatePort("port4", 1, 0.5f));
            annotation2.Ports.Add(CreatePort("port5", 1, 1));
            annotation2.Ports.Add(CreatePort("port6", 0.5f, 1));

            Node collate = CreateNodes("Collate", "M50.001,0.00286865 L25.001,25.0029 L0.000976562,0.00286865 L50.001,0.00286865 z M0.000976562,50.0029 L25.001,25.0029 L50.001,50.0029 L0.000976562,50.0029 z", null, false);
            collate.Ports.Add(CreatePort("port1", 0, 0));
            collate.Ports.Add(CreatePort("port2", 0.5f, 0));
            collate.Ports.Add(CreatePort("port3", 1, 0));
            collate.Ports.Add(CreatePort("port4", 1, 1));
            collate.Ports.Add(CreatePort("port5", 0.5f, 1));
            collate.Ports.Add(CreatePort("port6", 0, 1));

            Node multiDocument = CreateNodes("MultiDocument", "M43.6826,40 C44.8746,40.6183 45.8586,41.3502 46.8366,42.1122 L46.8366,4.74487 L3.09857,4.74487 L3.09857,10.9544 M46.837,35.1437 C48.027,35.7653 49.025,36.6042 50.003,37.3695 L50.003,0.0021928 L6.26497,0.0021928 L6.26497,4.74451 M43.6826,47.1132 L43.6826,10.7652 L0.00257874,10.7652 L0.00257874,47.1132 C0.00257874,47.1132 12.5846,53.6101 21.8426,47.1132 C31.1006,40.6163 38.7926,43.3935 43.6826,47.1132 z", null, false);
            multiDocument.Ports.Add(CreatePort("port1", 0, 0));
            multiDocument.Ports.Add(CreatePort("port2", 0, 0.5f));
            multiDocument.Ports.Add(CreatePort("port3", 1, 0));
            multiDocument.Ports.Add(CreatePort("port4", 1, 0.5f));
            multiDocument.Ports.Add(CreatePort("port5", 1, 1));
            multiDocument.Ports.Add(CreatePort("port6", 0, 1));
            multiDocument.Ports.Add(CreatePort("port7", 0.5f, 0));
            multiDocument.Ports.Add(CreatePort("port8", 0.5f, 1));

            Node or = CreateNodes("Or", "M7.3252,42.6768 L42.6772,7.32477 M42.6768,42.6768 L7.3248,7.32477 M0.000976562,25.001 C0.000976562,11.193 11.197,0.000976562 25.001,0.000976562 C38.809,0.000976562 50.001,11.193 50.001,25.001 C50.001,38.809 38.809,50.001 25.001,50.001 C11.197,50.001 0.000976562,38.809 0.000976562,25.001 z", null, false);
            or.Ports.Add(CreatePort("port1", 0.5f, 0));
            or.Ports.Add(CreatePort("port2", 1, 0.5f));
            or.Ports.Add(CreatePort("port3", 0.5f, 1));
            or.Ports.Add(CreatePort("port4", 0, 0.5f));
            or.Ports.Add(CreatePort("port5", 0.152f, 0.15f));
            or.Ports.Add(CreatePort("port6", 0.852f, 0.15f));
            or.Ports.Add(CreatePort("port7", 0.852f, 0.85f));
            or.Ports.Add(CreatePort("port8", 0.152f, 0.85f));

            Node display = CreateNodes("Display", "M47.8809,19.2914 L32.7968,-0.00594145 L11.3902,-0.00594145 C7.93166,-0.00594145 0.00124586,11.187 0.00124586,24.9968 C0.00124586,38.8032 7.93166,49.9962 11.3902,49.9962 L32.7968,49.9962 L47.615,31.0388 C47.615,31.0388 52.7986,24.9968 47.8809,19.2914 z", null, false);
            display.Ports.Add(CreatePort("port1", 0, 0.5f));
            display.Ports.Add(CreatePort("port2", 0.2f, 0));
            display.Ports.Add(CreatePort("port3", 1, 0.5f));
            display.Ports.Add(CreatePort("port4", 0.2f, 1));

            Node directData = CreateNodes("DirectData", "M 1477 613 L 1619 613 C 1627 613 1634 636 1634 665 C 1634 694 1627 717 1619 717 L 1477 717 C 1469 717 1461 694 1461 665 C 1461 636 1469 613 1477 613 ZM 1619 613 C 1610 613 1603 636 1603 665 C 1603 694 1610 717 1619 717M 1619 613 C 1610 613 1603 636 1603 665 C 1603 694 1610 717 1619 717", null, false);
            directData.Ports.Add(CreatePort("port1", 0.1f, 0));
            directData.Ports.Add(CreatePort("port2", 0.5f, 0));
            directData.Ports.Add(CreatePort("port3", 0.9f, 0));
            directData.Ports.Add(CreatePort("port4", 0.9f, 1));
            directData.Ports.Add(CreatePort("port5", 0.5f, 1));
            directData.Ports.Add(CreatePort("port6", 0.1f, 1));
            directData.Ports.Add(CreatePort("port7", 0, 0.5f));
            directData.Ports.Add(CreatePort("port8", 1, 0.5f));

            Node sequentialData = CreateNodes("SequentialData", "M0.00297546,24.999 C0.00297546,11.1922 10.433,0.00216177 23.295,0.00216177 C36.159,0.00216177 46.585,11.1922 46.585,24.999 C46.585,38.8057 36.159,49.9979 23.295,49.9979 C10.433,49.9979 0.00297546,38.8057 0.00297546,24.999 z M23.294,49.999 L50.002,49.999", null, false);
            sequentialData.Ports.Add(CreatePort("port1", 0.5f, 0));
            sequentialData.Ports.Add(CreatePort("port2", 1, 0.5f));
            sequentialData.Ports.Add(CreatePort("port3", 0.5f, 1));
            sequentialData.Ports.Add(CreatePort("port4", 0, 0.5f));
            sequentialData.Ports.Add(CreatePort("port5", 0.152f, 0.15f));
            sequentialData.Ports.Add(CreatePort("port6", 0.815f, 0.15f));
            sequentialData.Ports.Add(CreatePort("port7", 0.815f, 0.85f));
            sequentialData.Ports.Add(CreatePort("port8", 0.152f, 0.85f));
            sequentialData.Ports.Add(CreatePort("port9", 1, 1));

            Node sort = CreateNodes("Sort", "M50.001,24.9971 L25.001,49.9971 L0.000976562,24.9971 L25.001,-0.00286865 L50.001,24.9971 z M0.000976562,24.9971 L50.001,24.9971", null, false);
            sort.Ports.Add(CreatePort("port1", 0.5f, 0));
            sort.Ports.Add(CreatePort("port2", 1, 0.5f));
            sort.Ports.Add(CreatePort("port3", 0.5f, 1));
            sort.Ports.Add(CreatePort("port4", 0, 0.5f));

            Node paperTap = CreateNodes("PaperTap", "M0.000976562,17.2042 L0.000976562,47.1654 C0.000976562,47.1654 14.403,53.5455 25.001,47.1654 C35.599,40.7852 44.403,43.5087 50.001,47.1654 L50.001,17.2042 M50.001,32.7987 L50.001,2.84052 C50.001,2.84052 35.599,-3.54271 25.001,2.84052 C14.403,9.22376 5.599,6.49418 0.000976562,2.84052 L0.000976562,32.7987", null, false);
            paperTap.Ports.Add(CreatePort("port1", 0, 0.5f));
            paperTap.Ports.Add(CreatePort("port2", 0.5f, 0.1f));
            paperTap.Ports.Add(CreatePort("port3", 1, 0.1f));
            paperTap.Ports.Add(CreatePort("port4", 1, 0.5f));
            paperTap.Ports.Add(CreatePort("port5", 1, 0.9f));
            paperTap.Ports.Add(CreatePort("port6", 0.5f, 0.9f));
            paperTap.Ports.Add(CreatePort("port7", 0, 0.9f));
            paperTap.Ports.Add(CreatePort("port8", 0, 0.1f));

            Node delay = CreateNodes("Delay", "M50.0044,-0.00482496 L18.9098,-0.00482496 L3.46654,18.958 C3.46654,18.958 -4.06481,25.0015 3.07999,30.7062 L18.9098,50.0013 L50.0044,50.0013", "transparent", false);
            delay.Ports.Add(CreatePort("port1", 0.07f, 0.5f));
            delay.Ports.Add(CreatePort("port2", 1, 0));
            delay.Ports.Add(CreatePort("port3", 1, 0.5f));
            delay.Ports.Add(CreatePort("port4", 1, 1));
            delay.Ports.Add(CreatePort("port5", 0.43f, 0));
            delay.Ports.Add(CreatePort("port6", 0.43f, 1));

            Node storedData = CreateNodes("StoredData", "M 5.555555555555555 0L 50 0A 1.5,30 0 0,1 50,0A 5.555555555555555,25 0 0,0 50,50A 1.5,30 0 0,1 50,50L 5.555555555555555 50A 5.555555555555555,25 0 0,1 5.555555555555555,0Z", null, false);
            storedData.Ports.Add(CreatePort("port1", 0, 0.5f));
            storedData.Ports.Add(CreatePort("port2", 0.1f, 0));
            storedData.Ports.Add(CreatePort("port3", 1, 0));
            storedData.Ports.Add(CreatePort("port4", 0.9f, 0.5f));
            storedData.Ports.Add(CreatePort("port5", 1, 1));
            storedData.Ports.Add(CreatePort("port6", 0.1f, 1));
            CreateRectanglePorts(storedData);

            Node terminator = new Node();
            terminator.Name = "Terminator";
            terminator.Width = 40;
            terminator.Height = 40;
            terminator.OffsetX = terminator.Width / 2;
            terminator.OffsetY = terminator.Height / 2;
            terminator.Shape = new Shape(Shapes.Rectangle);
            terminator.FillColor = null;
            terminator.BorderWidth = 2;

            terminator.Ports.Add(CreatePort("port1", 0, 0.5f));
            terminator.Ports.Add(CreatePort("port2", 0.5f, 0));
            terminator.Ports.Add(CreatePort("port3", 1, 0.5f));
            terminator.Ports.Add(CreatePort("port4", 0.5f, 1));
            terminator.Ports.Add(CreatePort("port5", 0.5f, 0.5f));

            //Node data = new Node();
            //data.Name = "data";
            //data.Width = 50;
            //data.Height = 40;
            //data.OffsetX = data.Width / 2;
            //data.OffsetY = data.Height / 2;
            //Collection point = new Collection();
            //point.Add(new DiagramPoint(1, 50));
            //point.Add(new DiagramPoint(37.5f, 50));
            //point.Add(new DiagramPoint(50, 1));
            //point.Add(new DiagramPoint(12.5f, 1));
            //point.Add(new DiagramPoint(1, 50));
            //data.Shape = new Shape(Shapes.Polygon);
            //data.Points = point;
            //data.BorderWidth = 2;
            //data.Ports.Add(CreatePort("port1", 0, 1));
            //data.Ports.Add(CreatePort("port2", 0.125f, 0.5f));
            //data.Ports.Add(CreatePort("port3", 0.25f, 0));
            //data.Ports.Add(CreatePort("port4", 1, 0));
            //data.Ports.Add(CreatePort("port5", 0.875f, 0.5f));
            //data.Ports.Add(CreatePort("port6", 0.75f, 1));
            //data.Ports.Add(CreatePort("port7", 0.625f, 0));
            //data.Ports.Add(CreatePort("port8", 0.375f, 1));

            Node internalStorage = CreateNodes("InternalStorage", "M 0 3.8194444444444446A 2.5,3.8194444444444446 0 0,1 2.5,0L 47.5 0A 2.5,3.8194444444444446 0 0,1 50,3.8194444444444446L 50 45.833333333333336A 2.5,3.8194444444444446 0 0,1 47.5,49.65277777777778L 2.5 49.65277777777778A 2.5,3.8194444444444446 0 0,1 0,45.833333333333336L 0 3.8194444444444446ZM 0 11.458333333333334L 50 11.458333333333334M 12.5 0L 12.5 49.65277777777778", null, false);
            internalStorage.Ports.Add(CreatePort("port1", 0, 0));
            internalStorage.Ports.Add(CreatePort("port2", 0.5f, 0));
            internalStorage.Ports.Add(CreatePort("port3", 1, 0));
            internalStorage.Ports.Add(CreatePort("port4", 1, 0.5f));
            internalStorage.Ports.Add(CreatePort("port5", 1, 1));
            internalStorage.Ports.Add(CreatePort("port6", 0.5f, 1));
            internalStorage.Ports.Add(CreatePort("port7", 0, 1));
            internalStorage.Ports.Add(CreatePort("port8", 0, 0.5f));

            Node predefinedProcess = CreateNodes("PredefinedProcess", "M 0,0 L 50,0 L 50,50 L 0,50 Z  M 8.333333333333334,0 L 8.333333333333334,50 M 41.66666666666667,0 L 41.66666666666667,50", null, false);
            predefinedProcess.Ports.Add(CreatePort("port1", 0, 0));
            predefinedProcess.Ports.Add(CreatePort("port2", 0.5f, 0));
            predefinedProcess.Ports.Add(CreatePort("port3", 1, 0));
            predefinedProcess.Ports.Add(CreatePort("port4", 1, 0.5f));
            predefinedProcess.Ports.Add(CreatePort("port5", 1, 1));
            predefinedProcess.Ports.Add(CreatePort("port6", 0.5f, 1));
            predefinedProcess.Ports.Add(CreatePort("port7", 0, 1));
            predefinedProcess.Ports.Add(CreatePort("port8", 0, 0.5f));

            flowShapes.AppendChild(triangle);
            flowShapes.AppendChild(parallelogram);
            flowShapes.AppendChild(annotation1);
            flowShapes.AppendChild(annotation2);
            flowShapes.AppendChild(collate);
            flowShapes.AppendChild(multiDocument);
            flowShapes.AppendChild(or);
            flowShapes.AppendChild(display);
            flowShapes.AppendChild(directData);
            flowShapes.AppendChild(sequentialData);
            flowShapes.AppendChild(sort);
            flowShapes.AppendChild(paperTap);
            flowShapes.AppendChild(delay);
            flowShapes.AppendChild(storedData);
            flowShapes.AppendChild(terminator);
            //flowShapes.AppendChild(data);
            flowShapes.AppendChild(internalStorage);
            flowShapes.AppendChild(predefinedProcess);
            return flowShapes;
        }

        public Palette GenerateRafFlowShapes()
        {
            Palette rafFlowShapes = new Palette("Raf Flow Shapes");
            rafFlowShapes.Expanded = false;

            Node raf_display = CreateNodes("_Display", "M2,41 C11.2055972,24.0947274 25.0947274,10.2055972 42,1 L107,1 C127.371521,23.7760524 127.371521,58.2239476 107,81 L42,81 C25.0947274,71.7944028 11.2055972,57.9052726 2,41 L2,41 Z", null, false);
            raf_display.Width = 45;
            raf_display.Height = 30;

            Node raf_prep = CreateNodes("_Prep", "M22,1 L102,1 L122,41 L102,81 L22,81 L2,41 L22,1 Z", null, false);
            raf_prep.Width = 45;
            raf_prep.Height = 30;

            Node raf_comment = CreateNodes("_Comment", "M121,81 L1,81 L1,1 L121,1", null, false);
            raf_prep.Width = 45;
            raf_prep.Height = 30;

            Node raf_decision = CreateNodes("_Decision", "M2,42 L62,2 L122,42 L62,82 L2,42 Z", null, false);
            raf_prep.Width = 45;
            raf_prep.Height = 30;

            Node raf_delay = CreateNodes("_Delay", "M1,1 L61,1 C94.137085,1 121,18.90861 121,41 C121,63.09139 94.137085,81 61,81 L1,81 L1,1 Z", null, false);
            raf_prep.Width = 45;
            raf_prep.Height = 30;

            Node raf_document = CreateNodes("_Document", "M1,1 L121,1 L121,61 C71,56 51,96 1,71 L1,1 Z", null, false);
            raf_prep.Width = 45;
            raf_prep.Height = 30;

            Node raf_extract = CreateNodes("_Extract", "M2,72 L42,2 L82,72 L2,72 Z", null, false);
            raf_prep.Width = 30;
            raf_prep.Height = 30;

            Node raf_inOut = CreateNodes("_InOut", "M22,1 L122,1 L102,81 L2,81 L22,1 Z", null, false);
            raf_prep.Width = 45;
            raf_prep.Height = 30;

            Node raf_magType = CreateNodes("_MagTape", "M49.9276506,80 C67.7214092,75.9436631 81,60.0225221 81,41 C81,18.90861 63.09139,1 41,1 C18.90861,1 1,18.90861 1,41 C1,63.09139 18.90861,81 41,81 L81,81 L81,80 L49.9276506,80 Z", null, false);
            raf_prep.Width = 45;
            raf_prep.Height = 30;

            Node raf_manInput = CreateNodes("_ManInput", "M1,22 L121,2 L121,62 L1,62 L1,22 Z", null, false);
            raf_prep.Width = 30;
            raf_prep.Height = 30;

            Node raf_manOp = CreateNodes("_ManOp", "M2,1 L122,1 L92,81 L32,81 L2,1 Z", null, false);
            raf_prep.Width = 45;
            raf_prep.Height = 30;

            Node raf_merge = CreateNodes("_Merge", "M2,1 L82,1 L42,71 L2,1 Z", null, false);
            raf_prep.Width = 45;
            raf_prep.Height = 30;

            Node raf_offPage = CreateNodes("_OffPage", "M1,1 L41,1 L41,31 L21,51 L1,31 L1,1 Z", null, false);
            raf_prep.Width = 45;
            raf_prep.Height = 30;

            Node raf_offStor = CreateNodes("_OffStor", "M14.7652462,81 C-3.58841539,57.4913667 -3.58841539,24.5086333 14.7652462,1 L124.765246,1 C106.411585,24.5086333 106.411585,57.4913667 124.765246,81 L14.7652462,81 Z", null, false);
            raf_prep.Width = 45;
            raf_prep.Height = 30;

            Node raf_or = CreateNodes("_OR", "M20,40.2928932 C31.045695,40.2928932 40,31.3385882 40,20.2928932 C40,9.24719822 31.045695,0.292893219 20,0.292893219 C8.954305,0.292893219 0,9.24719822 0,20.2928932 C0,31.3385882 8.954305,40.2928932 20,40.2928932 Z M19.4932432,1.64369966 L19.4932432,19.788861 C6.43492176,19.788861 15.3645092,19.788861 1.25,19.788861 C1.25,9.76756509 9.41777821,1.64369966 19.4932432,1.64369966 Z M20.5067568,1.64369966 L20.5067568,19.788861 C33.5650782,19.788861 24.6354908,19.788861 38.75,19.788861 C38.75,9.76756509 30.5822218,1.64369966 20.5067568,1.64369966 Z M20.5067568,39.0428932 L20.5067568,20.8977319 C33.5650782,20.8977319 24.6354908,20.8977319 38.75,20.8977319 C38.75,30.9190278 30.5822218,39.0428932 20.5067568,39.0428932 Z M19.4932432,39.0428932 L19.4932432,20.8977319 C6.43492176,20.8977319 15.3645092,20.8977319 1.25,20.8977319 C1.25,30.9190278 9.41777821,39.0428932 19.4932432,39.0428932 Z", null, false);
            raf_prep.Width = 30;
            raf_prep.Height = 30;

            Node raf_punCard = CreateNodes("_PunchCard", "M1,11 L11,1 L121,1 L121,61 L1,61 L1,11 Z", null, false);
            raf_prep.Width = 45;
            raf_prep.Height = 30;

            Node raf_sumJunct = CreateNodes("_SumJunct", "M20,40.2928932 C31.045695,40.2928932 40,31.3385882 40,20.2928932 C40,9.24719822 31.045695,0.292893219 20,0.292893219 C8.954305,0.292893219 7.10542736e-15,9.24719822 7.10542736e-15,20.2928932 C7.10542736e-15,31.3385882 8.954305,40.2928932 20,40.2928932 Z M19.4932432,1.64369966 L19.4932432,19.788861 C6.43492176,19.788861 15.3645092,19.788861 1.25,19.788861 C1.25,9.76756509 9.41777821,1.64369966 19.4932432,1.64369966 Z M20.5067568,1.64369966 L20.5067568,19.788861 C33.5650782,19.788861 24.6354908,19.788861 38.75,19.788861 C38.75,9.76756509 30.5822218,1.64369966 20.5067568,1.64369966 Z M20.5067568,39.0428932 L20.5067568,20.8977319 C33.5650782,20.8977319 24.6354908,20.8977319 38.75,20.8977319 C38.75,30.9190278 30.5822218,39.0428932 20.5067568,39.0428932 Z M19.4932432,39.0428932 L19.4932432,20.8977319 C6.43492176,20.8977319 15.3645092,20.8977319 1.25,20.8977319 C1.25,30.9190278 9.41777821,39.0428932 19.4932432,39.0428932 Z", null, false);
            raf_prep.Width = 30;
            raf_prep.Height = 30;

            Node raf_term = CreateNodes("_Terminal", "M21,41 C9.954305,41 1,32.045695 1,21 C1,9.954305 9.954305,1 21,1 L101,1 C112.045695,1 121,9.954305 121,21 C121,32.045695 112.045695,41 101,41 L21,41 Z", null, false);
            raf_prep.Width = 80;
            raf_prep.Height = 30;

            rafFlowShapes.AppendChild(raf_display);
            rafFlowShapes.AppendChild(raf_prep);
            rafFlowShapes.AppendChild(raf_comment);
            rafFlowShapes.AppendChild(raf_decision);
            rafFlowShapes.AppendChild(raf_delay);
            rafFlowShapes.AppendChild(raf_document);
            rafFlowShapes.AppendChild(raf_extract);
            rafFlowShapes.AppendChild(raf_inOut);
            rafFlowShapes.AppendChild(raf_magType);
            rafFlowShapes.AppendChild(raf_manInput);
            rafFlowShapes.AppendChild(raf_manOp);
            rafFlowShapes.AppendChild(raf_merge);
            rafFlowShapes.AppendChild(raf_offPage);
            rafFlowShapes.AppendChild(raf_offStor);
            rafFlowShapes.AppendChild(raf_or);
            rafFlowShapes.AppendChild(raf_punCard);
            rafFlowShapes.AppendChild(raf_sumJunct);
            rafFlowShapes.AppendChild(raf_term);
            return rafFlowShapes;
        }

        public Palette GenerateConnectors()
        {
            Palette connectors = new Palette("Connectors");
            connectors.Expanded = false;
            Connector orthogonalLine1 = CreateConnectors("orthogonalLine1", DecoratorShapes.Arrow, new Segment(Segments.Orthogonal), null);
            Connector orthogonalLine2 = CreateConnectors("orthogonalLine2", DecoratorShapes.Arrow, new Segment(Segments.Orthogonal), "4 4");
            Connector orthogonalLine3 = CreateConnectors("orthogonalLine3", DecoratorShapes.None, new Segment(Segments.Orthogonal), null);
            Connector orthogonalLine4 = CreateConnectors("orthogonalLine4", DecoratorShapes.None, new Segment(Segments.Orthogonal), "4 4");
            Connector straightLine1 = CreateConnectors("straightLine1", DecoratorShapes.Arrow, new Segment(Segments.Straight), null);
            Connector straightLine2 = CreateConnectors("straightLine2", DecoratorShapes.Arrow, new Segment(Segments.Straight), "4 4");
            Connector straightLine3 = CreateConnectors("straightLine3", DecoratorShapes.None, new Segment(Segments.Straight), null);
            Connector straightLine4 = CreateConnectors("straightLine4", DecoratorShapes.None, new Segment(Segments.Straight), "4 4");
            Connector bezierLine1 = CreateConnectors("bezierLine1", DecoratorShapes.None, new Segment(Segments.Bezier), null);
            Connector bezierLine2 = CreateConnectors("bezierLine2", DecoratorShapes.None, new Segment(Segments.Bezier), "4 4");
            Connector bezierLine3 = CreateConnectors("bezierLine3", DecoratorShapes.Arrow, new Segment(Segments.Bezier), null);
            Connector bezierLine4 = CreateConnectors("bezierLine4", DecoratorShapes.Arrow, new Segment(Segments.Bezier), "4 4");
            connectors.AppendChild(orthogonalLine1);
            connectors.AppendChild(orthogonalLine2);
            connectors.AppendChild(orthogonalLine3);
            connectors.AppendChild(orthogonalLine4);
            connectors.AppendChild(straightLine1);
            connectors.AppendChild(straightLine2);
            connectors.AppendChild(straightLine3);
            connectors.AppendChild(straightLine4);
            connectors.AppendChild(bezierLine1);
            connectors.AppendChild(bezierLine2);
            return connectors;
        }

        public Palette GenerateClipArt()
        {
            Palette clipArt = new Palette("ClipArt");
            clipArt.Expanded = false;

            Node circularArrow = CreateNodes("CircularArrow", "M 36.4051 25.8226 C 33.7131 10.7321 26.8537 0.000302807 18.8124 0.000302807 C 8.4224 0.000302807 -0.000264486 17.9088 -0.000264486 40.0003 L 3.76239 40.0003 C 3.76239 22.3257 10.5004 7.99918 18.8124 7.99918 C 24.7297 7.99918 29.8477 15.2609 32.3064 25.8226 L 29.3711 25.8226 L 32.0284 32.9101 L 34.6851 40.0003 L 37.3424 32.9101 L 39.9997 25.8226 L 36.4051 25.8226 Z", null, false);
            circularArrow.Ports.Add(CreatePort("port1", 0.05f, 1));
            circularArrow.Ports.Add(CreatePort("port2", 0.5f, 0));
            circularArrow.Ports.Add(CreatePort("port3", 1 - .14f, 1));

            Node curvedRightArrow = CreateNodes("CurvedRightArrow", "M 0.427222 18.2004 C 2.46327 24.0196 11.7465 28.8797 24.4184 31.2086 L 24.4184 27.9823 L 32.1988 30.9868 L 39.978 33.9912 L 32.1988 36.9949 L 24.4184 40 L 24.4184 36.0366 C 10.0263 33.3938 5.69372e-005 27.4835 5.69372e-005 20.6147 C 5.69372e-005 19.7949 0.150241 18.9901 0.427222 18.2004 Z M 40 0 L 40 4.55684 C 19.8492 4.55684 3.18675 10.5013 0.411611 18.2326 C 0.14497 17.4869 0 16.7268 0 15.9535 C 0 7.1418 17.9077 0 40 0 Z", null, false);
            curvedRightArrow.Ports.Add(CreatePort("port1", 0, 0.5f));
            curvedRightArrow.Ports.Add(CreatePort("port2", 1, 0.05f));
            curvedRightArrow.Ports.Add(CreatePort("port3", 1, 1 - .14f));

            Node curvedUpArrow = CreateNodes("CurvedUpArrow", "M 33.9917 0.0232741 L 36.9955 7.80245 L 40 15.5817 L 36.0371 15.5817 C 33.3944 29.9738 27.4839 40 20.6151 40 C 19.7952 40 18.9904 39.8511 18.2007 39.5729 C 24.0199 37.5381 28.8801 28.2549 31.2091 15.5817 L 27.9828 15.5817 L 30.9873 7.80245 Z M 0 0 L 4.55692 0 C 4.55692 20.1508 10.5015 36.8133 18.2329 39.5871 C 17.4872 39.855 16.7271 39.9987 15.9538 39.9987 C 7.14192 39.9987 0 22.0924 0 0 Z", null, false);
            curvedUpArrow.Ports.Add(CreatePort("port1", 0.05f, .0f));
            curvedUpArrow.Ports.Add(CreatePort("port2", .5f, 1));
            curvedUpArrow.Ports.Add(CreatePort("port3", 1 - .14f, 0));

            Node curvedLeftArrow = CreateNodes("CurvedLeftArrow", "M 39.5729 18.2011 C 39.8499 18.9901 40 19.7949 40 20.6154 C 40 27.4835 29.9738 33.3938 15.5818 36.0372 L 15.5818 40 L 7.80127 36.9949 L 0.0220975 33.9912 L 7.80127 30.9874 L 15.5818 27.983 L 15.5818 31.2093 C 28.2536 28.8803 37.5368 24.0196 39.5729 18.2011 Z M 0 0 C 22.0923 0 39.9999 7.14246 39.9999 15.9535 C 39.9999 16.7268 39.8549 17.4869 39.5883 18.2333 C 36.8132 10.5013 20.1507 4.5575 0 4.5575 Z", null, false);
            curvedLeftArrow.Ports.Add(CreatePort("port1", 0, 0.05f));
            curvedLeftArrow.Ports.Add(CreatePort("port2", 1, 0.5f));
            curvedLeftArrow.Ports.Add(CreatePort("port3", 0, 1 - .14f));

            Node curvedDownArrow = CreateNodes("CurvedDownArrow", "M 15.9538 6.48044e-006 C 16.727 6.48044e-006 17.4872 0.146274 18.2329 0.411633 C 10.5015 3.18796 4.55692 19.8499 4.55692 40 L 0 40 C 0 17.9084 7.14192 6.48044e-006 15.9538 6.48044e-006 Z M 20.6151 0 C 27.4839 0 33.3944 10.0259 36.0371 24.4175 L 40 24.4175 L 36.9955 32.1991 L 33.9917 39.978 L 30.9872 32.1991 L 27.9828 24.4175 L 31.2091 24.4175 C 28.8801 11.7473 24.0199 2.46441 18.2007 0.427129 C 18.9904 0.151437 19.7952 0 20.6151 0 Z", null, false);
            curvedDownArrow.Ports.Add(CreatePort("port1", .05f, 1));
            curvedDownArrow.Ports.Add(CreatePort("port2", .5f, 0));
            curvedDownArrow.Ports.Add(CreatePort("port3", 1 - .14f, 1));

            Node uTurnArrow = CreateNodes("UTurnArrow", "M 33.013 19.4659 L 33.013 13.6946 C 33.013 6.13127 25.6214 -7.12077e-005 16.5024 -7.12077e-005 C 7.3914 -7.12077e-005 -0.000294228 6.13127 -0.000294228 13.6946 L -0.000294228 39.9999 L 7.51184 39.9906 L 7.51184 14.0866 C 7.51184 9.96593 11.5371 6.62594 16.5024 6.62594 C 21.4676 6.62594 25.4928 9.96593 25.4928 14.0866 L 25.4928 19.4659 L 17.6192 19.4659 L 23.2111 25.6633 L 28.811 31.8606 L 34.403 25.6633 L 40.0029 19.4659 L 33.013 19.4659 Z", null, false);
            uTurnArrow.Ports.Add(CreatePort("port1", 0, 0.5f));
            uTurnArrow.Ports.Add(CreatePort("port2", 0.5f, 1));
            uTurnArrow.Ports.Add(CreatePort("port3", 0.72f, 0.8f));
            uTurnArrow.Ports.Add(CreatePort("port4", 0.4f, 0));

            Node jumpingRightArrow = CreateNodes("JumpingRightArrow", "M 23.4622 32.2162 L 17.9489 24.4311 L 23.8682 24.4311 C 19.5962 11.7525 10.6769 2.46354 0.000203451 0.426428 C 1.4482 0.149711 2.92554 -8.74993e-005 4.42952 -8.74993e-005 C 17.0335 -8.74993e-005 27.8789 10.0322 32.7275 24.4311 L 40.0002 24.4311 L 34.4869 32.2162 L 28.9755 39.9999 L 23.4622 32.2162 Z", null, false);
            jumpingRightArrow.Ports.Add(CreatePort("port1", .73f, 1));

            Node jumpingLeftArrow = CreateNodes("JumpingLeftArrow", "M 16.5394 32.216 L 22.0514 24.432 L 16.1334 24.432 C 20.4041 11.7529 29.3247 2.46363 40.0001 0.424999 C 38.5527 0.14976 37.0761 -4.37512e-005 35.5708 -4.37512e-005 C 22.9681 -4.37512e-005 12.1228 10.0311 7.27275 24.432 L 8.13802e-005 24.432 L 5.51473 32.216 L 11.0261 40 L 16.5394 32.216 Z", null, false);
            jumpingLeftArrow.Ports.Add(CreatePort("port1", 1 - .73f, 1));

            Node leftArrow = CreateNodes("LeftArrow", "M 0 20 L 20 40 L 20 30 L 40 30 L 40 10 L 20 10 L 20 0 L 0 20 Z", null, false);
            leftArrow.Ports.Add(CreatePort("port1", 0.5f, 0.5f));

            Node rightArrow = CreateNodes("RightArrow", "M 0 30 L 20 30 L 20 40 L 40 20 L 20 0 L 20 10 L 0 10 Z", null, false);
            rightArrow.Ports.Add(CreatePort("port1", 0.5f, 0.5f));

            Node doubleArrow = CreateNodes("DoubleArrow", "M 0 20 L 20 40 L 20 30 L 30 30 L 30 40 L 50 20 L 30 0 L 30 10 L 20 10 L 20 0 L 0 20 Z", null, false);
            doubleArrow.Ports.Add(CreatePort("port1", 0.5f, 0.5f));

            Node clip1 = CreateNodes("Clip1", "M758.696,504.509 L817.624,504.509 L817.624,513.976 L758.696,513.976 L758.696,504.509 Z M758.696,461.784 L817.624,461.784 L817.624,452.317 L758.696,452.317 L758.696,461.784 Z M758.696,487.88 L817.624,487.88 L817.624,478.413 L758.696,478.413 L758.696,487.88 Z M728.27,499.764 L747.227,499.764 L747.227,518.721 L728.27,518.721 L728.27,499.764 Z M733.015,513.976 L742.482,513.976 L742.482,504.509 L733.015,504.509 L733.015,513.976 Z M728.27,473.668 L747.227,473.668 L747.227,492.625 L728.27,492.625 L728.27,473.668 Z M733.015,487.88 L742.482,487.88 L742.482,478.413 L733.015,478.413 L733.015,487.88 Z M728.27,447.573 L747.227,447.573 L747.227,466.53 L728.27,466.53 L728.27,447.573 Z M733.015,461.784 L742.482,461.784 L742.482,452.317 L733.015,452.317 L733.015,461.784 Z", null, false);
            clip1.Width = 38;
            clip1.Height = 30;
            clip1.OffsetX = 150;
            clip1.OffsetY = 250;

            Node clip2 = CreateNodes("Clip2", "M582.463,521.896 L678.895,521.896 L678.895,530.558 L582.463,530.558 L582.463,521.896 Z M624.533,516.426 L636.826,516.426 L636.826,435.734 L624.533,435.734 L624.533,516.426 Z M604.466,516.426 L616.759,516.426 L616.759,462.275 L604.466,462.275 L604.466,516.426 Z M584.4,516.426 L596.693,516.426 L596.693,479.97 L584.4,479.97 L584.4,516.426 Z M644.599,516.426 L656.892,516.426 L656.892,444.582 L644.599,444.582 L644.599,516.426 Z M664.664,516.426 L676.958,516.426 L676.958,462.275 L664.664,462.275 L664.664,516.426 Z", null, false);
            clip2.Width = 30;
            clip2.Height = 30;
            clip2.OffsetX = 150;
            clip2.OffsetY = 250;

            //Node clip3 = CreateNodes("Clip3", "M1067.916,375.276 L1049.993,393.198 L1049.993,314.495 C1049.993,304.994 1042.596,297.221 1033.246,296.621 C1032.861,296.596 1033.25,296.584 1033.25,296.584 L1067.904,296.584 C1077.797,296.584 1085.816,304.603 1085.816,314.495 L1085.816,393.176 L1067.916,375.276 L1067.916,375.276 Z M1032.061,300.278 C1024.796,300.278 1019.707,305.436 1018.14,314.198 L1045.981,314.198 C1044.828,305.958 1039.325,300.278 1032.061,300.278 L1032.061,300.278 Z", null, false);
            //clip3.Width = 70;
            //clip3.Height = 30;
            //clip3.OffsetX = 150;
            //clip3.OffsetY = 250;

            Node clip4 = CreateNodes("Clip4", "M920.918,372.671 C914.314,376.963 905.989,379.533 896.942,379.533 C894.56,379.533 892.228,379.355 889.965,379.015 C880.813,384.38 866.94,389.717 862.678,390.142 C867.641,384.63 873.301,380.807 873.103,372.773 C864.017,366.927 858.165,357.825 858.165,347.619 C858.165,333.974 868.628,322.313 883.293,317.758 C880.593,322.756 879.077,328.342 879.077,334.236 C879.077,354.91 897.683,371.82 920.918,372.671 L920.918,372.671 Z M947.214,361.504 C947.009,370.213 952.818,374.357 957.91,380.333 C953.537,379.871 939.302,374.085 929.91,368.27 C927.587,368.638 925.194,368.831 922.751,368.831 C900.808,368.831 882.958,353.311 882.958,334.236 C882.958,315.159 900.808,299.64 922.751,299.64 C944.693,299.64 962.543,315.159 962.543,334.236 C962.543,345.299 956.538,355.166 947.214,361.504 L947.214,361.504 Z M911.125,334.512 C911.125,332.059 909.135,330.07 906.682,330.07 C904.229,330.07 902.241,332.059 902.241,334.512 C902.241,336.965 904.229,338.953 906.682,338.953 C909.135,338.953 911.125,336.965 911.125,334.512 L911.125,334.512 Z M927.871,334.512 C927.871,332.059 925.883,330.07 923.43,330.07 C920.977,330.07 918.988,332.059 918.988,334.512 C918.988,336.965 920.977,338.953 923.43,338.953 C925.883,338.953 927.871,336.965 927.871,334.512 L927.871,334.512 Z M944.62,334.512 C944.62,332.059 942.631,330.07 940.178,330.07 C937.724,330.07 935.736,332.059 935.736,334.512 C935.736,336.965 937.724,338.953 940.178,338.953 C942.631,338.953 944.62,336.965 944.62,334.512 L944.62,334.512 Z", null, false);
            clip4.Width = 34;
            clip4.Height = 30;
            clip4.OffsetX = 150;
            clip4.OffsetY = 250;

            Node clip5 = CreateNodes("Clip5", "M751.398,340.868 C753.378,349.581 755.853,379.61 753.957,391.824 C752.624,392.152 751.234,392.44 749.808,392.695 C750.861,379.349 748.793,352.936 747.086,340.829 C748.652,340.816 750.112,340.828 751.398,340.868 L751.398,340.868 Z M742.99,340.901 C731.642,341.206 717.528,342.295 717.528,342.295 L717.528,394.299 C717.528,394.299 732.263,395.086 745.709,393.323 C746.232,376.81 745.594,358.753 742.99,340.901 L742.99,340.901 Z M828.365,343.205 C828.271,339.532 827.409,337.388 823.991,336.207 C820.504,335.005 815.76,334.933 811.31,334.95 C807.722,334.964 802.872,333.958 801.971,333.38 C800.59,332.496 799.447,331.273 799.203,329.837 C798.777,327.318 799.621,325.27 800.497,322.879 C803.185,315.539 807.517,311.076 805.533,302.25 C804.948,299.655 802.533,293.945 798.808,295.606 C796.393,296.684 797.435,300.816 796.947,302.909 C795.565,308.843 791.9,312.096 788.505,317.009 C786.52,319.88 784.089,321.297 781.412,324.273 C778.675,327.311 778.117,328.056 776.33,331.726 C774.157,336.192 771.39,340.865 766.396,342.571 C763.022,343.724 759.477,344.475 755.956,345.179 C756.577,349.2 757.2,354.84 757.764,362.792 C758.004,366.162 758.494,374.035 758.488,381.84 C759.213,381.557 760.045,381.303 761.029,381.094 C765.133,379.894 770.208,378.697 774.076,379.767 C777.358,380.677 780.352,381.69 783.761,382.336 C786.904,382.932 789.798,383.583 793.014,383.578 C798.206,383.563 803.149,382.888 805.765,382.658 C806.719,382.572 809.324,382.256 811.056,381.562 C812.451,381.004 813.687,380.131 814.709,378.338 C815.984,376.097 816.01,374.365 814.653,372.048 C820.396,370.741 823.797,365.967 820.157,360.68 C822.337,360.5 824.942,358.283 825.321,356.129 C825.882,352.943 824.875,350.782 822.769,348.459 C825.259,347.915 828.442,346.214 828.365,343.205 L828.365,343.205 Z", null, false);
            clip5.Width = 34;
            clip5.Height = 30;
            clip5.OffsetX = 150;
            clip5.OffsetY = 250;
            //clip5.FillColor = "#000000";

            //Node clip6 = CreateNodes("Clip6", "M692.059,372.61 L682.096,372.61 L682.096,308.458 C682.096,306.511 680.512,304.927 678.567,304.927 L582.791,304.927 C580.845,304.927 579.261,306.511 579.261,308.458 L579.261,372.61 L569.299,372.61 C566.734,372.61 564.645,374.698 564.645,377.266 L564.645,380.202 C564.645,382.768 566.734,384.855 569.299,384.855 L692.059,384.855 C694.624,384.855 696.713,382.768 696.713,380.202 L696.713,377.266 C696.713,374.698 694.624,372.61 692.059,372.61 L692.059,372.61 Z M650.747,378.275 C650.747,379.25 649.953,380.044 648.978,380.044 L612.38,380.044 C611.405,380.044 610.611,379.25 610.611,378.275 C610.611,378.274 610.635,377.718 610.669,377.581 L650.689,377.581 C650.724,377.718 650.747,378.275 650.747,378.275 L650.747,378.275 Z M671.343,379.94 C670.524,379.94 669.86,379.276 669.86,378.457 C669.86,377.638 670.524,376.974 671.343,376.974 C672.162,376.974 672.826,377.638 672.826,378.457 C672.826,379.276 672.162,379.94 671.343,379.94 L671.343,379.94 Z M673.022,370.002 L588.336,370.002 L588.336,313.343 C588.336,313.286 588.416,313.198 588.523,313.198 L672.835,313.198 C672.942,313.198 673.022,313.286 673.022,313.343 L673.022,370.002 L673.022,370.002 Z M678.185,379.94 C677.367,379.94 676.702,379.276 676.702,378.457 C676.702,377.638 677.367,376.974 678.185,376.974 C679.004,376.974 679.668,377.638 679.668,378.457 C679.668,379.276 679.004,379.94 678.185,379.94 L678.185,379.94 Z M685.028,379.94 C684.21,379.94 683.546,379.276 683.546,378.457 C683.546,377.638 684.21,376.974 685.028,376.974 C685.847,376.974 686.512,377.638 686.512,378.457 C686.512,379.276 685.847,379.94 685.028,379.94 L685.028,379.94 Z M630.678,321.874 C619.267,321.874 610.017,331.125 610.017,342.537 C610.017,353.948 619.267,363.199 630.678,363.199 C642.091,363.199 651.341,353.948 651.341,342.537 C651.341,331.125 642.091,321.874 630.678,321.874 L630.678,321.874 Z M624.604,355.481 L624.604,330.991 L642.946,343.236 L624.604,355.481 L624.604,355.481 Z", null, false);
            //clip6.Width = 70;
            //clip6.Height = 50;
            //clip6.OffsetX = 150;
            //clip6.OffsetY = 250;
            ////clip6.FillColor = "#000000";

            Node clip7 = CreateNodes("Clip7", "M1033.735,189.708 L1025.525,192.388 C1023.962,192.898 1022.685,194.658 1022.685,196.302 L1022.685,203.973 C1022.685,205.616 1023.962,207.377 1025.525,207.887 L1033.735,210.567 L1033.735,237.472 L1036.424,237.472 L1036.424,162.802 L1033.735,162.802 L1033.735,189.708 L1033.735,189.708 Z M1073.866,232.693 L1069.17,246.313 C1069.17,246.313 1067.536,250.515 1072.319,251.491 C1073.653,251.764 1074.666,251.917 1075.389,252.072 C1076.945,252.406 1077.828,250.735 1077.828,250.735 L1095.503,217.749 L1079.018,217.749 L1073.866,232.693 L1073.866,232.693 Z M1039.41,162.802 L1038.869,162.802 L1038.869,237.472 L1039.41,237.472 C1039.41,237.472 1052.431,213.795 1074.654,213.582 L1074.654,186.691 C1052.431,186.479 1039.41,162.802 1039.41,162.802 L1039.41,162.802 Z M1108.007,200.137 C1108.007,192.264 1103.179,187.821 1100.989,187.821 L1100.989,212.477 C1103.428,212.477 1108.007,208.015 1108.007,200.137 L1108.007,200.137 Z M1077.542,185.492 L1098.101,185.492 L1098.101,214.861 L1077.542,214.861 L1077.542,185.492 Z M1008.156,214.62 L1009.151,215.614 C1010.408,216.538 1010.435,218.244 1009.207,219.407 L1009.113,219.493 C1007.885,220.659 1005.804,220.738 1004.487,219.675 C1004.487,219.675 1004.333,219.546 1003.219,218.361 C997.453,212.208 994.665,203.443 996.518,194.584 C997.618,189.325 1000.2,184.752 1003.736,181.206 L1004.765,180.173 C1006.022,179.187 1008.048,179.34 1009.267,180.512 L1009.365,180.603 C1010.583,181.777 1010.566,183.463 1009.321,184.351 C1009.321,184.351 1009.321,184.351 1008.326,185.321 C1005.487,188.081 1003.41,191.682 1002.542,195.842 C1001.067,202.891 1003.409,209.866 1008.156,214.62 L1008.156,214.62 Z M1018.332,210.767 C1016.236,212.985 1013.428,211.217 1012.352,210.11 C1009.12,206.789 1007.544,201.98 1008.564,197.101 C1009.165,194.225 1010.587,191.732 1012.53,189.812 C1013.607,188.747 1016.578,187.219 1018.413,189.307 C1019.678,190.748 1018.413,192.832 1017.333,193.747 C1015.976,194.895 1014.977,196.488 1014.587,198.359 C1013.91,201.599 1015.233,204.799 1017.714,206.673 C1018.659,207.387 1019.35,209.688 1018.332,210.767 L1018.332,210.767 Z", null, false);
            clip7.Width = 37;
            clip7.Height = 30;
            clip7.OffsetX = 150;
            clip7.OffsetY = 250;

            //Node clip8 = CreateNodes("Clip8", "M910.357,266.468 L910.32,266.494 L909.575,265.976 C909.568,265.97 909.3,265.766 908.818,265.42 C906.636,263.964 898.757,258.862 890.556,255.372 C886.702,253.824 882.942,252.699 879.407,252.036 C879.348,252.024 879.169,251.985 879.169,251.985 C878.589,251.891 877.975,251.731 877.391,251.518 C871.166,249.507 867.261,243.725 866.086,234.768 L859.251,236.275 L865.338,217.043 L878.95,231.931 L872.705,233.307 C874.035,235.697 875.564,237.765 877.263,239.468 C879.609,241.395 884.002,242.497 889.333,242.497 C892.589,242.497 895.908,242.053 897.786,241.366 C901.649,239.954 904.791,233.34 904.791,226.624 L904.791,188.128 L885.233,188.128 L880.036,183.458 L885.198,178.299 L904.953,178.299 L905.889,171.717 C901.335,169.912 898.239,165.437 898.239,160.484 C898.239,153.823 903.658,148.403 910.32,148.403 L910.387,148.403 C917.049,148.403 922.469,153.823 922.469,160.484 C922.469,165.437 919.372,169.912 914.817,171.717 L915.754,178.299 L935.522,178.299 L940.507,183.457 L935.486,188.128 L915.915,188.128 L915.915,226.726 C915.915,233.706 920.722,240.151 924.031,241.523 C925.496,242.13 928.351,242.521 931.308,242.521 C936.582,242.521 941.112,241.381 943.444,239.468 C945.143,237.765 946.672,235.697 948.003,233.307 L941.757,231.931 L955.368,217.043 L961.456,236.275 L954.622,234.768 C953.446,243.725 949.54,249.508 943.273,251.533 C942.731,251.731 942.118,251.891 941.492,251.993 C941.492,251.993 941.359,252.024 941.303,252.036 C937.765,252.699 934.006,253.824 930.127,255.381 C921.95,258.862 914.071,263.964 911.852,265.444 C911.406,265.766 911.139,265.97 911.132,265.976 L910.424,266.515 L910.357,266.468 L910.357,266.468 Z M910.353,153.905 C906.757,153.94 903.834,156.887 903.834,160.484 C903.834,164.087 906.767,167.038 910.371,167.064 C913.941,167.038 916.872,164.087 916.872,160.484 C916.872,156.887 913.949,153.94 910.353,153.905 L910.353,153.905 Z", null, false);
            //clip8.Width = 70;
            //clip8.Height = 50;
            //clip8.OffsetX = 150;
            //clip8.OffsetY = 250;

            //Node clip9 = CreateNodes("Clip9", "M822.911,208.733 C822.482,207.928 822.396,207.677 821.454,206.507 C821.31,206.339 821.211,206.225 821.125,206.15 C819.732,204.728 817.879,203.905 817.796,203.868 C817.219,203.616 816.678,202.843 816.638,202.214 L814.841,173.929 C814.802,173.315 815.247,172.531 815.819,172.236 C819.572,170.075 821.565,165.297 820.558,160.875 C819.486,156.158 815.19,152.695 810.345,152.641 L810.231,152.641 C805.435,152.641 801.114,156.015 799.956,160.663 C798.797,165.317 800.96,170.165 805.216,172.453 C805.423,172.564 805.634,172.671 805.857,172.772 C806.433,173.024 806.974,173.797 807.014,174.425 L808.811,202.71 C808.849,203.323 808.404,204.108 807.832,204.403 C807.239,204.745 806.735,205.182 806.248,205.606 L805.976,205.841 L805.946,205.876 C805.753,206.1 805.305,206.256 804.858,206.256 C804.659,206.256 804.464,206.225 804.297,206.168 L784.365,199.4 C783.923,199.25 783.438,198.786 783.184,198.278 C782.978,196.574 782.35,194.929 781.379,193.536 C779.601,190.739 776.258,189.001 772.655,189.001 C770.869,189.001 769.135,189.429 767.64,190.238 C763.69,192.374 761.403,196.978 762.208,201.216 C762.351,201.813 762.046,202.661 761.555,203.031 L738.928,220.098 C738.637,220.317 738.167,220.454 737.701,220.454 C737.405,220.454 737.127,220.399 736.911,220.294 C735.518,219.647 734.048,219.319 732.541,219.319 C729.601,219.319 726.748,220.583 724.714,222.786 C722.715,224.95 721.743,227.757 721.977,230.688 C722.276,234.437 724.576,237.775 727.98,239.398 C729.337,240.045 730.779,240.373 732.267,240.373 C734.161,240.373 736.114,239.826 737.923,238.788 C738.182,238.635 738.556,238.547 738.95,238.547 C739.344,238.547 739.719,238.635 739.978,238.788 L758.097,249.497 C758.66,249.83 759.011,250.533 758.951,250.94 L758.944,250.987 L758.944,251.034 C758.944,255.638 761.2,259.464 764.981,261.266 C766.367,261.928 767.924,262.277 769.483,262.277 C772.562,262.277 775.477,260.975 777.479,258.706 C780.598,255.171 780.995,249.936 778.445,245.976 C776.537,243.011 773.184,241.169 769.694,241.169 C768.463,241.169 767.256,241.392 766.106,241.83 C765.391,242.101 764.735,242.408 764.145,242.747 C763.886,242.9 763.511,242.988 763.118,242.988 C762.724,242.988 762.35,242.9 762.091,242.747 L743.97,232.036 C743.407,231.705 743.056,231.003 743.117,230.596 L743.123,230.549 L743.125,230.183 C743.128,229.54 743.132,228.875 743,228.175 C742.856,227.578 743.161,226.73 743.651,226.36 L766.279,209.292 C766.575,209.069 766.864,208.965 767.187,208.965 C767.629,208.965 768.122,209.157 768.644,209.359 C768.802,209.421 768.962,209.483 769.124,209.542 C770.288,209.961 771.506,210.174 772.746,210.174 C772.941,210.174 773.137,210.169 773.332,210.157 C775.735,210.024 777.958,209.053 780.13,207.188 L780.166,207.157 L780.197,207.121 C780.39,206.897 780.836,206.741 781.284,206.741 C781.483,206.741 781.678,206.771 781.846,206.828 L801.777,213.596 C802.379,213.8 803.004,214.528 803.117,215.162 C803.686,218.139 805.136,220.525 807.312,222.063 C809.072,223.307 811.25,223.992 813.443,223.992 L813.444,223.992 C814.613,223.992 815.759,223.803 816.85,223.43 C820.109,222.316 822.616,219.62 823.557,216.218 C824.261,213.67 824.011,211.012 822.911,208.733 L822.911,208.733 Z M732.466,234.591 C729.809,234.591 727.654,232.436 727.654,229.779 C727.654,227.121 729.809,224.967 732.466,224.967 C735.124,224.967 737.278,227.121 737.278,229.779 C737.278,232.436 735.124,234.591 732.466,234.591 L732.466,234.591 Z M769.59,246.913 C772.248,246.913 774.402,249.068 774.402,251.725 C774.402,254.383 772.248,256.537 769.59,256.537 C766.933,256.537 764.778,254.383 764.778,251.725 C764.778,249.068 766.933,246.913 769.59,246.913 L769.59,246.913 Z M772.841,204.341 C770.184,204.341 768.029,202.187 768.029,199.529 C768.029,196.872 770.184,194.717 772.841,194.717 C775.499,194.717 777.653,196.872 777.653,199.529 C777.653,202.187 775.499,204.341 772.841,204.341 L772.841,204.341 Z M805.494,163.225 C805.494,160.567 807.648,158.413 810.306,158.413 C812.963,158.413 815.117,160.567 815.117,163.225 C815.117,165.882 812.963,168.037 810.306,168.037 C807.648,168.037 805.494,165.882 805.494,163.225 L805.494,163.225 Z M813.428,218.249 C810.77,218.249 808.616,216.095 808.616,213.438 C808.616,210.78 810.77,208.626 813.428,208.626 C816.085,208.626 818.24,210.78 818.24,213.438 C818.24,216.095 816.085,218.249 813.428,218.249 L813.428,218.249 Z", null, false);
            //clip9.Width = 70;
            //clip9.Height = 50;
            //clip9.OffsetX = 150;
            //clip9.OffsetY = 250;

            Node clip10 = CreateNodes("Clip10", "M669.844,203.827 L679.38,197.297 L679.243,196.694 C678.896,195.132 678.475,193.589 677.991,192.097 C677.505,190.606 676.942,189.108 676.303,187.643 L676.06,187.071 L664.505,187.39 C663.279,185.315 661.84,183.344 660.225,181.507 L664.109,170.609 L663.642,170.2 C661.262,168.099 658.67,166.219 655.939,164.611 L655.404,164.3 L646.242,171.347 C644.033,170.394 641.713,169.642 639.333,169.104 L636.064,157.996 L635.445,157.932 C632.288,157.627 629.087,157.627 625.929,157.938 L625.313,157.996 L622.042,169.098 C620.845,169.363 619.669,169.687 618.534,170.058 C617.396,170.427 616.255,170.854 615.13,171.34 L605.964,164.28 L605.426,164.597 C602.693,166.199 600.102,168.079 597.726,170.187 L597.266,170.595 L601.143,181.501 C599.533,183.337 598.099,185.308 596.867,187.377 L585.313,187.059 L585.066,187.623 C583.798,190.535 582.805,193.582 582.115,196.668 L581.982,197.278 L591.52,203.821 C591.293,206.253 591.293,208.69 591.517,211.089 L581.978,217.62 L582.115,218.229 C582.459,219.785 582.883,221.328 583.369,222.826 C583.852,224.317 584.42,225.815 585.054,227.28 L585.299,227.852 L596.854,227.527 C598.083,229.603 599.519,231.58 601.134,233.409 L597.252,244.309 L597.719,244.723 C600.093,246.818 602.686,248.699 605.42,250.313 L605.954,250.625 L615.116,243.577 C617.328,244.529 619.647,245.282 622.026,245.82 L625.297,256.928 L625.916,256.986 C629.071,257.29 632.274,257.29 635.428,256.986 L636.044,256.928 L639.317,245.826 C640.509,245.554 641.687,245.236 642.824,244.868 C643.966,244.496 645.107,244.063 646.232,243.583 L655.397,250.638 L655.933,250.326 C658.666,248.718 661.256,246.838 663.632,244.736 L664.096,244.322 L660.215,233.416 C661.83,231.58 663.259,229.609 664.491,227.539 L676.047,227.865 L676.293,227.294 C677.561,224.389 678.553,221.341 679.243,218.248 L679.38,217.64 L669.838,211.103 C670.065,208.671 670.069,206.227 669.844,203.827 L669.844,203.827 Z M630.679,235.503 C615.191,235.503 602.635,222.947 602.635,207.458 C602.635,191.97 615.191,179.415 630.679,179.415 C646.167,179.415 658.723,191.97 658.723,207.458 C658.723,222.947 646.167,235.503 630.679,235.503 L630.679,235.503 Z M624.053,187.045 C612.796,190.703 606.612,202.835 610.266,214.085 C613.92,225.343 626.052,231.528 637.306,227.872 C648.563,224.214 654.745,212.089 651.091,200.832 C647.438,189.575 635.306,183.396 624.053,187.045 L624.053,187.045 Z M630.679,221.609 C622.864,221.609 616.529,215.274 616.529,207.458 C616.529,199.644 622.864,193.309 630.679,193.309 C638.494,193.309 644.828,199.644 644.828,207.458 C644.828,215.274 638.494,221.609 630.679,221.609 L630.679,221.609 Z M630.679,184.617 C618.064,184.617 607.838,194.844 607.838,207.458 C607.838,220.074 618.064,230.3 630.679,230.3 C643.294,230.3 653.52,220.074 653.52,207.458 C653.52,194.844 643.294,184.617 630.679,184.617 L630.679,184.617 Z M637.306,227.872 C626.052,231.528 613.92,225.343 610.266,214.085 C606.612,202.835 612.796,190.703 624.053,187.045 C635.306,183.396 647.438,189.575 651.091,200.832 C654.745,212.089 648.563,224.214 637.306,227.872 L637.306,227.872 Z", null, false);
            clip10.Width = 29;
            clip10.Height = 30;
            clip10.OffsetX = 150;
            clip10.OffsetY = 250;

            Node clip11 = CreateNodes("Clip11", "M791.695,74.649 L814.21,97.164 L803.275,108.098 L780.781,85.604 C782.875,84.197 784.867,82.574 786.718,80.722 C788.61,78.831 790.266,76.794 791.695,74.649 L791.695,74.649 Z M823.307,106.261 L817.523,100.476 L806.588,111.411 L812.373,117.196 C815.179,120.003 819.774,120.003 822.58,117.196 L823.307,116.469 C826.114,113.663 826.114,109.068 823.307,106.261 L823.307,106.261 Z M783.458,25.292 C769.052,10.884 745.694,10.884 731.287,25.292 C716.88,39.698 716.88,63.056 731.287,77.463 C745.694,91.87 769.052,91.87 783.458,77.463 C797.866,63.056 797.866,39.698 783.458,25.292 L783.458,25.292 Z M777.118,71.122 C766.213,82.028 748.533,82.028 737.627,71.122 C726.722,60.217 726.722,42.537 737.627,31.632 C748.532,20.727 766.213,20.726 777.118,31.632 C788.024,42.537 788.024,60.217 777.118,71.122 L777.118,71.122 Z", null, false);
            clip11.Width = 70;
            clip11.Height = 50;
            clip11.OffsetX = 150;
            clip11.OffsetY = 250;

            //Node clip12 = CreateNodes("Clip12", "M630.642,133.911 C629.56,130.337 628.09,126.752 626.818,123.654 C625.496,120.432 624.248,117.39 624.248,116.167 C624.248,114.78 624.864,113.479 625.932,112.493 C626.79,113.968 628.579,114.984 630.642,114.984 C632.705,114.984 634.495,113.968 635.352,112.493 C636.42,113.479 637.036,114.78 637.036,116.167 C637.036,117.39 635.788,120.432 634.466,123.654 C633.195,126.752 631.725,130.337 630.642,133.911 L630.642,133.911 Z M655.585,112.441 C652.572,108.137 648.726,105.026 644.342,103.353 C645.17,98.675 646.588,90.514 648.081,81.272 C655.13,87.542 663.638,98.802 655.585,112.441 L655.585,112.441 Z M605.701,112.439 C597.358,98.251 607.273,86.482 613.596,80.932 C614.995,90.212 616.292,98.54 617.041,103.318 C612.614,104.981 608.736,108.103 605.701,112.439 L605.701,112.439 Z M632.517,106.31 L632.517,83.081 L630.642,79.307 L628.767,83.081 L628.767,106.31 L623.278,106.31 C621.955,97.933 612.824,39.812 612.824,31.114 C612.824,15.545 627.216,2.707 630.637,-0.124 C634.052,2.742 648.46,15.746 648.46,31.114 C648.46,47.675 639.413,98.612 638.029,106.31 L632.517,106.31 L632.517,106.31 Z M630.642,19.635 C626.326,19.635 622.814,23.146 622.814,27.463 C622.814,31.778 626.326,35.29 630.642,35.29 C634.958,35.29 638.47,31.778 638.47,27.463 C638.47,23.146 634.958,19.635 630.642,19.635 L630.642,19.635 Z", null, false);
            //clip12.Width = 70;
            //clip12.Height = 50;
            //clip12.OffsetX = 150;
            //clip12.OffsetY = 250;

            Node clip13 = CreateNodes("Clip13", "M886.528,955.416 L891.346,948.509 L907.084,948.509 L907.084,938.195 L906.472,938.147 C892.231,937.031 880.399,925.968 878.34,911.841 C878.125,910.368 878.016,908.862 878.016,907.364 L878.016,883.144 C878.055,882.896 878.364,881.605 880.568,881.605 C882.919,881.605 883.007,883.065 883.009,883.128 L883.009,907.364 C883.009,908.248 883.054,909.138 883.143,910.008 C884.492,923.263 895.566,933.259 908.903,933.259 L911.843,933.259 C925.179,933.259 936.255,923.263 937.606,910.007 C937.694,909.133 937.739,908.244 937.739,907.364 L937.739,883.101 C937.749,882.981 937.912,881.605 940.18,881.605 C942.564,881.605 942.728,883.098 942.734,883.162 L942.731,907.364 C942.731,908.862 942.622,910.368 942.408,911.841 C940.347,925.968 928.517,937.031 914.276,938.147 L913.664,938.195 L913.664,948.509 L929.401,948.509 L934.221,955.416 L886.528,955.416 L886.528,955.416 Z M908.903,926.857 C898.154,926.857 889.41,918.112 889.41,907.364 L889.41,898.54 L931.336,898.54 L931.336,907.364 C931.336,918.112 922.592,926.857 911.843,926.857 L908.903,926.857 L908.903,926.857 Z M889.41,891.237 L931.336,891.237 L931.336,894.41 L889.41,894.41 L889.41,891.237 Z M945.209,886.687 L946.753,886.687 L946.753,891.104 L945.209,891.104 L945.209,886.687 Z M933.717,886.687 L935.261,886.687 L935.261,891.104 L933.717,891.104 L933.717,886.687 Z M885.446,886.687 L886.99,886.687 L886.99,891.104 L885.446,891.104 L885.446,886.687 Z M873.954,886.687 L875.498,886.687 L875.498,891.104 L873.954,891.104 L873.954,886.687 Z M889.41,886.652 L889.41,877.791 L905.116,877.791 C906.24,877.791 907.154,876.871 907.154,875.741 C907.154,874.61 906.24,873.69 905.116,873.69 L889.41,873.69 L889.41,870.9 L905.116,870.9 C906.24,870.9 907.154,869.981 907.154,868.85 C907.154,867.72 906.24,866.8 905.116,866.8 L889.41,866.8 L889.41,864.088 C889.409,864.062 889.407,864.036 889.406,864.01 L905.116,864.01 C906.24,864.01 907.154,863.09 907.154,861.959 C907.154,860.83 906.24,859.909 905.116,859.909 L889.577,859.909 C889.655,859.349 889.755,858.796 889.874,858.258 C889.897,858.153 889.92,858.053 889.943,857.955 C890.006,857.691 890.079,857.414 890.164,857.119 L905.116,857.119 C906.24,857.119 907.154,856.2 907.154,855.069 C907.154,853.94 906.24,853.019 905.116,853.019 L891.806,853.019 C895.422,846.195 902.59,841.84 910.354,841.84 C918.111,841.84 925.275,846.195 928.892,853.019 L915.59,853.019 C914.466,853.019 913.552,853.94 913.552,855.069 C913.552,856.2 914.466,857.119 915.59,857.119 L930.568,857.119 C930.831,858.038 931.025,858.973 931.149,859.909 L915.59,859.909 C914.466,859.909 913.552,860.83 913.552,861.959 C913.552,863.09 914.466,864.01 915.59,864.01 L931.336,864.01 L931.336,866.8 L915.59,866.8 C914.466,866.8 913.552,867.72 913.552,868.85 C913.552,869.981 914.466,870.9 915.59,870.9 L931.336,870.9 L931.336,873.69 L915.59,873.69 C914.466,873.69 913.552,874.61 913.552,875.741 C913.552,876.871 914.466,877.791 915.59,877.791 L931.336,877.791 L931.336,886.652 L889.41,886.652 L889.41,886.652 Z", null, false);
            clip13.Width = 19;
            clip13.Height = 30;
            clip13.OffsetX = 150;
            clip13.OffsetY = 250;

            //Node clip14 = CreateNodes("Clip14", "M1061.13,507.215 C1055.41,510.933 1048.196,513.16 1040.357,513.16 C1038.294,513.16 1036.275,513.006 1034.313,512.711 C1026.384,517.359 1014.365,521.983 1010.672,522.352 C1014.972,517.576 1019.876,514.264 1019.704,507.304 C1011.831,502.238 1006.762,494.353 1006.762,485.51 C1006.762,473.688 1015.827,463.585 1028.533,459.639 C1026.193,463.969 1024.88,468.808 1024.88,473.914 C1024.88,491.827 1041.001,506.478 1061.13,507.215 L1061.13,507.215 Z M1083.914,497.54 C1083.736,505.086 1088.769,508.676 1093.181,513.853 C1089.392,513.453 1077.058,508.44 1068.922,503.402 C1066.908,503.721 1064.835,503.888 1062.719,503.888 C1043.707,503.888 1028.242,490.442 1028.242,473.914 C1028.242,457.387 1043.707,443.941 1062.719,443.941 C1081.729,443.941 1097.194,457.387 1097.194,473.914 C1097.194,483.5 1091.992,492.049 1083.914,497.54 L1083.914,497.54 Z M1052.631,474.154 C1052.631,472.516 1051.304,471.189 1049.666,471.189 C1048.029,471.189 1046.701,472.516 1046.701,474.154 C1046.701,475.792 1048.029,477.12 1049.666,477.12 C1051.304,477.12 1052.631,475.792 1052.631,474.154 L1052.631,474.154 Z M1066.272,474.154 C1066.272,472.516 1064.945,471.189 1063.307,471.189 C1061.67,471.189 1060.341,472.516 1060.341,474.154 C1060.341,475.792 1061.67,477.12 1063.307,477.12 C1064.945,477.12 1066.272,475.792 1066.272,474.154 L1066.272,474.154 Z M1079.913,474.154 C1079.913,472.516 1078.586,471.189 1076.948,471.189 C1075.311,471.189 1073.982,472.516 1073.982,474.154 C1073.982,475.792 1075.311,477.12 1076.948,477.12 C1078.586,477.12 1079.913,475.792 1079.913,474.154 L1079.913,474.154 Z", null, false);
            //clip14.Width = 70;
            //clip14.Height = 50;
            //clip14.OffsetX = 150;
            //clip14.OffsetY = 250;

            Node clip15 = CreateNodes("Clip15", "M772.947,932.966 C780.106,932.966 786.84,931.149 792.714,927.951 C795.649,930.773 797.985,934.213 799.502,938.066 C799.502,938.066 788.943,941.285 772.947,941.285 C756.95,941.285 746.393,938.066 746.393,938.066 C747.91,934.213 750.246,930.773 753.181,927.952 C759.055,931.149 765.789,932.966 772.947,932.966 L772.947,932.966 Z M788.717,892.194 C788.717,900.903 781.657,907.965 772.947,907.965 C764.238,907.965 757.178,900.903 757.178,892.194 C757.178,883.485 764.238,876.424 772.947,876.424 C781.657,876.424 788.717,883.485 788.717,892.194 L788.717,892.194 Z M772.468,881.354 C772.369,880.794 772.075,880.049 770.678,880.049 C769.988,880.049 769.321,880.237 768.986,880.35 C767.625,880.805 766.36,881.489 765.227,882.382 C763.763,883.536 762.557,885.028 761.736,886.697 C761.536,887.107 761.459,887.857 761.703,888.496 C761.865,888.923 762.136,889.215 762.508,889.367 C762.609,889.407 762.71,889.428 762.817,889.428 C763.466,889.428 764.347,888.64 765.174,887.32 C765.757,886.388 766.5,885.575 767.381,884.902 C768.097,884.355 768.885,883.919 769.722,883.604 C769.903,883.536 770.118,883.475 770.348,883.41 C771.687,883.027 772.695,882.632 772.468,881.354 L772.468,881.354 Z M793.838,892.194 C793.838,903.713 784.466,913.084 772.947,913.084 C761.429,913.084 752.057,903.713 752.057,892.194 C752.057,880.676 761.429,871.305 772.947,871.305 C784.466,871.305 793.838,880.676 793.838,892.194 L793.838,892.194 Z M791.659,892.194 C791.659,881.86 783.281,873.483 772.947,873.483 C762.614,873.483 754.236,881.86 754.236,892.194 C754.236,902.528 762.614,910.906 772.947,910.906 C783.281,910.906 791.659,902.528 791.659,892.194 L791.659,892.194 Z M809.171,892.194 C809.171,912.2 792.955,928.418 772.947,928.418 C752.94,928.418 736.723,912.2 736.723,892.194 C736.723,872.189 752.94,855.971 772.947,855.971 C792.955,855.971 809.171,872.189 809.171,892.194 L809.171,892.194 Z M795.636,892.194 C795.636,879.684 785.458,869.505 772.947,869.505 C760.436,869.505 750.259,879.684 750.259,892.194 C750.259,904.705 760.436,914.883 772.947,914.883 C785.458,914.883 795.636,904.705 795.636,892.194 L795.636,892.194 Z M798.442,873.875 C798.442,872.491 797.321,871.371 795.939,871.371 C794.557,871.371 793.436,872.491 793.436,873.875 C793.436,875.257 794.557,876.377 795.939,876.377 C797.321,876.377 798.442,875.257 798.442,873.875 L798.442,873.875 Z M797.379,873.875 C797.379,873.079 796.734,872.434 795.939,872.434 C795.143,872.434 794.499,873.079 794.499,873.875 C794.499,874.669 795.143,875.314 795.939,875.314 C796.734,875.314 797.379,874.669 797.379,873.875 L797.379,873.875 Z", null, false);
            clip15.Width = 26;
            clip15.Height = 30;
            clip15.OffsetX = 150;
            clip15.OffsetY = 250;

            //Node clip16 = CreateNodes("Clip16", "M1051.979,849.897 L1067.812,881.979 L1103.217,887.124 L1077.597,912.097 L1083.645,947.359 L1051.979,930.711 L1020.311,947.359 L1026.359,912.097 L1000.739,887.124 L1036.145,881.979 L1051.979,849.897", null, false);
            //clip16.Width = 70;
            //clip16.Height = 50;
            //clip16.OffsetX = 150;
            //clip16.OffsetY = 250;

            Node clip17 = CreateNodes("Clip17", "M950.509,654.2 C950.31,653.898 950.133,653.482 949.784,653.072 C948.772,651.812 946.711,650.264 944.165,648.888 C938.093,645.609 927.39,641.725 925.425,640.506 C924.589,639.987 921.16,638.19 921.613,634.712 C921.727,634.076 921.907,633.404 922.16,632.705 C922.561,631.949 923.417,630.41 926.357,629.287 C929.297,628.164 948.953,623.521 949.641,617.091 C934.879,616.936 936.659,601.704 935.624,590.147 C934.409,576.579 924.855,566.527 910.299,566.527 C895.742,566.527 887.692,576.771 884.975,590.147 C882.696,601.36 884.655,617.323 870.13,616.569 C870.065,623.65 891.1,628.162 894.204,629.327 C897.308,630.493 897.989,631.961 898.384,632.705 C898.638,633.404 898.816,634.076 898.931,634.712 C899.382,638.19 895.957,639.992 895.118,640.506 C893.033,641.782 882.452,645.609 876.378,648.888 C873.833,650.264 871.771,651.812 870.76,653.072 C870.41,653.482 870.241,653.903 870.034,654.2 C867.418,657.93 865.946,663.014 868.184,667.377 C870.502,670.379 869.362,674.505 910.272,674.505 C951.181,674.505 950.042,670.379 952.359,667.377 C954.049,663.805 954.569,660.318 950.509,654.2", null, false);
            clip17.Width = 24;
            clip17.Height = 30;
            clip17.OffsetX = 150;
            clip17.OffsetY = 250;

            Node clip18 = CreateNodes("Clip18", "M819.003,654.318 C817.828,652.855 815.434,651.057 812.477,649.46 C805.427,645.651 790.491,641.663 788.82,639.726 C788.071,638.86 786.266,635.836 786.791,631.799 C786.925,631.059 787.132,630.281 787.426,629.47 C789.298,625.945 793.443,623.098 794.364,616.034 C794.637,616.085 793.93,616.121 794.293,616.12 C794.312,616.12 794.33,616.121 794.349,616.121 C794.357,616.121 794.366,616.12 794.373,616.12 C794.786,616.121 795.252,616.074 795.758,615.942 C797.676,615.443 798.362,612.105 798.362,612.105 C798.362,612.105 800.006,606.895 800.281,605.937 C800.555,604.976 801.377,602.922 801.104,600.728 C800.86,598.777 799.397,597.778 798.136,597.799 C797.943,597.793 797.755,597.809 797.573,597.849 C797.173,597.942 796.171,598.099 796.266,597.579 C796.981,593.625 797.366,590.641 797.366,586.751 C797.366,573.391 786.536,562.56 773.174,562.56 C773.157,562.56 773.141,562.561 773.123,562.561 C773.106,562.561 773.089,562.56 773.071,562.56 C759.711,562.56 748.88,573.391 748.88,586.751 C748.88,590.641 749.266,593.625 749.98,597.579 C750.074,598.099 749.074,597.942 748.673,597.849 C748.492,597.809 748.304,597.793 748.111,597.799 C746.85,597.778 745.388,598.777 745.143,600.728 C744.869,602.922 745.691,604.976 745.966,605.937 C746.241,606.895 747.885,612.105 747.885,612.105 C747.885,612.105 748.57,615.443 750.488,615.942 C750.994,616.074 751.46,616.121 751.875,616.12 C751.881,616.12 751.89,616.121 751.898,616.121 C751.916,616.121 751.935,616.12 751.953,616.12 C752.316,616.121 751.609,616.085 751.882,616.034 C752.449,622.775 756.948,625.945 758.82,629.47 C759.114,630.281 759.322,631.059 759.455,631.799 C759.981,635.836 758.174,638.86 757.426,639.726 C755.753,641.663 740.818,645.651 733.769,649.46 C730.812,651.057 728.419,652.855 727.243,654.318 C722.46,658.215 721.238,665.748 724.251,670.196 C726.945,673.681 725.621,678.472 773.123,678.472 C820.625,678.472 819.302,673.681 821.995,670.196 C824.746,665.748 822.78,657.3 819.003,654.318", null, false);
            clip18.Width = 26;
            clip18.Height = 30;
            clip18.OffsetX = 150;
            clip18.OffsetY = 250;

            Node clip19 = CreateNodes("Clip19", "M1077.924,599.684 C1085.031,599.684 1090.794,593.92 1090.794,586.812 C1090.794,579.703 1085.031,573.941 1077.924,573.941 C1070.814,573.941 1065.052,579.703 1065.052,586.812 C1065.052,588.181 1065.192,588.765 1065.192,588.765 C1065.451,589.85 1064.934,591.286 1064.045,591.958 L1034.792,614.02 C1033.902,614.692 1032.352,614.846 1031.347,614.363 C1031.347,614.363 1028.675,613.08 1026.033,613.08 C1018.925,613.08 1013.162,618.841 1013.162,625.95 C1013.162,633.059 1018.925,638.82 1026.033,638.82 C1029.194,638.82 1032.583,636.819 1032.583,636.819 C1033.543,636.252 1035.113,636.252 1036.073,636.819 L1059.498,650.665 C1060.458,651.232 1061.131,652.443 1060.994,653.356 C1060.994,653.356 1060.994,653.356 1060.994,654.22 C1060.994,661.329 1066.757,667.09 1073.865,667.09 C1080.973,667.09 1086.736,661.329 1086.736,654.22 C1086.736,647.112 1080.973,641.348 1073.865,641.348 C1070.704,641.348 1067.315,643.35 1067.315,643.35 C1066.355,643.917 1064.785,643.916 1063.825,643.349 L1040.4,629.505 C1039.44,628.938 1038.767,627.727 1038.904,626.814 C1038.904,626.814 1038.904,626.814 1038.904,625.95 C1038.904,624.581 1038.764,623.997 1038.764,623.997 C1038.505,622.913 1039.021,621.477 1039.911,620.805 L1069.162,598.741 C1070.053,598.07 1071.603,597.916 1072.608,598.399 C1072.608,598.399 1075.28,599.684 1077.924,599.684", null, false);
            clip19.Width = 25;
            clip19.Height = 30;
            clip19.OffsetX = 150;
            clip19.OffsetY = 250;

            Node clip20 = CreateNodes("Clip20", "M786.298,710.022 C786.298,717.451 780.275,723.475 772.845,723.475 C765.415,723.475 759.392,717.451 759.392,710.022 C759.392,702.591 765.415,696.568 772.845,696.568 C780.275,696.568 786.298,702.591 786.298,710.022 L786.298,710.022 Z M817.042,708.492 C814.677,705.758 810.266,706.311 807.089,708.713 C807.089,708.713 803.626,711.009 798.015,715.323 C791.619,720.239 782.439,726.052 772.078,726.094 C762.769,726.094 753.623,720.006 747.266,714.974 C741.981,710.792 738.329,708.155 738.329,708.155 C735.074,705.908 731.322,705.444 728.957,708.177 C726.592,710.911 726.891,715.043 729.624,717.408 C729.624,717.408 732.424,719.681 736.514,722.704 C742.068,726.809 749.848,732.549 754.821,738.182 C758.745,742.628 758.849,747.258 758.849,749.728 L758.849,811.633 C758.849,815.248 761.779,818.178 765.393,818.178 C769.008,818.178 771.938,815.248 771.938,811.633 L771.938,774.039 L773.752,774.039 L773.752,811.633 C773.752,815.248 776.682,818.178 780.297,818.178 C783.911,818.178 786.842,815.248 786.842,811.633 L786.842,750.115 C786.847,746.781 787.597,741.145 792.203,736.09 C796.713,731.14 803.243,726.632 808.243,723.11 C812.848,719.868 816.12,717.408 816.12,717.408 C818.854,715.043 819.407,711.225 817.042,708.492 L817.042,708.492 Z", null, false);
            clip20.Width = 22;
            clip20.Height = 30;
            clip20.OffsetX = 150;
            clip20.OffsetY = 250;

            //Node clip21 = CreateNodes("Clip21", "M685.93,725.128 L575.428,725.128 C572.347,725.128 569.826,727.648 569.826,730.729 L569.826,784.018 C569.826,787.098 572.347,789.619 575.428,789.619 L685.93,789.619 C689.011,789.619 691.531,787.098 691.531,784.018 L691.531,730.729 C691.531,727.648 689.011,725.128 685.93,725.128 L685.93,725.128 Z M653.149,775.555 L583.258,775.555 L583.258,762.403 L647.179,762.403 C648.166,766.336 650.277,769.822 653.149,772.505 L653.149,775.555 L653.149,775.555 Z M653.149,742.157 C650.256,744.859 648.138,748.376 647.159,752.344 L583.258,752.344 L583.258,739.192 L653.149,739.192 L653.149,742.157 L653.149,742.157 Z M667.319,770.713 C659.928,770.713 653.937,764.722 653.937,757.331 C653.937,749.94 659.928,743.949 667.319,743.949 C674.71,743.949 680.701,749.94 680.701,757.331 C680.701,764.722 674.71,770.713 667.319,770.713 L667.319,770.713 Z", null, false);
            //clip21.Width = 57;
            //clip21.Height = 30;
            //clip21.OffsetX = 150;
            //clip21.OffsetY = 250;

            //Node clip22 = CreateNodes("Clip22", "M663.363,754.162 L658.565,754.162 L658.565,760.273 L663.363,760.273 L663.363,765.809 L675.999,757.373 L663.363,748.938 L663.363,754.162", null, false);
            //clip22.Width = 32;
            //clip22.Height = 30;
            //clip22.OffsetX = 150;
            //clip22.OffsetY = 250;

            //Node clip23 = CreateNodes("Clip23", "M464.105,753.351 C466.084,762.063 468.56,792.092 466.663,804.306 C465.331,804.634 463.94,804.922 462.515,805.177 C463.567,791.831 461.5,765.418 459.793,753.311 C461.358,753.299 462.818,753.31 464.105,753.351 L464.105,753.351 Z M455.697,753.383 C444.348,753.688 430.234,754.777 430.234,754.777 L430.234,806.781 C430.234,806.781 444.969,807.568 458.416,805.806 C458.939,789.292 458.301,771.235 455.697,753.383 L455.697,753.383 Z M541.071,755.687 C540.977,752.015 540.116,749.87 536.697,748.689 C533.211,747.487 528.466,747.415 524.017,747.432 C520.428,747.446 515.578,746.441 514.677,745.862 C513.297,744.978 512.154,743.755 511.909,742.32 C511.483,739.8 512.327,737.752 513.203,735.361 C515.892,728.021 520.224,723.558 518.239,714.732 C517.654,712.138 515.24,706.427 511.514,708.088 C509.1,709.167 510.142,713.298 509.654,715.391 C508.272,721.326 504.607,724.578 501.212,729.491 C499.226,732.362 496.796,733.78 494.118,736.756 C491.382,739.794 490.824,740.539 489.037,744.208 C486.864,748.674 484.096,753.347 479.102,755.054 C475.729,756.206 472.184,756.958 468.662,757.661 C469.283,761.682 469.907,767.322 470.471,775.274 C470.71,778.644 471.201,786.517 471.195,794.322 C471.92,794.039 472.751,793.785 473.736,793.576 C477.839,792.376 482.915,791.179 486.782,792.25 C490.064,793.159 493.059,794.172 496.467,794.818 C499.611,795.414 502.505,796.065 505.721,796.06 C510.913,796.045 515.856,795.371 518.471,795.14 C519.426,795.055 522.031,794.739 523.763,794.044 C525.158,793.487 526.394,792.613 527.415,790.821 C528.69,788.58 528.716,786.847 527.359,784.53 C533.103,783.223 536.504,778.45 532.864,773.162 C535.044,772.982 537.648,770.765 538.027,768.611 C538.589,765.425 537.581,763.264 535.475,760.941 C537.965,760.397 541.148,758.696 541.071,755.687 L541.071,755.687 Z", null, false);
            //clip23.Width = 34;
            //clip23.Height = 30;
            //clip23.OffsetX = 150;
            //clip23.OffsetY = 250;

            Node clip24 = CreateNodes("Clip24", "M326.874,661.864 L337.373,671.651 L336.109,675.82 L325.609,666.033 L311.443,668.339 L312.708,664.17 L326.874,661.864 L326.874,661.864 Z M320.934,599.363 C324.216,586.918 336.965,579.488 349.41,582.771 C361.857,586.053 369.284,598.803 366.003,611.248 C362.72,623.694 349.97,631.122 337.525,627.84 C325.08,624.558 317.651,611.808 320.934,599.363 L320.934,599.363 Z M335.35,595.619 L338.294,598.78 L342.104,595.187 L342.104,613.975 L337.429,613.975 L337.429,618.607 L351.586,618.607 L351.586,613.975 L346.866,613.975 L346.866,589.082 L342.191,589.082 L335.35,595.619 L335.35,595.619 Z M303.454,616.2 L310.383,605.439 L303.375,594.732 L314.752,588.874 L314.03,576.095 L326.817,576.728 L332.574,565.292 L343.335,572.222 L354.041,565.212 L359.899,576.59 L372.679,575.869 L372.047,588.655 L383.482,594.411 L376.552,605.173 L383.563,615.879 L372.182,621.737 L372.904,634.516 L360.118,633.884 L354.363,645.32 L343.601,638.39 L332.894,645.399 L327.037,634.021 L314.257,634.743 L314.889,621.956 L303.454,616.2 L303.454,616.2 Z M336.716,630.908 C350.855,634.636 365.341,626.197 369.071,612.057 C372.798,597.918 364.36,583.432 350.219,579.703 C336.079,575.975 321.595,584.415 317.866,598.554 C314.137,612.693 322.576,627.178 336.716,630.908 L336.716,630.908 Z M360.062,661.864 L349.563,671.651 L350.828,675.82 L361.327,666.033 L375.494,668.339 L374.229,664.17 L360.062,661.864 L360.062,661.864 Z M373.281,661.043 L366.402,638.364 L362.618,638.177 L355.997,651.328 L348.093,646.239 L344.975,656.52 L348.615,668.524 L359.114,658.737 L373.281,661.043 L373.281,661.043 Z M343.621,643.359 L331.306,651.421 L324.567,638.333 L320.473,638.565 L313.656,661.043 L327.823,658.737 L338.321,668.524 L345.573,644.616 L343.621,643.359 L343.621,643.359 Z", null, false);
            clip24.Width = 22;
            clip24.Height = 30;
            clip24.OffsetX = 150;
            clip24.OffsetY = 250;

            Node clip25 = CreateNodes("Clip25", "M593.161,656.377 C592.843,656.378 592.523,656.379 592.196,656.379 C565.179,656.379 565.931,653.654 564.4,651.672 C562.686,649.142 563.381,638.983 566.102,636.767 C566.77,635.935 568.131,634.912 569.813,634.004 C573.823,631.838 580.554,629.569 581.505,628.468 C581.931,627.976 582.959,626.256 582.659,623.96 C582.583,623.539 582.465,623.096 582.299,622.635 C581.234,620.631 580.571,618.222 580.115,615.58 C579.959,615.61 579.774,615.63 579.568,615.629 C579.557,615.629 579.546,615.63 579.537,615.63 C579.532,615.63 579.527,615.629 579.523,615.629 C579.287,615.63 579.022,615.603 578.735,615.529 C577.644,615.245 577.254,613.346 577.254,613.346 C577.254,613.346 576.318,610.383 576.162,609.838 C576.007,609.292 575.538,608.124 575.694,606.876 C575.834,605.767 576.665,605.198 577.382,605.209 C577.493,605.206 577.599,605.215 577.702,605.239 C577.931,605.291 578.178,605.436 578.426,605.626 C578.446,605.642 578.468,605.654 578.489,605.665 C578.774,605.707 579.086,605.381 579.033,605.084 C578.627,602.835 578.407,600.552 578.407,598.339 C578.407,590.741 584.568,584.58 592.166,584.58 C592.176,584.58 592.185,584.581 592.196,584.581 C592.204,584.581 592.214,584.58 592.224,584.58 C599.823,584.58 605.983,590.741 605.983,598.339 C605.983,600.552 605.764,602.835 605.357,605.084 C605.304,605.381 605.617,605.707 605.902,605.665 C605.924,605.654 605.944,605.642 605.965,605.626 C606.212,605.436 606.461,605.291 606.689,605.239 C606.792,605.215 606.899,605.206 607.009,605.209 C607.725,605.198 608.558,605.767 608.697,606.876 C608.852,608.124 608.384,609.292 608.228,609.838 C608.072,610.383 607.137,613.346 607.137,613.346 C607.137,613.346 606.748,615.245 605.656,615.529 C605.368,615.603 605.104,615.63 604.868,615.629 C604.864,615.629 604.859,615.63 604.855,615.63 C604.844,615.63 604.834,615.629 604.823,615.629 C604.616,615.63 604.431,615.61 604.276,615.58 C603.821,618.222 603.157,620.631 602.093,622.635 C601.925,623.096 601.807,623.539 601.732,623.96 C601.433,626.256 602.46,627.976 602.885,628.468 C603.535,629.22 606.88,630.517 610.214,631.954 C607.657,633.035 604.868,634.234 602.642,635.436 C600.286,636.71 598.36,638.143 597.211,639.477 C594.066,642.37 592.657,650.395 593.161,656.377 L593.161,656.377 Z M696.193,639.122 C696.119,638.93 695.979,638.714 695.78,638.481 C695.205,637.764 694.032,636.884 692.585,636.101 C689.132,634.237 683.332,632.283 682.514,631.334 C682.147,630.911 681.263,629.429 681.521,627.452 C681.585,627.089 681.687,626.707 681.832,626.311 C682.06,625.88 682.268,625.427 682.456,624.954 C692.213,623.612 695.457,620.174 695.699,618.017 C689.141,616.09 688.902,609.266 688.314,602.693 C687.622,594.976 681.602,588.672 673.323,588.672 C665.043,588.672 659.878,595.086 658.333,602.693 C657.037,609.071 657.157,617.717 650.478,617.721 C650.602,620.043 653.9,623.627 664.169,624.976 C664.356,625.441 664.559,625.887 664.784,626.311 C664.929,626.707 665.03,627.089 665.095,627.452 C665.352,629.429 664.468,630.911 664.103,631.334 C663.62,631.891 661.42,632.796 658.988,633.826 C660.149,634.356 661.268,634.896 662.268,635.436 C664.639,636.718 666.577,638.162 667.723,639.504 C670.33,641.924 671.718,649.455 671.577,655.366 C672.141,655.369 672.714,655.371 673.307,655.371 C696.574,655.371 695.927,653.025 697.246,651.317 C698.206,649.284 698.274,644.551 696.193,639.122 L696.193,639.122 Z M665.551,641.577 C664.703,640.523 662.977,639.225 660.843,638.073 C655.757,635.326 647.219,632.449 646.013,631.052 C645.473,630.428 644.17,628.247 644.55,625.335 C644.646,624.801 644.795,624.238 645.007,623.653 C646.359,621.112 647.199,618.056 647.777,614.707 C647.974,614.744 648.208,614.77 648.471,614.769 C648.485,614.769 648.498,614.77 648.51,614.77 C648.516,614.77 648.522,614.769 648.528,614.769 C648.828,614.77 649.163,614.736 649.527,614.641 C650.911,614.281 651.406,611.873 651.406,611.873 C651.406,611.873 652.592,608.115 652.789,607.424 C652.988,606.731 653.582,605.248 653.384,603.667 C653.207,602.259 652.151,601.539 651.242,601.553 C651.104,601.549 650.967,601.56 650.837,601.59 C650.762,601.607 650.686,601.633 650.607,601.665 C650.408,598.666 651.193,595.891 651.193,593.28 C651.193,582.969 642.803,574.581 632.462,574.581 L632.418,574.581 C622.107,574.581 613.718,582.969 613.718,593.28 C613.718,595.923 614.533,598.771 614.24,601.643 C614.183,601.623 614.127,601.602 614.073,601.59 C613.943,601.56 613.807,601.549 613.667,601.553 C612.758,601.539 611.702,602.259 611.527,603.667 C611.329,605.248 611.922,606.731 612.12,607.424 C612.318,608.115 613.504,611.873 613.504,611.873 C613.504,611.873 613.999,614.281 615.383,614.641 C615.748,614.736 616.083,614.77 616.383,614.769 C616.387,614.769 616.393,614.77 616.399,614.77 C616.412,614.77 616.426,614.769 616.439,614.769 C616.702,614.77 616.936,614.744 617.133,614.707 C617.712,618.056 618.552,621.112 619.903,623.653 C620.114,624.238 620.264,624.801 620.361,625.335 C620.739,628.247 619.436,630.428 618.897,631.052 C617.691,632.449 609.153,635.326 604.068,638.073 C601.934,639.225 600.209,640.523 599.36,641.577 C595.908,644.389 595.028,657.274 597.202,660.482 C599.144,662.996 598.19,666.451 632.455,666.451 C666.72,666.451 665.765,662.996 667.708,660.482 C669.693,657.274 668.274,643.728 665.551,641.577 L665.551,641.577 Z", null, false);
            clip25.Width = 44;
            clip25.Height = 30;
            clip25.OffsetX = 150;
            clip25.OffsetY = 250;

            Node clip26 = CreateNodes("Clip26", "M21.921,595.124 L64.792,576.57 L107.663,595.124 L21.921,595.124 L21.921,595.124 Z M21.913,604.221 L107.671,604.221 L107.671,598.436 L21.913,598.436 L21.913,604.221 Z M21.913,652.74 L107.671,652.74 L107.671,646.955 L21.913,646.955 L21.913,652.74 Z M16.718,664.462 L112.866,664.462 L112.866,655.214 L16.718,655.214 L16.718,664.462 Z M68.997,644.577 L80.376,644.577 L80.376,606.447 L68.997,606.447 L68.997,644.577 Z M100.167,644.577 L100.168,606.447 L88.788,606.447 L88.788,644.577 L100.167,644.577 L100.167,644.577 Z M49.207,644.577 L60.586,644.577 L60.586,606.447 L49.207,606.447 L49.207,644.577 Z M29.417,644.577 L40.796,644.577 L40.796,606.447 L29.417,606.447 L29.417,644.577 Z", null, false);
            clip26.Width = 34;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip27 = CreateNodes("Clip27", "M529.34,525.553 L529.34,532.526 L437.773,532.526 L437.773,532.25 L437.463,532.25 L437.463,440.683 L444.437,440.683 L444.437,525.553 L529.34,525.553 L529.34,525.553 Z M475.106,521.633 L483.093,521.633 L483.093,475.518 L475.106,484.419 L475.106,521.633 L475.106,521.633 Z M505.724,477.469 L501.73,475.538 L501.73,521.633 L509.717,521.633 L509.717,472.588 L505.724,477.469 L505.724,477.469 Z M448.482,521.633 L456.469,521.633 L456.469,505.191 L448.482,514.093 L448.482,521.633 L448.482,521.633 Z M515.043,521.633 L523.03,521.633 L523.03,457.756 L515.043,466.655 L515.043,521.633 L515.043,521.633 Z M461.793,521.633 L469.781,521.633 L469.781,490.354 L461.793,499.256 L461.793,521.633 L461.793,521.633 Z M488.418,469.583 L488.418,521.633 L496.405,521.633 L496.405,473.075 L488.547,469.438 L488.418,469.583 L488.418,469.583 Z M523.255,437.225 L512.664,440.684 L517.7,445.204 L502.597,462.031 L485.639,454.184 L485.633,454.197 L448.482,495.601 L448.482,508.699 L487.835,464.839 L504.788,472.682 L504.789,472.685 L504.789,472.684 L504.79,472.685 L504.792,472.682 L524.21,451.049 L529.245,455.569 L533.845,433.767 L523.255,437.225 L523.255,437.225 Z", null, false);
            clip26.Width = 30;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            //Node clip28 = CreateNodes("Clip28", "M234.41,405.789 C231.724,405.789 229.537,403.606 229.537,400.923 C229.537,399.957 229.826,399.018 230.36,398.22 C226.409,395.995 219.924,394.362 212.415,393.715 C210.787,393.575 209.282,393.471 207.362,393.42 L207.362,396.641 C208.534,397.207 209.773,398.403 209.773,400.923 C209.773,403.606 207.581,405.789 204.886,405.789 C202.181,405.789 199.982,403.606 199.982,400.923 C199.982,398.805 200.79,397.363 202.385,396.626 L202.385,393.416 C192.89,393.651 184.465,395.363 179.554,398.042 C180.175,398.872 180.51,399.873 180.51,400.923 C180.51,403.606 178.33,405.789 175.65,405.789 C172.967,405.789 170.782,403.606 170.782,400.923 C170.782,399.464 171.434,398.091 172.573,397.157 L172.584,397.148 C178.433,390.012 194.751,388.549 200.446,388.254 L200.446,367.82 L179.648,367.82 C177.326,367.82 174.164,365.612 172.217,362.653 C167.108,361.427 161.682,358.795 160.876,344.553 L157.868,344.553 C157.07,344.553 155.205,344.553 155.205,342.443 L155.205,340.801 C155.205,339.613 155.909,338.904 157.091,338.904 C157.208,338.904 157.336,338.909 157.475,338.916 C157.612,338.923 157.736,338.928 157.868,338.928 C157.868,338.928 160.091,337.636 163.833,337.636 C167.575,337.636 169.321,338.928 169.321,338.928 C169.46,338.928 169.586,338.922 169.699,338.916 C169.834,338.909 169.951,338.904 170.054,338.904 C171.157,338.904 171.815,339.613 171.815,340.801 L171.815,342.443 C171.815,344.553 170.068,344.553 169.321,344.553 L166.133,344.553 C166.539,350.682 168.027,354.871 170.561,357.031 C171.059,353.755 172.985,350.562 176.384,350.562 L233.491,350.562 C236.899,350.562 239.69,354.316 240.078,357.744 C243.581,355.965 245.366,351.838 245.811,344.553 L242.867,344.553 C242.046,344.553 240.517,344.553 240.517,342.443 L240.517,340.801 C240.517,339.151 241.552,338.904 242.17,338.904 C242.263,338.904 242.369,338.909 242.49,338.915 C242.603,338.922 242.726,338.928 242.867,338.928 C242.867,338.928 244.62,337.636 248.659,337.636 C252.7,337.636 254.316,338.928 254.316,338.928 C254.449,338.928 254.578,338.923 254.701,338.918 C254.864,338.91 255.003,338.904 255.132,338.904 C256.382,338.904 257.126,339.613 257.126,340.801 L257.126,342.443 C257.126,344.553 255.085,344.553 254.316,344.553 L251.06,344.553 C250.315,356.132 246.049,362.012 237.672,363.015 C235.542,365.853 232.51,367.82 230.227,367.82 L209.947,367.82 L209.947,388.274 C210.968,388.329 211.99,388.401 212.929,388.48 C218.405,388.953 231.703,390.72 237.195,396.91 C238.509,397.809 239.29,399.304 239.29,400.923 C239.29,403.606 237.1,405.789 234.41,405.789 L234.41,405.789 Z M195.275,344.002 L215.118,344.002 L215.118,348.528 L195.275,348.528 L195.275,344.002 Z M203.943,341.634 C196.292,341.634 188.632,341.154 181.174,340.209 C180.318,340.1 179.44,339.454 178.763,338.437 C178.153,337.522 177.192,335.49 177.618,332.179 C178.66,324.092 179.801,317.089 180.904,310.316 C181.822,304.68 182.771,298.851 183.693,292.236 C184.223,288.433 186.095,283.993 189.618,283.993 L219.317,283.993 C223.706,283.993 225.43,287.925 225.757,290.247 C226.711,297.079 227.703,303.171 228.664,309.063 C229.842,316.3 231.053,323.751 232.149,332.299 C232.472,334.818 231.695,336.614 230.986,337.676 C230.062,339.057 228.723,340.011 227.49,340.166 C219.629,341.139 211.707,341.634 203.943,341.634 L203.943,341.634 Z", null, false);
            //clip26.Width = 30;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            Node clip29 = CreateNodes("Clip29", "M57.312,777.416 L52.495,773.864 L77.088,773.864 L72.271,777.416 L57.312,777.416 L57.312,777.416 Z M113.862,749.338 L80.63,775.077 L114.659,800.451 L114.659,748.726 C114.369,748.946 114.098,749.154 113.862,749.338 L113.862,749.338 Z M16.215,747.113 L16.487,747.316 L34.568,760.647 L34.568,727.137 C34.568,725.71 35.728,724.549 37.156,724.549 L92.428,724.549 C93.855,724.549 95.016,725.71 95.016,727.137 L95.016,760.647 L96.436,759.601 L112.714,747.6 C112.915,747.452 113.14,747.286 113.38,747.109 C113.512,747.042 113.641,746.965 113.761,746.872 C113.751,746.864 113.741,746.857 113.731,746.85 C113.741,746.842 113.751,746.835 113.761,746.828 C113.641,746.734 113.512,746.657 113.38,746.59 C113.141,746.413 112.916,746.247 112.714,746.099 L97.856,735.145 L97.856,727.137 C97.856,724.143 95.421,721.708 92.428,721.708 L79.631,721.708 L66.7,712.175 C66.194,711.803 65.518,711.598 64.793,711.598 C64.066,711.598 63.39,711.803 62.884,712.175 L49.954,721.708 L37.156,721.708 C34.163,721.708 31.727,724.143 31.727,727.137 L31.727,735.147 L16.487,746.384 L16.215,746.586 C16.078,746.654 15.946,746.731 15.825,746.826 L15.857,746.85 L15.825,746.873 C15.946,746.968 16.078,747.045 16.215,747.113 L16.215,747.113 Z M42.578,757.373 L87.006,757.373 L87.006,753.821 L42.578,753.821 L42.578,757.373 Z M87.006,766.553 L87.006,763.843 L42.578,763.843 L42.578,766.553 L43.72,767.395 L85.864,767.395 L87.006,766.553 L87.006,766.553 Z M66.917,785.7 C66.349,786.14 65.595,786.381 64.793,786.381 C63.989,786.381 63.235,786.14 62.667,785.7 L50.887,776.575 L15.864,802.69 C16.262,802.988 16.742,803.149 17.24,803.149 L112.345,803.149 C112.842,803.149 113.321,802.988 113.72,802.69 L78.697,776.575 L66.917,785.7 L66.917,785.7 Z M15.746,749.355 C15.502,749.167 15.223,748.953 14.925,748.726 L14.925,800.451 L48.954,775.077 L15.746,749.355 L15.746,749.355 Z M42.578,747.207 L87.006,747.207 L87.006,743.655 L42.578,743.655 L42.578,747.207 Z M42.578,737.04 L87.006,737.04 L87.006,733.488 L42.578,733.488 L42.578,737.04 Z", null, false);
            clip26.Width = 32;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip30 = CreateNodes("Clip30", "M245.85,618.257 L206.167,639.596 L150.858,609.856 L206.167,584.777 L261.473,609.856 L254.339,613.692 L254.339,632.053 L250.619,632.053 L250.619,615.689 C240.365,614.285 209.956,610.107 206.165,609.424 C206.165,610.929 233.233,616.438 245.85,618.257 L245.85,618.257 Z M239.265,637.473 L237.73,626.799 L206.167,643.772 L174.645,626.822 L173.154,637.188 C172.97,637.762 172.843,638.346 172.782,638.94 C172.543,641.224 173.26,643.431 174.778,645.464 C176.314,647.523 178.668,649.4 181.67,650.993 C184.701,652.6 188.382,653.913 192.526,654.827 C196.693,655.745 201.308,656.255 206.167,656.255 C211.026,656.255 215.64,655.745 219.808,654.827 C223.951,653.913 227.632,652.6 230.663,650.993 C233.665,649.4 236.019,647.523 237.556,645.464 C239.073,643.431 239.791,641.224 239.552,638.94 C239.5,638.444 239.402,637.955 239.265,637.473 L239.265,637.473 Z M252.473,643.005 C251.201,643.005 250.016,642.714 249,642.218 L246.679,649.607 C246.679,649.607 248.533,651.406 252.473,651.406 C256.414,651.406 258.268,649.607 258.268,649.607 L255.947,642.218 C254.931,642.714 253.746,643.005 252.473,643.005 L252.473,643.005 Z M248.57,637.537 C248.57,639.286 250.318,640.703 252.473,640.703 C254.629,640.703 256.377,639.286 256.377,637.537 C256.377,635.789 254.629,634.372 252.473,634.372 C250.318,634.372 248.57,635.789 248.57,637.537 L248.57,637.537 Z", null, false);
            clip26.Width = 32;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip31 = CreateNodes("Clip31", "M523.535,570.266 L447.772,570.266 C479.594,599.258 415.953,628.25 447.772,657.242 L488.852,657.242 C487.568,654.024 486.279,650.09 487.744,645.073 L487.943,644.39 C487.39,643.987 486.858,643.553 486.371,643.067 C484.079,640.771 482.818,637.801 482.822,634.701 C482.818,631.611 484.078,628.641 486.37,626.345 C488.86,623.852 492.323,622.422 495.871,622.422 C502.804,622.422 508.237,627.816 508.245,634.701 C508.24,639.551 505.543,643.648 501.536,645.658 L501.026,647.557 C500.235,650.502 501.477,653.463 502.792,656.599 C502.881,656.811 502.972,657.026 503.061,657.242 L523.535,657.242 C491.714,628.25 555.355,599.258 523.535,570.266 L523.535,570.266 Z M521.258,600.904 L463.372,600.904 C463.748,599.791 464.087,598.667 464.373,597.534 L522.654,597.534 C522.253,598.623 521.786,599.745 521.258,600.904 L521.258,600.904 Z M524.138,587.981 C524.272,589.083 524.272,590.204 524.162,591.351 L465.361,591.351 C465.432,590.233 465.434,589.109 465.368,587.981 L524.138,587.981 L524.138,587.981 Z M519.22,578.427 C520.282,579.557 521.164,580.678 521.87,581.797 L464.258,581.797 C463.911,580.676 463.479,579.552 462.955,578.427 L519.22,578.427 L519.22,578.427 Z M450.739,626.193 L476.932,626.193 C476.396,627.353 475.917,628.474 475.506,629.564 L449.224,629.564 C449.671,628.475 450.179,627.353 450.739,626.193 L450.739,626.193 Z M447.071,639.117 C447.049,638.017 447.138,636.898 447.341,635.747 L473.903,635.747 C473.771,636.895 473.754,638.016 473.86,639.117 L447.071,639.117 L447.071,639.117 Z M450.793,648.67 C449.887,647.545 449.169,646.425 448.606,645.299 L475.95,645.299 C476.621,646.421 477.461,647.542 478.484,648.67 L450.793,648.67 L450.793,648.67 Z M480.084,620.01 L453.973,620.01 C454.45,619.145 454.944,618.259 455.453,617.35 C455.585,617.116 455.719,616.877 455.851,616.64 L481.947,616.64 C481.298,617.799 480.676,618.922 480.084,620.01 L480.084,620.01 Z M459.208,610.457 C459.777,609.35 460.334,608.227 460.865,607.087 L518.139,607.087 C517.55,608.175 516.928,609.299 516.281,610.457 L459.208,610.457 L459.208,610.457 Z M504.6,634.706 C504.593,639.481 500.885,643.343 495.872,643.343 C490.873,643.343 486.462,639.481 486.468,634.706 C486.462,629.93 490.873,626.068 495.872,626.068 C500.884,626.068 504.593,629.93 504.6,634.706 L504.6,634.706 Z M498.141,646.781 C495.836,655.359 505.388,663.137 500.355,670.766 L497.096,665.576 L490.52,669.889 C497.897,659.527 487.884,655.251 490.611,645.91 C492.263,646.61 494.054,646.989 495.871,646.989 L495.875,646.989 C496.652,646.989 497.408,646.911 498.141,646.781 L498.141,646.781 Z", null, false);
            clip26.Width = 32;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            //Node clip32 = CreateNodes("Clip32", "M516.924,13.86 L454.383,13.86 C450.929,13.86 448.128,16.659 448.128,20.115 L448.128,111.363 C448.128,114.817 450.929,117.618 454.383,117.618 L516.924,117.618 C520.378,117.618 523.179,114.817 523.179,111.363 L523.179,20.115 C523.179,16.659 520.378,13.86 516.924,13.86 L516.924,13.86 Z M460.172,96.004 L471.39,96.004 L471.39,107.222 L460.172,107.222 L460.172,96.004 Z M460.172,76.131 L471.39,76.131 L471.39,87.349 L460.172,87.349 L460.172,76.131 Z M460.172,56.258 L471.39,56.258 L471.39,67.477 L460.172,67.477 L460.172,56.258 Z M480.044,96.004 L491.263,96.004 L491.263,107.222 L480.044,107.222 L480.044,96.004 Z M480.044,76.131 L491.263,76.131 L491.263,87.349 L480.044,87.349 L480.044,76.131 Z M480.044,56.258 L491.263,56.258 L491.263,67.477 L480.044,67.477 L480.044,56.258 Z M499.917,96.004 L511.135,96.004 L511.135,107.222 L499.917,107.222 L499.917,96.004 Z M499.917,76.131 L511.135,76.131 L511.135,87.349 L499.917,87.349 L499.917,76.131 Z M499.917,56.258 L511.135,56.258 L511.135,67.477 L499.917,67.477 L499.917,56.258 Z M514.839,42.936 C514.839,43.462 514.411,43.89 513.884,43.89 L457.424,43.89 C456.896,43.89 456.468,43.462 456.468,42.936 L456.468,24.438 C456.468,23.911 456.896,23.482 457.424,23.482 L513.884,23.482 C514.411,23.482 514.839,23.911 514.839,24.438 L514.839,42.936 L514.839,42.936 Z M503.872,40.778 C502.822,40.778 501.683,40.519 500.485,40.009 L500.118,39.852 L500.118,36.613 L501.05,37.22 C501.84,37.734 502.778,37.994 503.839,37.994 C504.571,37.994 505.161,37.844 505.592,37.547 C506.042,37.237 506.252,36.799 506.252,36.167 C506.252,35.594 506.067,35.197 505.671,34.92 C505.297,34.659 504.771,34.526 504.107,34.526 L502.163,34.526 L502.163,32.352 L504.464,30 L500.118,30 L500.118,27.217 L508.7,27.217 L508.7,29.781 L506.284,32.197 C506.965,32.398 507.553,32.742 508.037,33.226 C508.8,33.99 509.186,34.996 509.186,36.219 C509.186,37.698 508.626,38.869 507.52,39.7 C506.554,40.416 505.328,40.778 503.872,40.778 L503.872,40.778 Z M488.184,40.627 L488.184,39.102 C488.184,37.611 488.495,36.392 489.108,35.479 C489.628,34.7 490.53,33.907 491.868,33.06 C492.744,32.502 493.108,32.221 493.259,32.084 C493.656,31.72 493.85,31.374 493.85,31.023 C493.85,30.694 493.727,30.422 493.463,30.166 C493.193,29.905 492.913,29.782 492.577,29.782 C491.527,29.782 490.446,30.184 489.362,30.975 L488.402,31.674 L488.402,28.326 L488.64,28.146 C489.637,27.385 490.871,27 492.308,27 C493.548,27 494.588,27.326 495.398,27.967 C496.316,28.687 496.783,29.692 496.783,30.956 C496.783,32.099 496.387,33.082 495.605,33.876 C495.401,34.088 494.93,34.501 493.257,35.586 C492.043,36.378 491.341,37.136 491.163,37.844 L496.633,37.844 L496.633,40.627 L488.184,40.627 L488.184,40.627 Z M480.609,40.627 L480.609,31.087 L477.508,33.768 L477.508,30.02 L480.859,27.217 L483.542,27.217 L483.542,40.627 L480.609,40.627 L480.609,40.627 Z", null, false);
            //clip26.Width = 32;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            //Node clip33 = CreateNodes("Clip33", "M320.49,373.358 L327.849,373.358 L327.849,380.716 L320.49,380.716 L320.49,373.358 Z M320.49,360.433 L327.849,360.433 L327.849,353.074 L320.49,353.074 L320.49,360.433 Z M320.49,340.149 L327.849,340.149 L327.849,332.79 L320.49,332.79 L320.49,340.149 Z M308.477,294.776 L378.461,294.776 L378.461,395.007 L308.477,395.007 L308.477,294.776 Z M316.802,384.404 L331.536,384.404 L331.536,369.67 L316.802,369.67 L316.802,384.404 Z M316.802,364.12 L331.536,364.12 L331.536,349.386 L316.802,349.386 L316.802,364.12 Z M316.802,343.837 L331.536,343.837 L331.536,329.103 L316.802,329.103 L316.802,343.837 Z M340.913,380.255 L369.385,380.255 L369.385,373.819 L340.913,373.819 L340.913,380.255 Z M340.913,359.972 L369.385,359.972 L369.385,353.535 L340.913,353.535 L340.913,359.972 Z M340.913,339.688 L369.385,339.688 L369.385,333.251 L340.913,333.251 L340.913,339.688 Z M316.802,316.201 L369.385,316.201 L369.385,306.416 L316.802,306.416 L316.802,316.201 Z", null, false);
            //clip26.Width = 32;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            Node clip34 = CreateNodes("Clip34", "M113.392,314.802 L75.449,314.802 L75.449,320.437 L79.206,320.437 L79.206,327.593 L51.5,327.593 L51.5,320.437 L55.256,320.437 L55.256,314.802 L16.192,314.802 C14.952,314.802 13.938,315.816 13.938,317.056 L13.938,387.325 C13.938,388.565 14.952,389.579 16.192,389.579 L113.392,389.579 C114.632,389.579 115.646,388.565 115.646,387.325 L115.646,317.056 C115.646,315.816 114.632,314.802 113.392,314.802 L113.392,314.802 Z M64.968,376.411 C63.904,377.788 64.428,379.68 45.663,379.68 C26.9,379.68 27.422,377.788 26.359,376.411 C25.168,374.655 25.651,371.679 27.541,370.14 C28.005,369.562 28.95,368.851 30.119,368.22 C32.903,366.715 38.802,365.14 39.463,364.375 C39.758,364.034 40.472,362.839 40.264,361.244 C40.211,360.952 40.13,360.644 40.014,360.323 C39.277,358.938 37.514,357.689 37.277,355.051 L37.27,355.051 C37.107,355.051 36.922,355.032 36.722,354.98 C35.965,354.783 35.694,353.465 35.694,353.465 C35.694,353.465 35.045,351.406 34.936,351.028 C34.827,350.649 34.503,349.837 34.611,348.97 C34.707,348.2 35.286,347.805 35.784,347.813 C35.859,347.811 35.934,347.818 36.005,347.833 C36.164,347.87 36.559,347.932 36.521,347.726 C36.239,346.165 36.087,344.986 36.087,343.45 C36.087,338.172 40.366,333.894 45.642,333.894 L45.663,333.894 L45.684,333.894 C50.962,333.894 55.24,338.172 55.24,343.45 C55.24,344.986 55.088,346.165 54.805,347.726 C54.768,347.932 55.163,347.87 55.322,347.833 C55.393,347.818 55.467,347.811 55.544,347.813 C56.042,347.805 56.62,348.2 56.716,348.97 C56.824,349.837 56.499,350.649 56.391,351.028 C56.283,351.406 55.633,353.465 55.633,353.465 C55.633,353.465 55.362,354.783 54.604,354.98 C54.405,355.032 54.221,355.051 54.057,355.051 L54.049,355.051 C53.675,357.816 52.05,358.937 51.313,360.323 C51.197,360.644 51.115,360.952 51.063,361.244 C50.855,362.839 51.568,364.034 51.864,364.375 C52.524,365.14 58.424,366.715 61.209,368.22 C62.377,368.851 63.322,369.562 63.787,370.14 C65.279,371.316 66.055,374.655 64.968,376.411 L64.968,376.411 Z M84.277,364.562 L103.249,364.562 L103.249,370.909 L84.277,370.909 L84.277,364.562 Z M70.002,351.602 L103.249,351.602 L103.249,357.948 L70.002,357.948 L70.002,351.602 Z M70.002,337.838 L103.249,337.838 L103.249,344.183 L70.002,344.183 L70.002,337.838 Z M57.511,300.203 L73.196,300.203 L73.196,324.745 L57.511,324.745 L57.511,300.203 Z", null, false);
            clip26.Width = 32;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip35 = CreateNodes("Clip35", "M518.207,166.228 L518.207,171.661 C518.207,176.082 514.672,179.68 510.326,179.68 C505.981,179.68 502.445,176.082 502.445,171.661 L502.445,166.057 L468.862,166.057 L468.862,171.661 C468.862,176.082 465.328,179.68 460.982,179.68 C456.636,179.68 453.1,176.082 453.1,171.661 L453.1,166.228 C445.357,167.36 439.393,174.042 439.393,182.094 L439.393,242.541 C439.393,251.384 446.588,258.578 455.43,258.578 L515.877,258.578 C524.72,258.578 531.914,251.384 531.914,242.541 L531.914,182.094 C531.914,174.042 525.95,167.36 518.207,166.228 L518.207,166.228 Z M523.279,242.541 C523.279,246.612 519.948,249.943 515.877,249.943 L455.43,249.943 C451.36,249.943 448.028,246.612 448.028,242.541 L448.028,193.813 L523.279,193.813 L523.279,242.541 L523.279,242.541 Z M460.982,176.596 C458.343,176.596 456.184,174.375 456.184,171.661 L456.184,161.274 C456.184,158.561 458.343,156.34 460.982,156.34 C463.62,156.34 465.778,158.561 465.778,161.274 L465.778,171.661 C465.778,174.375 463.62,176.596 460.982,176.596 L460.982,176.596 Z M510.326,176.596 C507.687,176.596 505.529,174.375 505.529,171.661 L505.529,161.274 C505.529,158.561 507.687,156.34 510.326,156.34 C512.964,156.34 515.123,158.561 515.123,161.274 L515.123,171.661 C515.123,174.375 512.964,176.596 510.326,176.596 L510.326,176.596 Z M475.215,203.651 L475.215,238.981 L465.452,238.981 L465.452,215.831 C463.872,217.032 462.344,218.003 460.867,218.745 C459.389,219.488 457.537,220.199 455.31,220.878 L455.31,212.963 C458.595,211.906 461.147,210.634 462.963,209.148 C464.78,207.664 466.201,205.832 467.229,203.651 L475.215,203.651 L475.215,203.651 Z M513.957,238.981 L485.001,238.981 C485.332,236.123 486.339,233.433 488.022,230.913 C489.704,228.393 492.859,225.42 497.489,221.991 C500.316,219.89 502.124,218.295 502.914,217.205 C503.705,216.115 504.1,215.08 504.1,214.101 C504.1,213.043 503.708,212.138 502.927,211.388 C502.145,210.637 501.162,210.262 499.976,210.262 C498.744,210.262 497.737,210.649 496.955,211.424 C496.173,212.197 495.648,213.565 495.379,215.522 L485.712,214.74 C486.091,212.024 486.786,209.904 487.797,208.378 C488.807,206.854 490.234,205.685 492.073,204.871 C493.914,204.058 496.461,203.651 499.716,203.651 C503.112,203.651 505.754,204.038 507.642,204.813 C509.53,205.586 511.015,206.775 512.097,208.378 C513.179,209.982 513.72,211.779 513.72,213.769 C513.72,215.886 513.101,217.909 511.859,219.835 C510.62,221.763 508.365,223.879 505.095,226.186 C503.152,227.528 501.852,228.469 501.197,229.005 C500.542,229.542 499.772,230.246 498.886,231.115 L513.957,231.115 L513.957,238.981 L513.957,238.981 Z", null, false);
            clip26.Width = 32;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip36 = CreateNodes("Clip36", "M244.486,35.22 L250.867,35.22 L250.867,94.548 L161.463,94.548 L161.463,35.22 L167.844,35.22 L167.844,88.167 L244.486,88.167 L244.486,35.22 L244.486,35.22 Z M153.264,30.966 L156.986,30.966 L156.986,19.801 L153.264,19.801 L153.264,30.966 Z M193.482,54.776 L172.69,76.151 L172.69,84.596 L193.604,63.095 L209.721,78.708 L231.438,58.026 L234.763,61.351 L239.997,45.229 L223.875,50.464 L227.272,53.861 L209.755,70.543 L193.482,54.776 L193.482,54.776 Z M159.822,30.966 L252.508,30.966 L252.508,19.801 L159.822,19.801 L159.822,30.966 Z M255.344,30.966 L259.067,30.966 L259.067,19.801 L255.344,19.801 L255.344,30.966 Z M204.087,17.949 L209.619,17.949 L209.619,7.827 L204.087,7.827 L204.087,17.949 Z M178.295,120.55 L182.877,123.65 L200.736,97.257 L194.058,97.257 L178.295,120.55 L178.295,120.55 Z M212.968,97.257 L230.828,123.65 L235.41,120.55 L219.647,97.257 L212.968,97.257 L212.968,97.257 Z", null, false);
            clip26.Width = 29;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip37 = CreateNodes("Clip37", "M64.792,228.802 C53.023,228.802 43.449,219.227 43.449,207.459 C43.449,195.69 53.023,186.116 64.792,186.116 C76.561,186.116 86.135,195.69 86.135,207.459 C86.135,219.227 76.561,228.802 64.792,228.802 L64.792,228.802 Z M64.792,193.932 C57.333,193.932 51.265,200 51.265,207.459 C51.265,214.918 57.333,220.986 64.792,220.986 C72.251,220.986 78.319,214.918 78.319,207.459 C78.319,200 72.251,193.932 64.792,193.932 L64.792,193.932 Z M64.792,244.027 C44.628,244.027 28.224,227.623 28.224,207.459 C28.224,187.295 44.628,170.89 64.792,170.89 C84.956,170.89 101.361,187.295 101.361,207.459 C101.361,227.623 84.956,244.027 64.792,244.027 L64.792,244.027 Z M64.792,178.706 C48.937,178.706 36.039,191.605 36.039,207.459 C36.039,223.314 48.937,236.212 64.792,236.212 C80.647,236.212 93.546,223.314 93.546,207.459 C93.546,191.605 80.647,178.706 64.792,178.706 L64.792,178.706 Z M64.792,259.718 C35.977,259.718 12.533,236.275 12.533,207.459 C12.533,178.643 35.977,155.2 64.792,155.2 C93.608,155.2 117.051,178.643 117.051,207.459 C117.051,236.275 93.608,259.718 64.792,259.718 L64.792,259.718 Z M64.792,163.016 C40.286,163.016 20.349,182.953 20.349,207.459 C20.349,231.965 40.286,251.902 64.792,251.902 C89.298,251.902 109.235,231.965 109.235,207.459 C109.235,182.953 89.298,163.016 64.792,163.016 L64.792,163.016 Z M64.792,214.356 C60.989,214.356 57.895,211.262 57.895,207.459 C57.895,203.656 60.989,200.562 64.792,200.562 C68.595,200.562 71.689,203.656 71.689,207.459 C71.689,211.262 68.595,214.356 64.792,214.356 L64.792,214.356 Z", null, false);
            clip26.Width = 29;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip38 = CreateNodes("Clip38", "M343.469,256.565 C316.391,256.565 294.363,234.536 294.363,207.459 C294.363,180.382 316.391,158.353 343.469,158.353 C370.546,158.353 392.575,180.382 392.575,207.459 C392.575,234.536 370.546,256.565 343.469,256.565 L343.469,256.565 Z M343.469,168.144 C321.79,168.144 304.153,185.78 304.153,207.459 C304.153,229.138 321.79,246.774 343.469,246.774 C365.148,246.774 382.784,229.138 382.784,207.459 C382.784,185.78 365.148,168.144 343.469,168.144 L343.469,168.144 Z M343.469,213.287 C340.255,213.287 337.641,210.672 337.641,207.459 C337.641,204.246 340.255,201.631 343.469,201.631 C346.683,201.631 349.297,204.246 349.297,207.459 C349.297,210.672 346.683,213.287 343.469,213.287 L343.469,213.287 Z M318.565,211.722 C316.134,211.722 314.157,209.81 314.157,207.459 C314.157,205.109 316.134,203.196 318.565,203.196 L335.048,203.196 L334.746,203.943 C334.288,205.072 334.057,206.254 334.057,207.459 C334.057,208.664 334.288,209.846 334.746,210.975 L335.048,211.722 L318.565,211.722 L318.565,211.722 Z M339.212,198.235 C339.209,198.164 339.206,198.129 339.206,198.092 L339.206,176.901 C339.206,174.47 341.119,172.492 343.469,172.492 C345.82,172.492 347.731,174.47 347.731,176.901 L347.731,198.092 C347.731,198.129 347.73,198.164 347.726,198.2 L347.717,198.996 L346.978,198.732 C345.851,198.278 344.67,198.047 343.469,198.047 C342.267,198.047 341.086,198.278 339.959,198.732 L339.223,199.03 L339.212,198.235 L339.212,198.235 Z", null, false);
            clip26.Width = 30;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip39 = CreateNodes("Clip39", "M449.077,402.653 C447.151,402.653 445.584,401.085 445.584,399.159 L445.584,303.229 C445.584,301.302 447.151,299.736 449.077,299.736 L455.404,299.736 L452.431,308.013 C451.641,310.211 451.9,312.484 453.14,314.248 C454.381,316.012 456.432,317.025 458.769,317.025 L512.538,317.025 C514.874,317.025 516.926,316.012 518.168,314.247 C519.407,312.483 519.665,310.21 518.875,308.013 L515.902,299.736 L522.229,299.736 C524.156,299.736 525.724,301.302 525.724,303.229 L525.724,399.159 C525.724,401.085 524.156,402.653 522.229,402.653 L449.077,402.653 L449.077,402.653 Z M456.208,389.161 L502.7,389.161 L502.7,382.805 L456.208,382.805 L456.208,389.161 Z M456.208,377.674 L515.098,377.674 L515.098,371.317 L456.208,371.317 L456.208,377.674 Z M456.208,366.184 L502.7,366.184 L502.7,359.828 L456.208,359.828 L456.208,366.184 Z M456.208,354.694 L515.098,354.694 L515.098,348.338 L456.208,348.338 L456.208,354.694 Z M456.208,343.205 L502.7,343.205 L502.7,336.849 L456.208,336.849 L456.208,343.205 Z M456.208,331.716 L515.098,331.716 L515.098,325.359 L456.208,325.359 L456.208,331.716 Z M458.769,312.847 C457.796,312.847 457.011,312.491 456.556,311.845 C456.103,311.199 456.034,310.34 456.363,309.425 L459.354,301.096 C460.036,299.199 462.316,297.597 464.332,297.597 L473.395,297.597 C475.511,297.597 477.483,296.383 477.702,294.945 C477.826,294.146 479.103,287.13 485.653,287.13 C492.203,287.13 493.48,294.146 493.604,294.946 C493.823,296.383 495.796,297.597 497.911,297.597 L506.975,297.597 C508.992,297.597 511.271,299.199 511.951,301.096 L514.944,309.425 C515.273,310.34 515.203,311.199 514.75,311.845 C514.296,312.491 513.511,312.847 512.538,312.847 L458.769,312.847 L458.769,312.847 Z M485.653,289.324 C483.889,289.324 482.453,290.759 482.453,292.524 C482.453,294.288 483.889,295.724 485.653,295.724 C487.418,295.724 488.854,294.288 488.854,292.524 C488.854,290.759 487.418,289.324 485.653,289.324 L485.653,289.324 Z", null, false);
            clip26.Width = 27;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            //Node clip40 = CreateNodes("Clip40", "M294.71,108.623 L292.672,106.586 L292.672,73.636 L297.823,78.787 L335.598,78.787 L335.598,86.718 L352.013,86.718 L352.013,78.787 L385.97,78.787 L394.265,70.493 L394.265,106.586 L392.228,108.623 L294.71,108.623 L294.71,108.623 Z M339.394,69.645 L348.217,69.645 L348.217,82.921 L339.394,82.921 L339.394,69.645 Z M352.1,73.497 L352.1,65.949 L335.539,65.949 L335.539,73.497 L299.271,73.497 L290.446,65.89 L290.446,39.703 L293.171,36.98 L324.759,36.98 L324.937,36.633 C325.071,36.369 325.139,36.092 325.139,35.809 L325.139,25.694 C325.139,24.128 326.413,22.855 327.98,22.855 L358.958,22.855 C360.524,22.855 361.798,24.128 361.798,25.694 L361.798,35.809 C361.798,36.094 361.866,36.372 362.002,36.635 L362.179,36.98 L393.767,36.98 L396.491,39.703 L396.491,62.619 L384.38,73.497 L352.1,73.497 L352.1,73.497 Z M331.658,28.213 C330.651,28.213 329.832,29.033 329.832,30.041 L329.832,35.809 C329.832,36.093 329.899,36.37 330.034,36.633 L330.211,36.98 L356.728,36.98 L356.905,36.631 C357.038,36.367 357.107,36.091 357.107,35.809 L357.107,30.041 C357.107,29.033 356.287,28.213 355.281,28.213 L331.658,28.213 L331.658,28.213 Z", null, false);
            //clip26.Width = 34;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            Node clip41 = CreateNodes("Clip41", "M108.485,90.318 C107.415,88.987 105.237,87.35 102.546,85.896 C97.74,83.3 88.713,80.613 84.737,78.687 L80.001,74.78 C78.46,73.968 77.62,71.507 77.838,69.825 C77.96,69.152 78.742,68.442 79.009,67.705 C80.713,64.499 83.552,60.643 84.282,56.417 C84.531,56.464 84.828,56.496 85.158,56.496 L85.208,56.496 L85.23,56.496 C85.607,56.496 86.031,56.454 86.491,56.334 C88.237,55.88 88.861,52.842 88.861,52.842 C88.861,52.842 90.358,48.101 90.608,47.229 C90.857,46.355 91.605,44.485 91.356,42.488 C91.134,40.714 89.802,39.804 88.655,39.822 C88.479,39.816 88.308,39.831 88.144,39.869 C87.778,39.953 87.381,40.184 86.986,40.489 C86.953,40.514 86.919,40.534 86.884,40.55 C86.428,40.618 85.928,40.097 86.013,39.622 C86.664,36.023 87.015,32.369 87.015,28.829 C87.015,16.67 77.158,6.813 64.999,6.813 L64.952,6.813 L64.906,6.813 C52.746,6.813 42.89,16.67 42.89,28.829 C42.89,32.369 43.24,36.023 43.891,39.622 C43.977,40.097 43.477,40.618 43.021,40.55 C42.985,40.534 42.952,40.514 42.919,40.489 C42.523,40.184 42.126,39.953 41.761,39.869 C41.598,39.831 41.425,39.816 41.25,39.822 C40.103,39.804 38.771,40.714 38.549,42.488 C38.3,44.485 39.048,46.355 39.297,47.229 C39.547,48.101 41.044,52.842 41.044,52.842 C41.044,52.842 41.667,55.88 43.414,56.334 C43.874,56.454 44.298,56.496 44.674,56.496 L44.696,56.496 L44.746,56.496 C45.077,56.496 45.373,56.464 45.622,56.417 C46.353,60.643 49.784,64.499 51.488,67.705 C51.756,68.442 52.537,69.152 52.659,69.825 C52.889,71.594 51.327,74.19 49.844,74.963 L44.957,78.787 C40.941,80.705 32.082,83.345 27.358,85.896 C24.668,87.35 22.49,88.987 21.42,90.318 C17.066,93.865 15.955,113.086 18.697,117.133 C21.148,120.305 21.723,124.665 64.952,124.665 C108.182,124.665 108.757,120.305 111.207,117.133 C113.712,113.086 111.921,93.031 108.485,90.318 L108.485,90.318 Z M58.183,81.215 L71.435,81.215 L66.224,90.453 L63.393,90.453 L58.183,81.215 L58.183,81.215 Z M64.704,122.089 L57.924,117.162 L63.133,93.602 L66.485,93.602 L71.693,117.162 L64.704,122.089 L64.704,122.089 Z", null, false);
            clip26.Width = 28;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip42 = CreateNodes("Clip42", "M194.462,189.068 C193.937,188.722 193.409,188.373 192.882,188.02 L219.45,188.02 C218.923,188.372 218.396,188.721 217.871,189.067 C213.254,192.11 208.156,195.47 206.166,201.076 C204.176,195.47 199.078,192.11 194.462,189.068 L194.462,189.068 Z M244.349,162.988 L238.168,162.988 C238.812,167.547 240.073,182.24 231.349,191.23 C228.489,194.176 225.245,196.314 222.107,198.381 C216.727,201.927 213.683,204.097 213.683,207.459 C213.683,210.82 216.727,212.99 222.107,216.536 C225.245,218.604 228.489,220.742 231.349,223.689 C240.072,232.677 238.812,247.368 238.167,251.93 L244.349,251.93 C245.654,251.93 246.722,252.997 246.722,254.302 L246.722,259.7 C246.722,261.005 245.654,262.072 244.349,262.072 L167.981,262.072 C166.676,262.072 165.609,261.005 165.609,259.7 L165.609,254.302 C165.609,252.997 166.676,251.93 167.981,251.93 L174.163,251.93 C173.519,247.371 172.258,232.678 180.983,223.689 C183.842,220.742 187.086,218.604 190.223,216.536 C195.604,212.99 198.648,210.82 198.648,207.459 C198.648,204.097 195.604,201.927 190.224,198.382 C187.086,196.314 183.842,194.176 180.983,191.23 C172.259,182.241 173.519,167.55 174.163,162.988 L167.981,162.988 C166.676,162.988 165.609,161.921 165.609,160.616 L165.609,155.218 C165.609,153.913 166.676,152.846 167.981,152.846 L244.349,152.846 C245.654,152.846 246.722,153.913 246.722,155.218 L246.722,160.616 C246.722,161.921 245.654,162.988 244.349,162.988 L244.349,162.988 Z M233.915,162.988 L178.416,162.988 C178.019,165.427 176.077,179.786 183.813,187.757 C186.345,190.365 189.394,192.375 192.343,194.318 C197.74,197.875 202.838,201.235 202.838,207.459 C202.838,213.683 197.74,217.043 192.343,220.6 C189.394,222.543 186.345,224.553 183.813,227.161 C176.074,235.136 178.018,249.491 178.416,251.93 L181.412,251.93 L204.147,225.421 C205.256,224.125 207.074,224.125 208.185,225.421 L230.919,251.93 L233.915,251.93 C234.312,249.49 236.253,235.131 228.518,227.161 C225.986,224.553 222.937,222.543 219.988,220.6 C214.59,217.043 209.493,213.683 209.493,207.459 C209.493,201.235 214.59,197.875 219.988,194.318 C222.937,192.375 225.986,190.365 228.518,187.757 C236.257,179.782 234.313,165.427 233.915,162.988 L233.915,162.988 Z", null, false);
            clip26.Width = 25;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip43 = CreateNodes("Clip43", "M74.572,522.042 C85.322,523.761 93.108,528.796 93.108,534.74 L39.782,534.74 C39.782,528.813 47.521,523.791 58.224,522.059 C59.88,521.791 63.388,519.863 63.388,517.179 L63.388,462.331 C64.266,462.7 65.231,462.905 66.244,462.905 C67.38,462.905 68.452,462.641 69.413,462.181 L69.413,517.25 C69.413,519.438 72.916,521.778 74.572,522.042 L74.572,522.042 Z M42.307,488.758 L42.307,488.758 C42.307,488.914 42.299,489.07 42.295,489.227 C42.267,490.202 42.156,491.157 41.962,492.082 C40.429,499.387 33.951,504.873 26.191,504.873 C18.432,504.873 11.957,499.39 10.422,492.088 C10.236,491.204 10.125,490.293 10.09,489.361 C10.083,489.16 10.075,488.96 10.075,488.758 L10.075,488.761 L26.792,460.79 L26.78,460.725 L58.934,454.712 C58.903,454.987 58.884,455.264 58.884,455.546 C58.884,456.786 59.194,457.952 59.735,458.977 L28.975,464.727 L42.307,488.758 L42.307,488.758 Z M38.784,488.758 L26.716,467.053 L13.66,488.761 L38.784,488.758 L38.784,488.758 Z M63.388,444.398 L63.388,448.76 C64.266,448.391 65.231,448.186 66.244,448.186 C67.38,448.186 68.452,448.45 69.413,448.91 L69.413,444.398 C71.643,443.287 73.179,440.991 73.179,438.332 C73.179,434.588 70.144,431.553 66.4,431.553 C62.657,431.553 59.622,434.588 59.622,438.332 C59.622,440.991 61.158,443.287 63.388,444.398 L63.388,444.398 Z M71.91,455.546 C71.91,458.675 69.373,461.211 66.244,461.211 C63.115,461.211 60.578,458.675 60.578,455.546 C60.578,452.416 63.115,449.881 66.244,449.881 C69.373,449.881 71.91,452.416 71.91,455.546 L71.91,455.546 Z M68.238,455.546 C68.238,454.445 67.346,453.551 66.244,453.551 C65.143,453.551 64.25,454.445 64.25,455.546 C64.25,456.647 65.143,457.54 66.244,457.54 C67.346,457.54 68.238,456.647 68.238,455.546 L68.238,455.546 Z M119.509,474.324 C119.509,474.482 119.501,474.637 119.497,474.795 C119.469,475.77 119.358,476.725 119.164,477.65 C117.632,484.955 111.154,490.441 103.393,490.441 C95.635,490.441 89.159,484.957 87.624,477.656 C87.438,476.771 87.327,475.859 87.293,474.928 C87.285,474.728 87.277,474.527 87.277,474.324 L101.107,451.296 L73.555,456.378 C73.585,456.104 73.604,455.828 73.604,455.546 C73.604,454.306 73.295,453.139 72.753,452.114 L104.007,446.335 L104.016,446.32 L104.023,446.333 L104.026,446.331 L104.029,446.343 L119.509,474.324 L119.509,474.324 Z M115.985,474.324 L103.918,452.62 L90.863,474.324 L115.985,474.324 L115.985,474.324 Z", null, false);
            clip26.Width = 25;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip44 = CreateNodes("Clip44", "M242.893,502.436 C245.502,510.935 238.803,519.822 224.863,524.468 C206.802,530.488 183.435,527.109 172.678,516.924 C167.848,512.349 166.39,507.181 167.874,502.328 C168.645,504.841 170.222,507.321 172.678,509.644 C183.435,519.832 206.802,523.21 224.863,517.189 C234.815,513.872 241.072,508.392 242.893,502.436 L242.893,502.436 Z M230.063,505.752 C212.001,511.772 188.634,508.394 177.877,498.208 C175.035,495.517 173.359,492.62 172.763,489.703 C171.615,488.943 170.551,488.129 169.579,487.262 C165.862,493.074 166.618,499.748 172.678,505.486 C183.435,515.672 206.802,519.05 224.863,513.03 C234.49,509.822 240.666,504.588 242.708,498.858 C239.613,501.6 235.366,503.985 230.063,505.752 L230.063,505.752 Z M243.288,472.245 C242.792,471.774 242.265,471.32 241.715,470.88 C241.152,471.894 240.457,472.887 239.63,473.846 C239.629,473.849 239.625,473.852 239.623,473.854 C241.006,481.857 234.306,489.953 221.225,494.315 C206.189,499.326 187.486,497.82 175.431,491.3 C176.123,492.235 176.931,493.154 177.877,494.049 C188.634,504.235 212.001,507.614 230.063,501.593 C248.123,495.573 254.046,482.431 243.288,472.245 L243.288,472.245 Z M224.863,482.877 C206.802,488.897 183.435,485.519 172.678,475.332 C168.36,471.245 166.735,466.682 167.497,462.294 C162.111,468.549 162.236,476.17 169.039,482.612 C179.796,492.798 203.162,496.176 221.225,490.156 C232.037,486.551 238.494,480.393 239.63,473.846 C236.498,477.486 231.504,480.663 224.863,482.877 L224.863,482.877 Z M195.424,453.81 L200.679,458.786 C197.871,459.104 196.279,459.251 195.887,459.231 C194.114,459.234 192.774,458.81 191.876,457.96 C190.332,456.497 191.513,455.114 195.424,453.81 L195.424,453.81 Z M209.631,461.247 C212.055,460.969 213.676,460.842 214.485,460.868 C216.272,460.921 217.6,461.361 218.476,462.192 C220.066,463.697 219.016,465.184 215.333,466.647 L209.631,461.247 L209.631,461.247 Z M209.818,468.486 C206.337,469.646 203.875,469.465 202.418,467.943 L196.44,469.934 L197.097,470.556 C198.572,471.952 200.997,472.711 204.364,472.827 C207.379,472.913 210.185,472.523 212.778,471.659 L213.883,471.291 L216.977,474.22 L221.677,472.653 L218.582,469.725 C221.518,468.541 223.61,467.103 224.861,465.418 C226.227,463.489 226.034,461.695 224.282,460.036 C222.531,458.379 219.804,457.458 216.108,457.272 C213.852,457.17 210.516,457.381 206.103,457.907 L200.123,452.244 C201.828,451.676 203.131,451.403 204.045,451.424 C205.242,451.47 206.287,451.961 207.174,452.904 L213.154,450.911 L212.568,450.354 C211.14,449 208.717,448.272 205.315,448.169 C202.457,448.089 199.646,448.421 196.874,449.167 L193.85,446.304 L189.151,447.87 L192.175,450.733 C184.648,453.714 182.568,456.798 185.932,459.984 C187.616,461.578 190.332,462.441 194.09,462.578 C196.48,462.663 199.763,462.427 203.928,461.864 L210.635,468.214 L209.818,468.486 L209.818,468.486 Z M185.904,441.825 C203.965,435.805 227.333,439.183 238.089,449.37 C248.847,459.557 242.924,472.698 224.863,478.718 C206.802,484.738 183.435,481.361 172.678,471.174 C161.92,460.987 167.843,447.845 185.904,441.825 L185.904,441.825 Z", null, false);
            clip26.Width = 25;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip45 = CreateNodes("Clip45", "M339.714,524.975 C331.253,524.975 323.099,522.459 316.137,517.699 C304.709,509.886 297.886,496.969 297.886,483.146 C297.886,460.083 316.65,441.319 339.714,441.319 C347.979,441.319 355.948,443.717 362.801,448.263 L338.592,483.739 L381.539,483.739 C381.22,506.531 362.581,524.975 339.714,524.975 L339.714,524.975 Z M348.35,478.576 L371.293,444.956 C382.265,452.686 388.862,465.175 389.052,478.576 L348.35,478.576 L348.35,478.576 Z", null, false);
            clip26.Width = 32;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            //Node clip46 = CreateNodes("Clip46", "M662.88,1079.122 C655.906,1079.122 650.231,1073.448 650.231,1066.473 C650.231,1059.498 655.906,1053.823 662.88,1053.823 C669.855,1053.823 675.529,1059.498 675.529,1066.473 C675.529,1073.448 669.855,1079.122 662.88,1079.122 L662.88,1079.122 Z M662.88,1059.623 C659.103,1059.623 656.031,1062.696 656.031,1066.473 C656.031,1070.249 659.103,1073.323 662.88,1073.323 C666.657,1073.323 669.73,1070.249 669.73,1066.473 C669.73,1062.696 666.657,1059.623 662.88,1059.623 L662.88,1059.623 Z M602.514,1079.122 C595.538,1079.122 589.864,1073.448 589.864,1066.473 C589.864,1059.498 595.538,1053.823 602.514,1053.823 C609.489,1053.823 615.163,1059.498 615.163,1066.473 C615.163,1073.448 609.489,1079.122 602.514,1079.122 L602.514,1079.122 Z M602.514,1059.623 C598.737,1059.623 595.664,1062.696 595.664,1066.473 C595.664,1070.249 598.737,1073.323 602.514,1073.323 C606.29,1073.323 609.363,1070.249 609.363,1066.473 C609.363,1062.696 606.29,1059.623 602.514,1059.623 L602.514,1059.623 Z M679.002,1070.533 C679.336,1069.206 679.506,1067.841 679.506,1066.473 C679.506,1064.582 679.188,1062.723 678.56,1060.945 L687.453,1060.945 C689.315,1060.945 690.83,1062.461 690.83,1064.323 L690.83,1067.154 C690.83,1069.017 689.315,1070.533 687.453,1070.533 L679.002,1070.533 L679.002,1070.533 Z M618.635,1070.533 C618.971,1069.201 619.14,1067.836 619.14,1066.473 C619.14,1064.582 618.822,1062.723 618.194,1060.945 L647.199,1060.945 C646.571,1062.723 646.253,1064.582 646.253,1066.473 C646.253,1067.839 646.423,1069.203 646.758,1070.533 L618.635,1070.533 L618.635,1070.533 Z M582.59,1070.533 C580.727,1070.533 579.212,1069.017 579.212,1067.154 L579.212,1064.323 C579.212,1062.461 580.727,1060.945 582.59,1060.945 L586.833,1060.945 C586.205,1062.723 585.888,1064.581 585.888,1066.473 C585.888,1067.841 586.057,1069.206 586.392,1070.533 L582.59,1070.533 L582.59,1070.533 Z M570.075,1070.533 C569.11,1070.533 568.326,1069.748 568.326,1068.784 L568.326,1056.75 C568.326,1055.785 569.11,1055.002 570.075,1055.002 L570.195,1055.002 C571.16,1055.002 571.945,1055.785 571.945,1056.75 L571.945,1058.533 C571.945,1059.863 572.752,1060.945 573.743,1060.945 C574.359,1060.945 574.879,1061.745 574.879,1062.693 L574.879,1068.784 C574.879,1069.748 574.094,1070.533 573.13,1070.533 L570.075,1070.533 L570.075,1070.533 Z M676.181,1056.499 C673.05,1052.332 668.083,1049.847 662.88,1049.847 C657.678,1049.847 652.711,1052.332 649.579,1056.499 L635.51,1056.499 C633.399,1056.499 631.681,1054.781 631.681,1052.67 L631.682,1034.499 C631.682,1032.387 633.4,1030.669 635.51,1030.669 L689.203,1030.669 C691.314,1030.669 693.031,1032.387 693.031,1034.499 L693.032,1052.67 C693.032,1054.781 691.314,1056.499 689.203,1056.499 L676.181,1056.499 L676.181,1056.499 Z M615.815,1056.499 C612.683,1052.332 607.716,1049.847 602.514,1049.847 C597.31,1049.847 592.343,1052.332 589.214,1056.499 L579.37,1056.499 C577.26,1056.499 575.542,1054.781 575.542,1052.67 L575.542,1049.847 L574.57,1049.847 C573.605,1049.847 572.82,1049.061 572.82,1048.098 L572.82,1043.786 C572.82,1042.821 573.605,1042.037 574.57,1042.037 L575.542,1042.037 L575.542,1034.598 L587.25,1011.217 C588.212,1008.61 589.831,1007.239 591.937,1007.239 L621.933,1007.239 C624.044,1007.239 625.761,1008.956 625.761,1011.068 L625.761,1052.67 C625.761,1054.781 624.044,1056.499 621.933,1056.499 L615.815,1056.499 L615.815,1056.499 Z M590.637,1012.16 C590.602,1012.241 590.572,1012.318 590.545,1012.39 L590.466,1012.609 L579.768,1033.999 L589.275,1032.551 L593.973,1011.958 L590.723,1011.958 L590.637,1012.16 L590.637,1012.16 Z M593.872,1032.14 L621.043,1028.789 L621.043,1011.958 L598.43,1011.958 L593.872,1032.14 L593.872,1032.14 Z", null, false);
            //clip26.Width = 32;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            //Node clip47 = CreateNodes("Clip47", "M186.178,1030.185 L180.83,1009.863 L196.631,1009.863 L198.65,1017.535 C194.059,1018.754 190.793,1022.948 190.793,1027.752 L190.793,1030.185 L186.178,1030.185 L186.178,1030.185 Z M195.78,1006.631 L195.415,1005.245 C195.076,1003.958 193.666,1002.871 192.336,1002.871 L181.111,1002.871 C180.529,1002.871 180.047,1003.081 179.754,1003.46 C179.461,1003.841 179.381,1004.359 179.53,1004.921 L179.98,1006.631 L195.78,1006.631 L195.78,1006.631 Z M221.694,1030.185 L221.694,1027.752 C221.694,1023.638 218.346,1020.291 214.231,1020.291 L201.364,1020.291 C197.249,1020.291 193.902,1023.638 193.902,1027.752 L193.902,1030.185 L221.694,1030.185 L221.694,1030.185 Z M152.761,1083.489 C155.396,1083.489 156.7,1082.46 158.079,1081.372 C159.568,1080.196 161.108,1078.981 164.184,1078.981 C167.262,1078.981 168.802,1080.196 170.292,1081.371 C171.673,1082.46 172.977,1083.489 175.615,1083.489 C178.251,1083.489 179.555,1082.46 180.935,1081.372 C182.425,1080.196 183.966,1078.981 187.044,1078.981 C190.121,1078.981 191.661,1080.196 193.15,1081.371 C194.531,1082.46 195.835,1083.489 198.472,1083.489 C201.109,1083.489 202.413,1082.46 203.793,1081.371 C205.282,1080.196 206.823,1078.981 209.9,1078.981 C212.976,1078.981 214.517,1080.196 216.007,1081.372 C217.387,1082.46 218.691,1083.489 221.328,1083.489 C223.964,1083.489 225.268,1082.46 226.648,1081.372 C228.137,1080.196 229.678,1078.981 232.756,1078.981 C235.832,1078.981 237.371,1080.196 238.861,1081.371 C240.241,1082.46 241.545,1083.489 244.18,1083.489 C244.995,1083.489 245.723,1083.391 246.396,1083.19 L270.824,1041.459 L255.207,1041.566 L243.482,1044.979 L232.831,1044.979 C229.576,1044.979 227.839,1046.765 226.001,1048.655 C224.312,1050.391 222.566,1052.187 219.673,1052.187 L141.507,1052.187 L152.306,1083.477 C152.461,1083.485 152.612,1083.489 152.761,1083.489 L152.761,1083.489 Z M162.301,1058.07 C163.599,1058.07 164.655,1059.126 164.655,1060.424 C164.655,1061.722 163.599,1062.778 162.301,1062.778 C161.004,1062.778 159.948,1061.722 159.948,1060.424 C159.948,1059.126 161.004,1058.07 162.301,1058.07 L162.301,1058.07 Z M170.931,1058.07 C172.229,1058.07 173.285,1059.126 173.285,1060.424 C173.285,1061.722 172.229,1062.778 170.931,1062.778 C169.633,1062.778 168.577,1061.722 168.577,1060.424 C168.577,1059.126 169.633,1058.07 170.931,1058.07 L170.931,1058.07 Z M179.561,1058.07 C180.858,1058.07 181.915,1059.126 181.915,1060.424 C181.915,1061.722 180.858,1062.778 179.561,1062.778 C178.263,1062.778 177.207,1061.722 177.207,1060.424 C177.207,1059.126 178.263,1058.07 179.561,1058.07 L179.561,1058.07 Z M188.19,1058.07 C189.489,1058.07 190.545,1059.126 190.545,1060.424 C190.545,1061.722 189.489,1062.778 188.19,1062.778 C186.893,1062.778 185.837,1061.722 185.837,1060.424 C185.837,1059.126 186.893,1058.07 188.19,1058.07 L188.19,1058.07 Z M196.82,1058.07 C198.118,1058.07 199.174,1059.126 199.174,1060.424 C199.174,1061.722 198.118,1062.778 196.82,1062.778 C195.522,1062.778 194.466,1061.722 194.466,1060.424 C194.466,1059.126 195.522,1058.07 196.82,1058.07 L196.82,1058.07 Z M205.45,1058.07 C206.748,1058.07 207.804,1059.126 207.804,1060.424 C207.804,1061.722 206.748,1062.778 205.45,1062.778 C204.152,1062.778 203.096,1061.722 203.096,1060.424 C203.096,1059.126 204.152,1058.07 205.45,1058.07 L205.45,1058.07 Z M214.08,1058.07 C215.377,1058.07 216.433,1059.126 216.433,1060.424 C216.433,1061.722 215.377,1062.778 214.08,1062.778 C212.782,1062.778 211.726,1061.722 211.726,1060.424 C211.726,1059.126 212.782,1058.07 214.08,1058.07 L214.08,1058.07 Z M222.709,1058.07 C224.008,1058.07 225.064,1059.126 225.064,1060.424 C225.064,1061.722 224.008,1062.778 222.709,1062.778 C221.411,1062.778 220.355,1061.722 220.355,1060.424 C220.355,1059.126 221.411,1058.07 222.709,1058.07 L222.709,1058.07 Z M252.786,1048.498 C254.458,1048.498 255.819,1049.858 255.819,1051.53 C255.819,1053.202 254.458,1054.563 252.786,1054.563 C251.114,1054.563 249.754,1053.202 249.754,1051.53 C249.754,1049.858 251.114,1048.498 252.786,1048.498 L252.786,1048.498 Z M219.673,1049.077 C221.18,1049.077 222.163,1048.141 223.772,1046.488 C225.666,1044.539 228.261,1041.871 232.831,1041.871 L239.249,1041.871 L239.249,1040.756 C239.249,1036.642 235.901,1033.294 231.788,1033.294 L184.434,1033.294 C181.142,1033.294 178.258,1035.47 177.305,1038.569 L209.3,1038.569 C210.317,1038.569 211.145,1039.32 211.145,1040.245 C211.145,1041.168 210.317,1041.92 209.3,1041.92 L159.872,1041.92 C157.035,1043.045 155.137,1045.816 155.137,1048.853 L155.137,1049.077 L219.673,1049.077 L219.673,1049.077 Z", null, false);
            //clip26.Width = 40;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            //Node clip48 = CreateNodes("Clip48", "M390.644,1065.919 C389.457,1067.662 388.203,1069.344 386.916,1070.999 L384.612,1062.267 C384.929,1061.982 385.238,1061.69 385.559,1061.41 C389.949,1059.873 391.645,1061.376 390.644,1065.919 L390.644,1065.919 Z M380.659,1047.291 L382.717,1055.091 C383.447,1054.099 384.166,1053.097 384.863,1052.075 C385.793,1047.851 384.389,1046.259 380.659,1047.291 L380.659,1047.291 Z M362.931,1066.565 C361.931,1071.107 363.625,1072.61 368.016,1071.073 C368.103,1070.997 368.187,1070.918 368.275,1070.841 L365.106,1063.511 C364.365,1064.514 363.636,1065.528 362.931,1066.565 L362.931,1066.565 Z M325.468,1008.125 C326.468,1003.582 324.773,1002.08 320.383,1003.616 C318.795,1005.003 317.275,1006.45 315.786,1007.925 L324.73,1009.168 C324.975,1008.819 325.228,1008.478 325.468,1008.125 L325.468,1008.125 Z M334.82,1007.701 C333.888,1008.512 332.98,1009.347 332.082,1010.191 L340.072,1011.301 C340.65,1007.474 338.902,1006.271 334.82,1007.701 L334.82,1007.701 Z M368.713,1080.409 C367.712,1084.951 369.407,1086.454 373.797,1084.917 C373.934,1084.798 374.066,1084.675 374.202,1084.555 L371.015,1077.184 C370.231,1078.243 369.458,1079.314 368.713,1080.409 L368.713,1080.409 Z M357.6,1048.834 L374.26,1030.722 L388.358,1084.137 C389.321,1086.771 386.838,1090.42 386.838,1090.42 L382.947,1095.222 C380.893,1096.33 379.463,1091.176 378.126,1088.695 L363.703,1055.33 L357.6,1048.834 L357.6,1048.834 Z M367.264,1050.479 L380.861,1086.04 C381.118,1086.709 381.619,1087.147 381.976,1087.011 C382.332,1086.874 382.414,1086.214 382.157,1085.542 L368.56,1049.983 C368.304,1049.312 367.802,1048.875 367.446,1049.011 C367.089,1049.148 367.008,1049.808 367.264,1050.479 L367.264,1050.479 Z M391.736,1004.705 C388.126,1011.196 381.638,1019.022 375.051,1027.128 L356.307,1047.457 C349.568,1055.08 344.636,1060.337 344.636,1060.337 C344.636,1060.337 337.213,1067.616 329.264,1074.151 L320.629,1080.657 C316.239,1083.564 313.443,1085.959 311.905,1084.597 C311.796,1084.5 311.701,1084.389 311.618,1084.269 C311.49,1084.201 311.369,1084.12 311.26,1084.024 C309.725,1082.663 311.763,1079.611 314.116,1074.917 L319.498,1065.627 C325.047,1056.922 331.43,1048.626 331.43,1048.626 C331.43,1048.626 335.802,1043.406 342.25,1036.141 L360.768,1014.451 C368.024,1006.943 375.016,999.568 381.027,995.209 C386.377,991.328 391.118,989.983 393.113,991.752 C393.214,991.843 393.307,991.942 393.395,992.048 C393.51,992.122 393.62,992.202 393.722,992.292 C395.718,994.062 394.948,998.93 391.736,1004.705 L391.736,1004.705 Z M387.147,999.094 C384.522,996.767 381.196,996.532 379.407,998.549 C379.093,998.903 379.04,999.079 379.032,999.137 C379.029,999.159 379.022,999.205 379.131,999.3 C379.401,999.541 380.011,999.752 380.718,999.998 C381.904,1000.41 383.378,1000.922 384.58,1001.988 C385.783,1003.055 386.468,1004.457 387.019,1005.584 C387.348,1006.257 387.631,1006.838 387.901,1007.078 C388.004,1007.169 388.119,1007.271 388.615,1006.712 C390.402,1004.696 389.772,1001.421 387.147,999.094 L387.147,999.094 Z M330.742,1092.156 C331.464,1092.978 332.322,1093.417 333.143,1092.695 L334.23,1091.738 C335.861,1090.304 334.716,1087.901 334.137,1085.878 L330.023,1075.979 L321.93,1082.136 L330.742,1092.156 L330.742,1092.156 Z M357.301,1015.674 L341.372,1034.432 L334.119,1029.097 L327.461,1027.124 L319.357,1024.721 L313.176,1022.891 L299.268,1018.769 C296.644,1017.739 291.358,1016.935 292.212,1014.764 L296.514,1010.327 C296.514,1010.327 299.839,1007.424 302.57,1008.065 L314.044,1009.661 L323.457,1010.97 L326.642,1011.412 L330.28,1011.917 L339.243,1013.163 L357.301,1015.674 L357.301,1015.674 Z M337.569,1022.085 L301.328,1014.061 C300.627,1013.905 299.986,1014.084 299.903,1014.457 C299.819,1014.829 300.326,1015.26 301.027,1015.417 L337.269,1023.44 C337.97,1023.596 338.611,1023.418 338.694,1023.045 C338.777,1022.672 338.271,1022.24 337.569,1022.085 L337.569,1022.085 Z M307.497,1062.254 C305.419,1061.922 302.895,1061.073 301.666,1062.862 L300.847,1064.056 C300.228,1064.959 300.766,1065.757 301.669,1066.376 L312.546,1073.84 L317.646,1065.107 L307.497,1062.254 L307.497,1062.254 Z M308.621,1027.124 C309.619,1026.252 310.59,1025.357 311.548,1024.452 L303.848,1022.17 C303.745,1022.319 303.638,1022.464 303.537,1022.614 C302.536,1027.157 304.231,1028.66 308.621,1027.124 L308.621,1027.124 Z M323.058,1031.207 C324.001,1030.384 324.921,1029.538 325.829,1028.684 L318.172,1026.414 C318.106,1026.51 318.038,1026.603 317.973,1026.699 C316.972,1031.241 318.668,1032.744 323.058,1031.207 L323.058,1031.207 Z", null, false);
            //clip26.Width = 30;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            //Node clip49 = CreateNodes("Clip49", "M30.316,1045.723 L0.121,1045.723 L0.121,1037.875 C0.121,1035.515 2.052,1033.583 4.413,1033.583 L30.316,1033.583 L30.316,1045.723 L30.316,1045.723 Z M64.099,1045.723 L64.099,1037.875 C64.099,1035.515 62.168,1033.583 59.807,1033.583 L32.855,1033.583 L32.855,1045.723 L64.099,1045.723 L64.099,1045.723 Z M44.962,1070.701 C44.962,1078.097 38.966,1084.093 31.571,1084.093 C24.175,1084.093 18.179,1078.097 18.179,1070.701 C18.179,1063.305 24.175,1057.309 31.571,1057.309 C38.966,1057.309 44.962,1063.305 44.962,1070.701 L44.962,1070.701 Z M38.295,1070.701 C38.295,1066.987 35.284,1063.977 31.571,1063.977 C27.857,1063.977 24.846,1066.987 24.846,1070.701 C24.846,1074.415 27.857,1077.425 31.571,1077.425 C35.284,1077.425 38.295,1074.415 38.295,1070.701 L38.295,1070.701 Z M0.121,1048.262 L0.121,1056.462 C0.121,1058.822 2.052,1060.754 4.413,1060.754 L18.02,1060.754 C20.847,1056.908 25.272,1054.314 30.316,1053.941 L30.316,1048.262 L0.121,1048.262 L0.121,1048.262 Z M6.219,1064.656 C4.115,1064.656 2.393,1066.379 2.393,1068.483 L2.393,1071.404 C2.393,1073.509 4.115,1075.231 6.219,1075.231 L15.382,1075.231 C14.979,1073.789 14.76,1072.272 14.76,1070.701 C14.76,1068.57 15.16,1066.533 15.884,1064.656 L6.219,1064.656 L6.219,1064.656 Z M122.017,1056.462 C122.017,1058.822 120.086,1060.754 117.725,1060.754 L107.399,1060.754 C104.34,1056.592 99.411,1053.89 93.849,1053.89 C88.288,1053.89 83.359,1056.592 80.299,1060.754 L73.816,1060.754 C71.455,1060.754 69.523,1058.822 69.523,1056.462 L69.523,1018.618 C69.523,1016.256 71.455,1014.325 73.816,1014.325 L104.762,1014.325 C107.123,1014.325 108.883,1015.849 109.903,1018.618 L122.017,1042.843 L122.017,1045.149 L122.679,1045.149 C123.86,1045.149 124.826,1046.115 124.826,1047.295 L124.826,1051.744 C124.826,1052.924 123.86,1053.89 122.679,1053.89 L122.017,1053.89 L122.017,1056.462 L122.017,1056.462 Z M102.324,1039.958 L97.79,1019.878 L75.075,1019.878 L75.075,1036.598 L102.324,1039.958 L102.324,1039.958 Z M116.715,1041.839 L105.958,1020.324 L105.876,1020.102 C105.85,1020.032 105.821,1019.956 105.789,1019.878 L103.09,1019.878 L107.79,1040.478 L116.715,1041.839 L116.715,1041.839 Z M107.242,1070.701 C107.242,1078.097 101.245,1084.093 93.849,1084.093 C86.454,1084.093 80.457,1078.097 80.457,1070.701 C80.457,1063.305 86.454,1057.309 93.849,1057.309 C101.245,1057.309 107.242,1063.305 107.242,1070.701 L107.242,1070.701 Z M100.573,1070.701 C100.573,1066.987 97.563,1063.977 93.849,1063.977 C90.135,1063.977 87.125,1066.987 87.125,1070.701 C87.125,1074.415 90.135,1077.425 93.849,1077.425 C97.563,1077.425 100.573,1074.415 100.573,1070.701 L100.573,1070.701 Z M114.405,1064.656 L109.536,1064.656 C110.26,1066.533 110.661,1068.57 110.661,1070.701 C110.661,1072.272 110.441,1073.789 110.038,1075.231 L114.405,1075.231 C116.509,1075.231 118.231,1073.509 118.231,1071.404 L118.231,1068.483 C118.231,1066.379 116.509,1064.656 114.405,1064.656 L114.405,1064.656 Z M47.257,1064.656 C47.981,1066.533 48.381,1068.57 48.381,1070.701 C48.381,1072.272 48.162,1073.789 47.759,1075.231 L77.661,1075.231 C77.258,1073.789 77.038,1072.272 77.038,1070.701 C77.038,1068.57 77.439,1066.533 78.163,1064.656 L47.257,1064.656 L47.257,1064.656 Z M64.099,1056.462 L64.099,1048.262 L32.855,1048.262 L32.855,1053.944 C37.886,1054.325 42.299,1056.916 45.122,1060.754 L59.807,1060.754 C62.168,1060.754 64.099,1058.822 64.099,1056.462 L64.099,1056.462 Z M127.317,1058.524 L127.192,1058.524 C126.011,1058.524 125.045,1059.49 125.045,1060.671 L125.045,1062.51 C125.045,1063.69 124.364,1064.656 123.531,1064.656 C122.699,1064.656 122.017,1065.622 122.017,1066.803 L122.017,1073.085 C122.017,1074.265 122.983,1075.231 124.164,1075.231 L127.317,1075.231 C128.497,1075.231 129.463,1074.265 129.463,1073.085 L129.463,1060.671 C129.463,1059.49 128.497,1058.524 127.317,1058.524 L127.317,1058.524 Z M45.864,1016.863 L45.864,1028.921 L37.404,1028.921 C35.425,1028.921 33.807,1027.302 33.807,1025.323 L33.807,1016.863 L45.864,1016.863 L45.864,1016.863 Z M45.864,1002.267 L37.404,1002.267 C35.425,1002.267 33.807,1003.886 33.807,1005.865 L33.807,1014.325 L45.864,1014.325 L45.864,1002.267 L45.864,1002.267 Z M60.46,1014.325 L60.46,1005.865 C60.46,1003.886 58.841,1002.267 56.862,1002.267 L48.402,1002.267 L48.402,1014.325 L60.46,1014.325 L60.46,1014.325 Z M48.402,1028.921 L56.862,1028.921 C58.841,1028.921 60.46,1027.302 60.46,1025.323 L60.46,1016.863 L48.402,1016.863 L48.402,1028.921 L48.402,1028.921 Z M15.72,1016.863 L15.72,1028.921 L7.261,1028.921 C5.282,1028.921 3.663,1027.302 3.663,1025.323 L3.663,1016.863 L15.72,1016.863 L15.72,1016.863 Z M30.316,1014.325 L30.316,1005.865 C30.316,1003.886 28.698,1002.267 26.719,1002.267 L18.259,1002.267 L18.259,1014.325 L30.316,1014.325 L30.316,1014.325 Z M18.259,1028.921 L26.719,1028.921 C28.698,1028.921 30.316,1027.302 30.316,1025.323 L30.316,1016.863 L18.259,1016.863 L18.259,1028.921 L18.259,1028.921 Z M15.72,1002.267 L7.261,1002.267 C5.282,1002.267 3.663,1003.886 3.663,1005.865 L3.663,1014.325 L15.72,1014.325 L15.72,1002.267 L15.72,1002.267 Z", null, false);
            //clip26.Width = 40;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            //Node clip50 = CreateNodes("Clip50", "M1027.481,995.499 C1021.945,995.499 1017.44,1000.002 1017.44,1005.539 L1017.44,1041.572 C1016.356,1041.025 1015.37,1040.329 1014.704,1039.561 L1012.662,1034.366 C1011.157,1032.633 1009.926,1029.338 1009.926,1027.041 L1009.926,991.283 C1009.926,988.989 1011.804,987.11 1014.099,987.11 L1092.26,987.11 C1094.554,987.11 1093.961,988.989 1093.961,991.283 L1093.961,1027.041 C1093.961,1029.338 1092.729,1032.633 1091.224,1034.366 L1089.182,1039.561 C1088.517,1040.329 1087.531,1041.025 1086.445,1041.572 L1086.445,1005.539 C1086.445,1000.002 1081.941,995.499 1076.406,995.499 L1027.481,995.499 L1027.481,995.499 Z M1037.116,1033.354 C1037.116,1025.166 1043.753,1018.527 1051.943,1018.527 C1060.131,1018.527 1066.769,1025.166 1066.769,1033.354 C1066.769,1041.543 1060.131,1048.18 1051.943,1048.18 C1043.753,1048.18 1037.116,1041.543 1037.116,1033.354 L1037.116,1033.354 Z M1041.371,1029.878 C1041.524,1030.279 1041.778,1030.553 1042.127,1030.695 C1042.222,1030.735 1042.318,1030.752 1042.418,1030.752 C1043.028,1030.752 1043.857,1030.012 1044.633,1028.771 C1045.182,1027.896 1045.882,1027.13 1046.709,1026.497 C1047.382,1025.983 1048.123,1025.573 1048.911,1025.279 C1049.08,1025.214 1049.283,1025.156 1049.498,1025.095 C1050.758,1024.735 1051.705,1024.364 1051.492,1023.162 C1051.399,1022.636 1051.122,1021.936 1049.808,1021.936 C1049.161,1021.936 1048.533,1022.112 1048.218,1022.218 C1046.939,1022.646 1045.75,1023.289 1044.685,1024.129 C1043.308,1025.214 1042.174,1026.617 1041.403,1028.185 C1041.215,1028.571 1041.143,1029.276 1041.371,1029.878 L1041.371,1029.878 Z M1035.698,1060.827 C1030.819,1060.827 1026.847,1064.798 1026.847,1069.678 L1026.847,1077.7 C1023.533,1077.38 1020.918,1074.566 1020.918,1071.169 L1020.918,1005.539 C1020.918,1001.93 1023.871,998.976 1027.481,998.976 L1076.406,998.976 C1080.015,998.976 1082.968,1001.93 1082.968,1005.539 L1082.968,1071.169 C1082.968,1074.566 1080.353,1077.38 1077.038,1077.7 L1077.038,1069.678 C1077.038,1064.798 1073.067,1060.827 1068.186,1060.827 L1035.698,1060.827 L1035.698,1060.827 Z M1069.32,1009.596 C1069.32,1010.803 1070.298,1011.783 1071.507,1011.783 C1072.716,1011.783 1073.695,1010.803 1073.695,1009.596 C1073.695,1008.387 1072.716,1007.408 1071.507,1007.408 C1070.298,1007.408 1069.32,1008.387 1069.32,1009.596 L1069.32,1009.596 Z M1030.611,1033.354 C1030.611,1045.117 1040.181,1054.686 1051.943,1054.686 C1063.705,1054.686 1073.274,1045.117 1073.274,1033.354 C1073.274,1021.591 1063.705,1012.022 1051.943,1012.022 C1040.181,1012.022 1030.611,1021.591 1030.611,1033.354 L1030.611,1033.354 Z M1032.302,1033.354 C1032.302,1022.525 1041.113,1013.714 1051.943,1013.714 C1062.773,1013.714 1071.583,1022.525 1071.583,1033.354 C1071.583,1044.184 1062.773,1052.994 1051.943,1052.994 C1041.113,1052.994 1032.302,1044.184 1032.302,1033.354 L1032.302,1033.354 Z M1034.351,1033.354 C1034.351,1043.07 1042.226,1050.946 1051.943,1050.946 C1061.659,1050.946 1069.535,1043.07 1069.535,1033.354 C1069.535,1023.638 1061.659,1015.761 1051.943,1015.761 C1042.226,1015.761 1034.351,1023.638 1034.351,1033.354 L1034.351,1033.354 Z M1055.847,1099.25 C1056.737,1098.492 1057.766,1097.868 1058.929,1097.446 C1060.09,1097.023 1061.279,1096.84 1062.448,1096.848 L1058.109,1084.914 C1059.598,1083.684 1060.722,1082.025 1061.274,1080.12 L1042.612,1080.12 C1043.74,1084.013 1047.231,1086.894 1051.434,1087.113 L1055.847,1099.25 L1055.847,1099.25 Z M1073.655,1077.733 L1030.23,1077.733 L1030.23,1069.678 C1030.23,1066.662 1032.684,1064.209 1035.698,1064.209 L1068.186,1064.209 C1071.202,1064.209 1073.655,1066.662 1073.655,1069.678 L1073.655,1077.733 L1073.655,1077.733 Z M1036.43,1073.099 L1067.455,1073.099 L1067.455,1070.884 L1036.43,1070.884 L1036.43,1073.099 Z", null, false);
            //clip26.Width = 40;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            //Node clip51 = CreateNodes("Clip51", "M378.138,937.484 C376.275,937.484 374.76,935.969 374.76,934.106 L374.76,924.693 L377.347,924.693 C383.52,924.693 387.893,923.491 390.678,921.024 L390.678,934.106 C390.678,935.969 389.162,937.484 387.301,937.484 L378.138,937.484 L378.138,937.484 Z M299.202,937.484 C297.339,937.484 295.824,935.969 295.824,934.106 L295.824,920.945 C298.606,923.465 303.009,924.693 309.243,924.693 L311.742,924.693 L311.742,934.106 C311.742,935.969 310.227,937.484 308.364,937.484 L299.202,937.484 L299.202,937.484 Z M309.243,922.058 C293.118,922.058 293.118,913.342 293.118,902.306 C293.118,896.323 294.422,889.079 304.415,885.744 C304.092,886.489 303.819,887.228 303.602,887.948 C302.329,891.771 302.683,895.103 304.656,897.84 C309.102,904.006 321.317,905.244 339.585,905.244 L348.189,905.244 C366.252,905.244 378.295,904.021 382.511,897.935 C384.431,895.166 384.667,891.796 383.212,887.921 C382.965,887.201 382.663,886.462 382.312,885.721 C392.125,888.955 393.472,895.901 393.472,902.306 C393.472,913.342 393.472,922.058 377.347,922.058 L309.243,922.058 L309.243,922.058 Z M325.742,909.235 C322.959,909.235 320.778,910.526 320.778,912.173 L320.778,914.214 C320.778,915.862 322.959,917.153 325.742,917.153 L361.194,917.153 C363.977,917.153 366.157,915.862 366.157,914.214 L366.157,912.173 C366.157,910.526 363.977,909.235 361.194,909.235 L325.742,909.235 L325.742,909.235 Z M387.066,899.746 C386.038,900.513 384.909,901.323 383.73,902.169 L383.65,902.227 C382.804,902.835 381.937,903.458 381.079,904.086 C372.659,910.244 372.603,911.802 372.584,912.314 C372.578,912.508 372.642,912.635 372.82,912.784 C374.001,913.782 375.982,914.309 378.549,914.309 C380.468,914.309 382.202,914.011 382.858,913.883 L382.942,913.866 L383.007,913.812 C384.222,912.787 390.156,907.302 387.574,899.902 L387.427,899.477 L387.066,899.746 L387.066,899.746 Z M299.747,899.901 C297.154,907.292 303.097,912.785 304.314,913.812 L304.38,913.866 L304.464,913.883 C305.121,914.011 306.858,914.309 308.773,914.309 C311.377,914.309 313.304,913.796 314.501,912.784 C314.681,912.632 314.744,912.504 314.738,912.312 C314.706,911.427 313.791,909.608 306.243,904.086 C305.359,903.44 304.467,902.799 303.583,902.163 C302.399,901.313 301.276,900.506 300.256,899.746 L299.895,899.478 L299.747,899.901 L299.747,899.901 Z M349.474,903.057 C347.329,903.057 346.323,903.026 343.881,902.966 C341.426,903.026 340.42,903.057 338.27,903.057 C319.675,903.057 309.359,900.774 305.804,895.873 C304.274,893.765 304.031,891.208 305.061,888.055 C305.302,887.241 305.597,886.748 305.97,886.124 C306.124,885.865 306.289,885.59 306.463,885.269 C309.524,884.801 313.636,884.534 317.78,884.534 L368.849,884.534 C372.991,884.534 377.11,884.79 380.185,885.237 C380.385,885.58 380.575,885.872 380.755,886.148 C381.144,886.746 381.48,887.262 381.747,888.058 C382.935,891.276 382.791,893.868 381.311,895.991 C377.951,900.812 367.835,903.057 349.474,903.057 L349.474,903.057 Z M299.029,886.789 C298.827,886.652 298.511,886.476 298.037,886.212 C297.695,886.021 297.331,885.818 297.036,885.639 C296.179,885.121 295.55,884.759 295.141,884.759 L288.11,884.759 C285.616,884.759 283.586,882.898 283.586,880.609 C283.586,878.32 285.616,876.458 288.11,876.458 L295.141,876.458 C297.636,876.458 299.666,878.32 299.666,880.609 C299.703,880.869 299.951,881.334 300.494,882.298 L301.086,883.369 L309.102,866.107 C310.725,862.613 315.401,859.772 319.526,859.772 L367.036,859.772 C371.162,859.772 375.838,862.613 377.459,866.107 L385.653,883.75 L385.965,883.168 C386.102,882.912 386.257,882.63 386.444,882.298 C386.976,881.354 387.235,880.865 387.269,880.639 C387.272,879.497 387.74,878.464 388.589,877.682 C389.446,876.893 390.586,876.458 391.797,876.458 L398.827,876.458 C401.322,876.458 403.352,878.32 403.352,880.609 C403.352,882.898 401.322,884.759 398.827,884.759 L391.797,884.759 C391.39,884.759 390.761,885.12 389.917,885.629 C389.106,886.121 388.357,886.575 387.8,886.575 C387.684,886.575 387.593,886.581 387.516,886.593 C385.886,885.521 383.958,884.643 381.781,883.98 L374.151,867.548 C373.115,865.316 369.722,863.283 367.036,863.283 L319.526,863.283 C316.838,863.283 313.447,865.316 312.411,867.548 L304.73,884.089 C302.564,884.781 300.649,885.689 299.029,886.789 L299.029,886.789 Z", null, false);
            //clip26.Width = 45;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            //Node clip52 = CreateNodes("Clip52", "M485.654,988.923 C455.688,988.923 431.397,1013.216 431.397,1043.18 C431.397,1073.145 455.688,1097.437 485.654,1097.437 C515.618,1097.437 539.911,1073.145 539.911,1043.18 C539.911,1013.216 515.618,988.923 485.654,988.923 L485.654,988.923 Z M492.36,1021.218 C493.277,1021.132 492.749,1020.368 493.409,1020.289 C493.403,1020.253 494.524,1020.856 494.637,1020.876 C494.642,1021.132 494.495,1021.206 494.207,1021.094 C494.215,1021.445 494.14,1022.47 494.432,1022.647 C494.123,1022.616 492.693,1024.182 492.344,1023.005 C493.514,1023.257 492.324,1021.763 492.308,1021.639 C492.855,1021.58 492.401,1021.491 492.36,1021.218 L492.36,1021.218 Z M494.006,1017.158 C494.159,1017.111 495.759,1017.726 495.759,1017.985 C495.648,1018 495.815,1019.272 495.625,1019.306 C495.801,1019.916 497.758,1020.106 498.052,1020.948 C497.925,1020.917 497.792,1020.885 497.659,1020.851 C497.728,1021.093 498.172,1021.472 498.341,1021.7 C499.756,1021.049 498.768,1022.168 498.725,1022.779 C498.871,1022.698 499.02,1022.682 499.167,1022.73 C499.144,1023.159 498.191,1023.266 497.946,1023.297 C497.19,1023.387 496.356,1024.026 495.535,1024.41 C495.262,1023.227 497.062,1023.139 496.803,1022.665 C496.348,1022.784 495.913,1022.982 495.395,1023.071 C495.317,1022.711 496.272,1021.864 495.289,1022.079 C495.084,1021.29 495.779,1021.422 496.256,1021.356 C496.256,1021.418 496.272,1020.61 496.097,1020.632 C496.166,1020.866 495.219,1020.381 495.87,1020.295 C495.759,1019.858 494.769,1020.98 494.708,1020.239 C494.687,1020.08 494.868,1019.466 494.51,1019.419 C494.581,1019.564 494.488,1019.609 494.235,1019.556 C494.56,1019.605 493.789,1018.322 493.803,1018.301 C493.929,1017.952 494.14,1017.682 494.006,1017.158 L494.006,1017.158 Z M476.228,1070.682 C474.818,1071.943 473.178,1072.082 473.655,1074.049 C473.83,1074.763 473.571,1076.116 473.212,1076.848 C473.108,1077.066 471.417,1079.032 471.222,1078.617 C470.844,1078.616 469.404,1079.002 469.236,1078.909 C469.23,1078.881 467.147,1079.79 467.309,1079.818 C468.472,1080.841 467.132,1082.286 466.867,1082.094 C466.171,1081.585 466.032,1083.224 465.927,1083.211 C466.051,1083.538 463.994,1083.682 463.012,1082.964 C463.42,1083.591 463.986,1084.553 464.377,1084.616 C464.783,1085.77 461.564,1084.901 461.648,1084.918 C461.958,1085.074 462.133,1085.6 462.279,1085.903 C462.098,1085.891 462.057,1085.93 462.147,1086.028 C461.787,1086.077 461.257,1085.459 460.927,1085.613 C460.977,1085.666 460.977,1085.679 460.927,1085.656 C461.016,1085.761 461.972,1086.532 461.866,1086.363 C462.035,1086.4 462.147,1086.514 462.188,1086.697 C461.965,1086.594 461.782,1086.582 461.908,1086.663 C461.419,1086.594 461.937,1087.323 462.057,1087.478 C461.411,1087.292 461.846,1087.538 461.362,1087.577 C461.34,1087.872 462.904,1088.734 463.049,1088.775 C462.569,1088.717 462.766,1088.848 462.925,1089.283 C462.194,1089.471 462.778,1089.199 462.383,1089.08 C462.484,1089.508 463.011,1089.732 463.435,1090.004 C463.451,1090.006 463.475,1090.009 463.508,1090.012 C463.445,1089.992 465.655,1090.989 465.772,1091.246 C465.546,1091.135 465.31,1091.06 465.065,1091.008 C465.134,1091.045 465.203,1091.08 465.267,1091.117 C464.635,1091.086 463.41,1090.65 462.97,1090.349 C463.092,1090.357 462.194,1089.944 461.402,1089.38 C462.063,1089.569 461.11,1089.228 460.931,1089.124 C460.977,1089.142 460.977,1089.142 460.938,1089.116 C461.564,1089.405 460.737,1089.037 461.17,1089.171 C460.296,1088.494 460.081,1088.385 459.218,1087.531 C459.144,1087.517 459.182,1087.512 459.192,1087.504 C459.188,1087.501 459.184,1087.497 459.18,1087.493 C459.196,1087.498 459.196,1087.501 459.192,1087.504 C459.202,1087.514 459.209,1087.521 459.218,1087.531 C459.246,1087.535 459.286,1087.541 459.354,1087.55 C459.25,1087.385 458.585,1086.939 458.388,1086.875 C458.361,1086.846 458.27,1087.248 458.058,1086.613 C458.563,1086.676 458.571,1086.899 458.922,1086.965 C458.618,1086.64 458.494,1086.471 458.205,1086.168 C458.361,1086.207 458.323,1086.163 458.102,1086.05 C458.247,1086.111 456.761,1084.139 456.404,1083.69 C455.183,1082.16 455.527,1080.509 454.194,1078.398 C454.166,1078.389 452.068,1073.066 451.328,1072.1 C449.86,1070.189 449.06,1068.633 448.135,1066.608 C447.148,1064.459 445.619,1062.491 445.435,1060.057 C445.612,1060.135 445.169,1059.871 445.633,1060.099 C445.575,1059.102 445.197,1058.815 445.416,1057.741 C445.506,1057.307 445.485,1056.553 446.087,1056.804 C446.081,1055.997 446.599,1055.907 446.691,1054.766 C446.771,1053.69 446.753,1053.041 446.469,1052.332 C446.243,1052.169 446.028,1051.928 445.826,1051.635 C445.484,1052.606 444.069,1051.124 443.872,1050.553 C443.866,1050.583 442.673,1049.136 442.953,1048.476 C442.588,1048.279 442.273,1046.533 442.498,1046.204 C441.08,1045.481 440.583,1044.017 439.951,1042.481 C439.796,1042.099 439.16,1041.822 438.781,1041.296 C437.939,1040.139 437.616,1038.687 437.497,1037.288 C437.35,1035.445 437.553,1033.583 437.869,1031.771 C437.987,1031.108 438.857,1028.835 438.642,1028.331 C439.096,1027.328 439.327,1026.156 439.23,1025.489 C438.081,1027.846 438.1,1030.511 437.272,1032.968 C436.669,1031.983 437.631,1029.112 438.017,1028.112 C438.191,1028.601 439.004,1025.359 439.124,1024.872 C439.63,1022.822 440.801,1020.557 441.416,1019.257 C441.686,1018.704 442.771,1017.414 442.786,1017.017 C443.437,1015.939 444.404,1014.913 445.233,1013.915 C445.226,1013.931 446.299,1011.911 446.067,1013.308 C446.073,1013.076 447.815,1010.704 447.82,1010.697 C447.975,1009.916 448.977,1009.906 449.23,1009.046 C448.991,1009.258 449.258,1009.018 449.13,1009.132 C449.467,1007.936 449.293,1010.016 449.768,1008.514 C449.727,1008.556 449.721,1008.552 449.748,1008.494 C449.483,1008.651 450.252,1008.163 449.545,1008.614 C450.145,1008 451.486,1006.809 451.137,1007.092 C451.14,1007.087 450.707,1007.419 450.707,1007.419 C450.964,1007.214 451.5,1006.88 451.656,1006.586 C451.615,1006.651 451.558,1006.676 451.488,1006.67 C452.266,1006.064 453.688,1005.194 454.16,1004.338 C453.984,1004.457 453.849,1004.549 453.747,1004.621 C453.611,1004.782 453.211,1005 453.747,1004.621 C453.78,1004.583 453.798,1004.548 453.785,1004.524 C453.508,1004.782 453.119,1005.146 453.002,1005.179 C453.305,1004.936 453.337,1004.884 453.099,1005.024 C454.081,1004.111 455.134,1003.3 456.102,1002.369 C456.095,1002.376 456.085,1002.387 456.077,1002.395 C456.185,1002.076 457.082,1001.617 457.357,1001.378 C457.346,1001.391 457.334,1001.404 457.322,1001.417 C457.638,1001.198 457.554,1001.214 457.877,1000.977 C455.724,1002.202 458.131,1000.844 457.056,1001.469 C457.385,1001.309 456.397,1001.798 456.305,1001.891 C456.595,1001.596 457.442,1001.053 457.163,1001.345 C457.115,1001.377 457.065,1001.4 457.199,1001.313 C457.188,1001.312 457.142,1001.328 457.028,1001.382 C457.432,1001.129 457.809,1000.881 458.226,1000.641 C458.163,1000.687 458.163,1000.688 458.226,1000.652 C458.53,1000.405 457.701,1000.87 457.198,1001.205 C459.799,999.428 462.848,997.77 465.504,996.73 C465.473,996.745 465.459,996.752 465.454,996.755 C465.793,996.585 465.439,996.758 465.492,996.743 C465.478,996.746 465.466,996.751 465.454,996.758 C465.455,996.76 465.451,996.761 465.456,996.761 C465.455,996.76 465.454,996.758 465.452,996.757 C465.393,996.785 465.312,996.824 465.203,996.877 C465.729,996.716 464.182,997.389 464.024,997.462 C465.083,997.021 466.022,996.541 467.204,996.152 C467.05,996.23 466.896,996.305 466.74,996.378 C466.781,996.365 466.781,996.365 466.74,996.387 C466.797,996.362 466.781,996.378 466.684,996.431 C466.912,996.359 467.335,996.217 467.555,996.264 C467.364,996.348 467.335,996.37 467.47,996.336 C467.406,996.387 467.421,996.396 467.504,996.372 C467.426,996.388 467.358,996.428 467.3,996.489 C467.39,996.487 467.738,996.364 467.477,996.512 C467.372,996.543 465.726,996.755 466.888,996.755 C466.885,996.765 466.893,996.78 466.971,996.768 C466.311,997.196 465.267,997.563 464.578,998.248 C464.6,998.274 464.372,998.374 464.671,998.294 C463.907,998.631 462.73,999.164 462.272,999.902 C462.524,999.823 462.758,999.711 462.974,999.565 C462.897,999.589 462.843,999.636 462.813,999.704 C463.017,999.62 463.212,999.597 463.452,999.51 C463.328,999.762 462.694,1000.053 462.334,1000.153 C463.028,999.987 463.492,1000.042 464.372,999.789 C462.755,1000.42 462.794,1001.328 461.768,1002.533 C461.846,1002.418 461.944,1002.393 462.057,1002.46 C461.768,1002.677 461.005,1002.911 460.808,1003.261 C460.931,1003.379 461.117,1003.686 461.459,1003.491 C461.511,1003.611 460.359,1004.546 460.268,1004.652 C460.57,1004.457 462.407,1003.747 462.414,1003.676 C461.944,1003.937 462.057,1003.671 461.683,1003.803 C461.761,1003.741 461.754,1003.712 461.656,1003.722 C462.008,1003.31 462.533,1003.671 462.688,1003.585 C462.511,1003.942 462.101,1004.308 461.968,1004.366 C462.067,1004.4 462.235,1004.491 462.167,1004.482 C461.958,1004.615 461.992,1004.801 461.917,1005.022 C461.868,1005.033 463.445,1005.25 463.147,1004.854 C462.788,1005.396 462.816,1005.514 463.233,1005.208 C462.836,1005.284 462.207,1005.886 462.162,1006.295 C462.773,1006.295 464.233,1005.06 463.922,1005.312 C464.006,1005.245 465.299,1004.817 465.267,1004.712 C465.107,1004.769 464.939,1004.789 464.763,1004.766 C464.882,1004.633 464.993,1004.39 465.072,1004.303 C464.952,1004.392 464.833,1004.457 464.691,1004.501 C464.86,1004.411 464.848,1004.392 464.635,1004.456 C466.207,1003.424 468.109,1002.399 469.461,1002.016 C468.914,1002.336 463.914,1005.519 464.357,1006.215 C464.686,1005.962 465.241,1005.399 465.716,1005.535 C465.203,1006.409 464.209,1006.224 463.984,1007.229 C464.07,1007.222 464.077,1007.244 464.005,1007.309 C465.12,1007.867 466.326,1005.089 467.211,1005.817 C466.926,1006.004 466.205,1006.906 465.954,1007.378 C465.612,1008.019 464.508,1007.857 464.112,1008.333 C464.112,1008.058 464.224,1007.972 464.209,1007.783 C464.146,1007.833 463.92,1008.502 463.684,1008.407 C463.612,1008.254 463.612,1008.1 463.696,1007.95 C463.417,1007.95 462.849,1008.671 462.646,1008.554 C463.009,1008.214 462.407,1008.144 462.491,1007.832 C462.294,1007.931 462.088,1008.004 461.873,1008.053 C462.682,1008.869 462.282,1008.539 461.474,1009.106 C461.511,1009.007 461.452,1008.809 461.459,1008.8 C460.072,1007.981 455.14,1012.026 456.306,1013.331 C456.814,1013.899 456.688,1015.428 457.062,1016.227 C457.446,1017.045 456.891,1018.681 456.143,1019.425 C457.102,1019.976 459.993,1016.389 460.214,1015.798 C460.295,1015.581 461.486,1013.288 461.698,1013.498 C462.055,1013.048 462.366,1012.569 462.749,1012.139 C463.589,1011.196 463.685,1012.468 464.623,1011.904 C464.963,1012.43 464.993,1012.952 464.712,1013.469 C464.903,1013.484 465.092,1013.498 465.281,1013.512 C463.858,1013.036 464.665,1015.856 464.665,1015.856 C465.049,1015.712 466.332,1014.206 466.726,1014.469 C466.207,1015.158 466.353,1015.66 466.081,1016.248 C466.213,1016.254 466.332,1016.298 466.446,1016.371 C465.486,1017.315 466.093,1018.795 466.65,1019.76 C466.803,1019.736 466.957,1019.705 467.12,1019.671 C467.014,1019.844 467.061,1019.952 467.252,1019.997 C467.108,1020.339 465.282,1020.448 465.345,1020.683 C465.468,1021.137 470.695,1020.68 465.379,1022.439 C464.211,1022.825 463.114,1022.268 462.041,1022.428 C460.523,1022.656 459.42,1023.564 458.143,1024.365 C458.959,1024.644 460.618,1023.063 461.468,1022.887 C463.505,1022.466 460.838,1024.461 460.857,1024.417 C461.039,1024.466 461.221,1024.513 461.403,1024.561 C461.341,1024.37 461.249,1026.215 461.257,1026.199 C461.627,1026.308 462.008,1026.354 462.398,1026.337 C461.803,1027.534 462.442,1026.185 462.393,1026.832 C461.75,1026.686 460.099,1028.099 459.686,1027.849 C458.327,1027.029 461.398,1026.485 461.389,1026.51 C461.072,1026.422 460.069,1026.509 460.161,1026.059 C459.467,1026.597 456.432,1026.827 456.915,1028.288 C455.874,1027.958 455.236,1028.333 454.514,1029.041 C454.271,1029.435 453.957,1029.54 453.57,1029.358 C453.347,1029.809 453.49,1030.471 452.82,1030.58 C452.97,1030.201 452.67,1030.192 452.598,1030.397 C452.651,1030.248 452.976,1028.961 452.847,1029.062 C452.485,1029.345 451.602,1032.026 452.18,1032.238 C451.971,1032.8 451.851,1032.003 451.727,1032.052 C451.568,1032.268 451.447,1032.502 451.361,1032.755 C450.885,1032.576 449.187,1033.813 448.717,1034.011 C448.675,1035.282 448.373,1037.839 447.322,1038.962 C447.454,1038.44 447.148,1036.543 446.971,1036.664 C446.937,1036.472 446.004,1032.612 445.599,1033.727 C445.547,1033.602 445.506,1033.478 445.479,1033.349 C445.382,1033.608 444.959,1033.207 444.601,1033.243 C444.908,1033.415 444.812,1034.058 444.657,1034.27 C444.511,1033.999 444.399,1033.719 444.313,1033.429 C444.129,1033.92 442.786,1032.64 442.63,1032.32 C442.393,1032.966 441.83,1032.681 441.466,1032.842 C440.912,1033.082 440.596,1034.882 440.435,1035.367 C439.993,1036.702 439.532,1037.603 439.678,1038.905 C439.762,1039.689 440.015,1040.825 440.766,1041.259 C440.864,1040.8 441.256,1041.239 441.312,1041.421 C441.333,1041.299 442.716,1039.927 442.7,1039.972 C443.431,1040.461 443.859,1039.768 443.584,1040.893 C443.499,1040.845 442.911,1042.484 442.896,1042.648 C442.315,1042.318 442.294,1044.265 442.786,1044.6 C443.851,1045.322 444.516,1045.419 444.328,1046.722 C443.928,1046.511 444.652,1049.932 445.826,1051.635 C445.859,1051.539 445.886,1051.428 445.896,1051.281 C446.158,1051.675 446.338,1052.009 446.469,1052.332 C446.955,1052.685 447.486,1052.678 448.029,1052.026 C448.64,1051.295 448.002,1051.315 448.964,1050.984 C449.348,1051.142 449.545,1051.108 449.554,1050.886 C449.621,1050.913 449.776,1050.939 449.783,1050.867 C450.099,1050.974 451.207,1050.159 450.066,1051.335 C450.336,1051.434 449.958,1053.174 450.345,1052.945 C451.466,1052.263 453.466,1052.853 453.731,1052.945 C454.14,1053.079 455.47,1053.255 455.205,1053.177 C455.703,1053.3 456.557,1053.933 456.579,1054.156 C457.71,1054.395 456.104,1055.071 455.894,1055.106 C456.727,1055.306 458.986,1055.136 458.361,1056.895 C458.365,1056.571 460.808,1058.276 460.821,1057.503 C461.355,1057.76 461.706,1057.783 462.177,1058.325 C462.701,1058.937 463.571,1059.245 463.897,1060.034 C463.941,1060.13 464.033,1061.273 464.257,1061.307 C464.257,1061.554 464.643,1061.603 464.224,1062.203 C464.461,1062.248 464.419,1061.939 464.769,1062.063 C464.733,1062.39 464.623,1062.464 464.447,1062.289 C464.526,1062.439 464.6,1062.584 464.691,1062.729 C464.104,1062.645 464.112,1062.736 463.619,1062.658 C463.626,1062.751 463.599,1062.877 463.516,1062.868 C463.557,1063.86 463.872,1063.354 463.872,1063.411 C464.285,1063.475 464.251,1064.139 464.743,1064.208 C464.733,1064.07 465.858,1064.009 466.04,1064.022 C465.998,1062.835 468.03,1064.318 468.389,1064.581 C469.369,1065.304 468.717,1065.124 469.854,1065.251 C469.882,1065.758 478.795,1068.362 476.228,1070.682 C474.818,1071.943 478.795,1068.362 476.228,1070.682 L476.228,1070.682 Z M485.214,1002.583 C485.324,1002.873 485.521,1003.103 485.807,1003.263 C485.569,1003.281 484.827,1003.137 485.205,1003.717 C485.261,1003.583 485.436,1004.774 485.829,1004.923 C485.611,1005.332 485.346,1005.327 485.042,1004.897 C484.93,1005.381 485.092,1005.56 485.521,1005.425 C485.501,1005.428 483.913,1006.174 483.669,1006.208 C484.021,1006.256 485.882,1007.681 484.715,1007.931 C484.472,1007.816 484.229,1007.702 483.986,1007.587 C483.809,1007.872 483.768,1008.169 483.861,1008.477 C484.675,1008.702 484.51,1008.891 484.657,1008.967 C482.873,1010.804 477.698,1011.306 477.272,1014.088 C477.343,1013.684 475.58,1016.087 475.274,1016.345 C475.181,1016.432 472.374,1013.959 473.067,1013.084 C473.066,1012.755 473.244,1012.581 473.6,1012.565 C473.183,1012.203 473.468,1009.937 474.566,1009.99 C474.436,1009.982 473.728,1009.804 473.83,1009.73 C475.922,1008.229 475.243,1008.691 474.032,1007.671 C474.414,1007.995 476.311,1007.581 476.108,1006.844 C475.856,1006.406 475.539,1006.334 475.156,1006.631 C476.418,1004.678 477.427,1002.983 474.649,1002.67 C474.917,1002.441 474.763,1001.895 475.31,1001.823 C475.26,1001.854 476.283,1001.882 476.458,1001.824 C475.961,1001.829 475.747,1001.652 475.818,1001.292 C476.195,1000.971 478.504,1000.845 478.479,1000.268 C478.186,1000.128 477.983,999.9 477.869,999.585 C477.895,1000.038 480.991,999.126 481.185,999.167 C481.092,999.294 480.982,999.406 480.857,999.504 C480.911,999.491 480.975,999.483 481.066,999.486 C481.066,999.577 481.047,999.638 481.082,999.758 C481.079,999.75 482.246,998.591 481.54,999.252 C481.496,999.523 481.851,999.973 481.845,999.965 C481.077,999.28 484.259,998.446 484.314,998.425 C484.37,998.463 484.329,998.58 484.25,998.713 C484.442,998.938 484.635,999.164 484.827,999.389 C484.379,999.279 484.007,999.405 483.71,999.765 C483.845,999.718 484.159,999.682 484.769,999.673 C484.787,999.838 483.513,999.986 483.71,999.765 C483.471,999.852 486.216,1000.064 486.073,999.858 C484.757,999.957 485.43,1002.271 485.214,1002.583 C485.324,1002.873 485.43,1002.271 485.214,1002.583 L485.214,1002.583 Z M532.518,1062.562 C532.506,1062.587 532.484,1062.617 532.437,1062.658 C532.471,1062.629 532.492,1062.594 532.518,1062.562 C532.571,1062.445 532.325,1062.466 532.365,1062.47 C531.461,1063.637 531.048,1066.685 530.245,1068.309 C530.185,1068.425 528.781,1070.487 528.71,1070.019 C528.472,1070.189 528.71,1069.577 528.626,1069.638 C528.823,1069.141 528.549,1068.115 529.292,1067.604 C529.307,1067.554 529.953,1065.738 529.903,1065.774 C530.185,1064.997 531.328,1063.753 531.418,1063.342 C531.952,1062.923 532.437,1061.119 532.603,1060.516 C532.547,1060.837 532.751,1060.881 532.716,1061.323 C532.496,1061.51 532.823,1062.161 532.518,1062.562 L532.518,1062.562 Z M534.349,1028.955 C534.322,1029.241 534.306,1030.577 534.012,1029.136 C533.88,1029.536 533.599,1029.21 533.388,1028.776 C533.024,1029.731 532.365,1030.049 531.741,1030.849 C531.614,1030.608 531.298,1030.451 531.186,1030.209 C530.921,1030.542 530.485,1032.512 529.749,1030.846 C529.651,1030.939 528.745,1029.4 528.179,1029.855 C527.569,1030.344 529.734,1032.871 530.169,1033.039 C530.138,1032.818 530.133,1032.591 530.159,1032.366 C530.152,1032.335 530.152,1032.313 530.162,1032.304 C530.159,1032.324 530.16,1032.345 530.159,1032.366 C530.203,1032.577 530.587,1033.221 530.66,1033.33 C531.272,1032.528 531.474,1032.194 531.383,1030.912 C531.831,1032.004 532.188,1031.72 532.716,1032.157 C532.891,1031.922 533.473,1034.261 533.48,1034.346 C533.514,1035.273 533.347,1036.207 533.109,1037.094 C532.52,1039.229 531.229,1041.778 529.869,1042.704 C529.033,1040.235 527.281,1039.462 526.551,1037.207 C526.448,1037.266 523.549,1034.584 523.528,1034.511 C522.134,1035.244 524.882,1037.42 525.184,1038.073 C526.062,1037.603 526.817,1041.12 527.309,1041.25 C527.82,1041.384 527.862,1041.272 528.004,1041.861 C527.273,1042.3 529.602,1043.158 529.623,1043.18 C529.982,1043.49 530.865,1045.341 530.976,1045.261 C531.727,1045.357 532.232,1042.772 533.164,1042.837 C532.021,1043.91 531.803,1046.623 531.497,1048.041 C530.899,1050.775 530.423,1053.53 529.973,1056.287 C529.89,1056.848 529.651,1060.516 529.391,1060.672 C529.245,1061.865 529.82,1062.754 529.209,1064.125 C528.185,1066.418 526.347,1067.777 525.659,1070.195 C525.527,1070.273 524.981,1072.232 524.328,1072.798 C523.164,1073.804 523.102,1075.066 522.139,1076.21 C521.046,1077.515 519.511,1078.342 518.052,1079.165 C516.865,1079.837 515.338,1080.469 514.314,1080.899 C514.946,1079.333 514.967,1078.943 514.042,1077.718 C514.061,1077.625 513.9,1076.885 514.019,1076.848 C514.749,1073.938 512.21,1072.876 513.978,1069.949 C515.87,1066.819 514.597,1064.169 511.845,1062.2 C511.98,1062.214 512.077,1062.161 512.126,1062.045 C511.973,1062.086 511.629,1061.76 511.494,1061.792 C511.447,1060.321 512.709,1059.252 512.105,1057.665 C511.711,1057.756 511.452,1058.066 511.523,1057.478 C511.25,1057.547 511.11,1057.714 510.906,1057.756 C510.921,1057.917 508.08,1058.361 509.069,1057.555 C508.9,1056.894 507.617,1057.008 507.169,1057.096 C507.188,1057.033 507.224,1056.979 507.281,1056.935 C506.677,1057.065 505.919,1057.925 505.421,1057.92 C505.401,1057.438 505.353,1057.663 504.721,1057.668 C505.317,1057.949 501.854,1059.31 501.082,1059.157 C500.275,1058.998 498.283,1060.166 497.739,1059.925 C497.739,1060.044 493.598,1057.263 493.004,1056.493 C492.749,1056.167 491.663,1055.307 491.649,1054.917 C490.689,1055.019 490.628,1053.515 490.072,1052.922 C492.371,1052.721 489.042,1046.334 490.955,1046.235 C490.878,1045.201 494.047,1041.477 494.896,1040.97 C495.723,1040.472 494.46,1039.842 495.168,1039.066 C495.219,1038.905 496.431,1037.336 496.475,1037.638 C496.725,1037.61 497.169,1036.993 497.161,1036.782 C497.125,1035.141 498.094,1036.319 498.747,1036.031 C498.83,1036.495 503.102,1034.032 503.656,1034.074 C504.898,1034.169 507.014,1033.094 508.521,1032.978 C508.578,1033.173 508.775,1034.107 508.908,1034.101 C509.301,1034.805 508.699,1034.573 508.844,1035.145 C508.551,1035.215 512.148,1035.942 512.167,1035.96 C512.772,1036.606 513.446,1036.294 514.16,1036.496 C514.841,1036.689 516.292,1036.027 515.268,1035.388 C513.958,1034.57 517.379,1034.214 517.464,1034.192 C517.651,1035.233 522.1,1032.977 522.105,1032.968 C522.695,1031.392 522.307,1029.487 521.417,1028.227 C520.69,1028.619 519.659,1029.623 518.67,1030.062 C518.606,1029.571 517.027,1030.137 516.776,1028.999 C517.253,1029.074 516.762,1027.937 516.306,1028.34 C516.082,1027.861 517.027,1026.612 517.441,1026.577 C516.389,1026.185 518.747,1025.263 519.144,1024.649 C519.427,1025.062 520.766,1024.743 521.095,1024.442 C522.751,1022.908 518.677,1021.964 518.494,1022.223 C518.173,1021.683 518.971,1021.52 518.164,1021.062 C518.297,1020.895 518.494,1020.405 518.494,1020.199 C518.494,1020.402 517.345,1021.764 516.95,1021.864 C517.75,1023.088 519.161,1021.286 517.611,1023.4 C517.345,1023.097 517.325,1022.68 516.853,1022.914 C516.831,1022.637 516.942,1022.435 517.19,1022.303 C516.727,1021.692 516.384,1022.88 516.004,1022.276 C516.227,1022.172 516.235,1022.129 515.935,1021.964 C515.982,1022.052 515.646,1023.854 515.759,1024.237 C516.242,1025.977 517.498,1026.302 516.039,1027.764 C515.912,1027.517 514.784,1027.229 514.573,1027.606 C514.467,1027.805 515.001,1027.949 515.052,1028.045 C514.974,1028.057 514.645,1028.275 514.848,1028.418 C514.615,1028.365 514.425,1028.255 514.265,1028.088 C514.496,1028.423 514.664,1028.713 515.001,1029.084 C514.889,1029.086 514.784,1029.076 514.678,1029.06 C514.719,1029.15 514.8,1029.432 514.807,1029.485 C514.776,1029.372 515.799,1029.394 516.145,1029.766 C516.103,1029.772 516.095,1029.792 516.123,1029.824 C515.767,1029.708 515.407,1029.598 515.042,1029.502 C515.331,1029.699 515.591,1029.925 515.829,1030.18 C515.514,1030.165 515.584,1030.075 515.324,1030.172 C515.401,1030.305 515.514,1030.392 515.661,1030.439 C515.441,1030.517 514.918,1031.211 514.855,1031.062 C513.684,1031.069 514.805,1030.198 515.12,1030.104 C514.001,1030.494 512.507,1028.659 512.205,1027.949 C511.964,1028.032 510.407,1026.68 509.785,1027.105 C509.868,1027.312 508.197,1025.949 508.191,1025.945 C508.262,1026.319 508.052,1026.385 508.134,1026.601 C508.149,1026.647 507.63,1025.821 507.617,1025.783 C507.674,1025.912 507.036,1026.164 506.986,1026.177 C507.218,1026.749 507.807,1027.285 508.247,1027.686 C509.082,1028.438 511.466,1028.486 511.875,1029.516 C511.389,1029.673 510.809,1029.441 510.78,1029.168 C510.815,1029.504 512.358,1031.393 511.052,1031.56 C510.374,1030.517 511.11,1030.648 509.897,1030.157 C509.097,1029.831 508.423,1029.225 507.75,1028.706 C507.133,1028.232 506.425,1027.637 505.625,1027.518 C504.629,1027.37 505.57,1027.901 504.827,1028.053 C505.002,1028.534 503.269,1028.687 503.023,1028.703 C502.187,1028.765 502.666,1029.459 502.624,1029.949 C500.668,1030.321 501.297,1033.195 500.127,1034.243 C498.704,1035.527 496.663,1034.353 494.987,1034.942 C494.301,1033.446 494.972,1031.999 494.133,1030.254 C494.958,1030.161 495.386,1029.64 496.475,1029.589 C497.208,1029.557 498.655,1029.785 499.266,1029.353 C500.223,1028.684 498.129,1026.674 497.796,1026.539 C497.719,1026.519 496.223,1026.025 496.228,1026.034 C496.374,1026.001 496.719,1025.685 496.193,1025.596 C496.321,1025.609 497.905,1025.125 497.905,1025.144 C497.905,1024.837 497.828,1024.549 497.666,1024.279 C497.975,1024.068 499.939,1024.471 499.413,1022.876 C499.952,1022.703 500.301,1022.582 500.821,1022.401 C500.388,1021.185 501.292,1020.642 502.299,1020.925 C502.205,1020.794 502.819,1019.609 502.457,1019.688 C502.253,1019.238 501.124,1018.231 501.229,1017.825 C501.439,1017.742 501.648,1017.675 501.861,1017.627 C501.522,1016.909 501.522,1017.734 501.229,1017.149 C501.447,1017.097 501.818,1016.677 501.832,1016.461 C501.992,1016.728 502.051,1017.004 501.838,1017.17 C501.889,1017.218 501.902,1017.215 501.88,1017.158 C502.071,1017.18 502.63,1017.527 502.624,1017.749 C502.617,1018.262 502.457,1018.561 502.701,1018.865 C502.966,1019.126 503.262,1019.942 503.915,1019.68 C503.659,1019.347 506.3,1018.655 506.799,1018.296 C506.753,1018.285 506.734,1018.261 506.776,1018.209 C506.804,1018.274 506.831,1018.265 506.88,1018.175 C506.897,1018.209 506.862,1018.25 506.799,1018.296 C506.919,1018.323 507.238,1018.248 507.275,1018.261 C507.505,1017.683 506.958,1017.792 507.238,1017.215 C507.286,1017.299 507.316,1017.356 507.335,1017.399 C507.333,1017.338 507.36,1017.264 507.477,1017.225 C507.352,1017.036 506.473,1015.423 506.663,1015.419 C506.915,1015.405 507.161,1015.732 507.435,1015.625 C508.003,1015.41 506.643,1014.066 506.544,1013.875 C506.369,1013.534 507.54,1013.293 507.337,1013.034 C507.49,1013.037 507.645,1013.034 507.8,1013.019 C507.645,1012.702 507.905,1012.41 508.311,1012.338 C508.08,1012.3 507.001,1012.049 507.099,1012.01 C506.762,1011.642 506.334,1013.071 506.201,1013.126 C506.397,1013.392 505.639,1012.982 505.668,1012.972 C505.702,1012.998 505.702,1013.014 505.668,1013.019 C505.779,1013.175 505.815,1013.165 505.66,1013.281 C505.513,1013.094 505.323,1013.087 505.668,1012.885 C505.589,1012.788 504.716,1012.356 505.211,1012.832 C504.356,1013.157 503.072,1009.773 503.487,1009.47 C502.89,1008.811 502.476,1009.203 501.959,1008.919 C502.224,1009.264 502.927,1012.336 502.646,1012.419 C503.143,1013.157 505.892,1014.684 503.928,1015.133 C504.252,1015.663 504.876,1016.66 504.974,1016.534 C505.023,1016.611 504.363,1017.972 504.089,1018.091 C503.901,1018.178 502.097,1015.843 501.629,1015.574 C501.565,1015.539 500.612,1016.627 500.584,1016.632 C500.963,1017.328 498.794,1015.653 499.3,1015.712 C498.83,1015.654 499.3,1015.978 499.103,1016.015 C499.03,1015.865 498.585,1014.631 498.245,1014.568 C498.229,1014.606 498.203,1014.635 498.101,1014.623 C498.145,1014.574 498.194,1014.559 498.245,1014.568 C498.273,1014.496 498.263,1014.394 498.637,1014.481 C498.392,1014.343 497.438,1013.545 498.392,1013.44 C498.381,1013.352 498.382,1013.267 498.398,1013.2 C498.371,1013.248 498.368,1013.246 498.411,1013.148 C498.404,1013.163 498.402,1013.182 498.398,1013.2 C498.464,1013.083 498.683,1012.659 498.834,1012.491 C498.514,1012.11 498.664,1011.961 499.288,1012.049 C499.35,1011.995 499.413,1011.944 499.467,1011.893 C499.484,1011.738 499.061,1011.255 499.152,1011.23 C499.206,1011.315 499.566,1010.415 499.635,1009.952 C499.625,1009.938 499.615,1009.924 499.601,1009.906 C499.618,1009.911 499.629,1009.915 499.641,1009.918 C499.65,1009.851 499.652,1009.793 499.644,1009.752 C499.609,1009.585 498.543,1006.554 498.655,1006.507 C498.592,1006.44 498.963,1006.638 498.963,1006.619 C498.928,1006.373 498.465,1006.212 499.048,1006.323 C498.809,1006.278 498.823,1006.243 499.272,1006.212 C499.082,1006.155 499.461,1005.999 499.461,1005.999 C498.718,1005.249 499.86,1005.668 500.246,1005.919 C500.127,1005.848 499.903,1005.149 499.988,1004.926 C499.656,1004.12 502.939,1005.206 503.249,1005.482 C503.059,1005.332 507.036,1006.278 506.245,1006.81 C506.292,1006.851 506.235,1006.965 506.299,1007.015 C505.761,1007.256 504.3,1007.205 503.789,1007.032 C504.413,1007.581 507.146,1009.163 507.884,1008.749 C507.89,1008.127 507.441,1007.75 506.537,1007.618 C506.946,1007.957 507.361,1007.993 507.785,1007.726 C507.293,1007.331 506.901,1006.926 506.537,1006.422 C506.582,1006.394 506.714,1006.461 506.82,1006.528 C506.773,1006.494 506.724,1006.458 506.649,1006.403 C506.86,1006.513 507.078,1006.564 507.316,1006.564 C506.445,1005.888 505.793,1005.309 504.91,1004.749 C505.905,1004.065 506.922,1006.332 507.435,1005.947 C507.331,1005 506.964,1004.206 506.334,1003.565 C506.603,1003.912 506.915,1003.989 507.265,1003.797 C506.719,1002.96 506.895,1002.764 507.793,1003.209 C504.173,1002.565 507.135,1001.547 508.39,1002.128 C508.361,1002.169 503.373,1000.053 503.214,999.37 C506.102,999.471 505.107,999.885 505.689,999.757 C505.793,999.797 505.528,999.551 505.71,999.574 C505.58,999.515 504.046,999.12 504.11,998.827 C504.893,998.414 505.74,998.641 506.649,999.507 C506.551,999.417 506.445,999.344 506.326,999.291 C506.901,999.51 506.768,999.297 507.113,999.211 C505.724,998.702 503.69,998.8 502.056,997.56 C502.099,997.571 502.221,997.57 502.321,997.554 C502.128,997.542 496.54,995.435 496.441,995.289 C495.803,995.248 497.717,995.267 497.609,995.255 C497.274,994.975 496.902,994.855 496.496,994.892 C497.491,994.349 503.096,996.336 501.93,996.086 C501.209,995.75 500.465,995.49 499.699,995.304 C499.742,995.315 499.783,995.324 499.825,995.335 C499.677,995.237 499.529,995.189 499.37,995.11 C499.409,995.116 499.437,995.121 499.472,995.127 C499.195,994.952 498.874,994.818 498.564,994.721 C501.792,995.111 499.005,994.757 498.983,994.748 C498.936,994.742 498.942,994.742 498.98,994.746 C498.947,994.734 498.954,994.732 499.012,994.742 C499.008,994.711 499.004,994.681 498.998,994.651 C498.495,994.581 498.704,994.521 498.065,994.297 C498.69,994.386 497.884,994.203 498.416,994.263 C498.219,994.181 498.015,994.125 497.806,994.096 C498.176,994.203 498.116,994.177 497.945,994.151 C497.979,994.162 497.982,994.164 497.934,994.149 C497.938,994.15 497.941,994.151 497.945,994.151 C496.162,993.579 496.33,993.547 493.233,993.134 C493.294,993.138 493.333,993.141 493.369,993.143 C492.972,993.081 492.972,993.081 493.369,993.143 C503.75,994.587 513.437,999.442 521.048,1006.575 C521.038,1006.563 521.033,1006.553 521.038,1006.551 C521.463,1006.911 521.3,1006.802 521.158,1006.681 C522.038,1007.51 522.896,1008.361 523.717,1009.248 C530.648,1016.731 536.551,1027.382 537.282,1037.593 C537.056,1034.616 535.878,1032.116 534.678,1029.161 C534.842,1029.738 534.952,1030.321 535.016,1030.912 C534.551,1030.254 534.538,1029.708 534.349,1028.955 C534.322,1029.241 534.538,1029.708 534.349,1028.955 L534.349,1028.955 Z", null, false);
            //clip26.Width = 45;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            Node clip53 = CreateNodes("Clip53", "M910.354,1094.743 C909.533,1094.743 908.701,1094.722 907.813,1094.679 C893.802,1093.995 880.484,1087.464 871.275,1076.762 C870.156,1075.462 869.093,1074.096 868.114,1072.7 C862.529,1064.732 859.328,1055.403 858.855,1045.722 C858.813,1044.85 858.791,1043.995 858.791,1043.18 C858.791,1042.365 858.813,1041.51 858.855,1040.639 C859.336,1030.792 862.632,1021.331 868.388,1013.277 C869.386,1011.88 870.462,1010.522 871.584,1009.241 C880.909,998.603 893.775,992.366 907.812,991.682 L908.478,991.649 L908.478,991.73 C909.13,991.655 909.749,991.618 910.354,991.618 C910.958,991.618 911.577,991.655 912.229,991.73 L912.229,991.649 L912.895,991.682 C926.932,992.366 939.798,998.603 949.123,1009.241 C950.245,1010.522 951.321,1011.88 952.319,1013.277 C958.075,1021.331 961.371,1030.792 961.852,1040.639 C961.894,1041.51 961.916,1042.365 961.916,1043.18 C961.916,1043.995 961.894,1044.85 961.852,1045.722 C961.379,1055.403 958.178,1064.732 952.593,1072.7 C951.614,1074.096 950.552,1075.462 949.432,1076.762 C940.223,1087.464 926.905,1093.995 912.895,1094.679 C912.006,1094.722 911.174,1094.743 910.354,1094.743 L910.354,1094.743 Z M913.499,1087.971 C919.605,1086.12 925.289,1078.853 928.891,1068.252 C923.981,1067.115 918.809,1066.442 913.499,1066.25 L913.499,1087.971 L913.499,1087.971 Z M891.816,1068.252 C895.418,1078.853 901.102,1086.12 907.208,1087.971 L907.208,1066.25 C901.898,1066.442 896.726,1067.115 891.816,1068.252 L891.816,1068.252 Z M935.045,1069.979 C933.064,1075.939 930.402,1081.129 927.27,1085.16 C933.515,1082.633 939.16,1078.712 943.74,1073.71 C941.151,1072.292 938.233,1071.039 935.045,1069.979 L935.045,1069.979 Z M876.968,1073.71 C881.547,1078.712 887.192,1082.633 893.438,1085.16 C890.305,1081.129 887.643,1075.939 885.662,1069.979 C882.475,1071.039 879.556,1072.292 876.968,1073.71 L876.968,1073.71 Z M936.78,1063.833 C940.838,1065.155 944.523,1066.772 947.75,1068.648 C952.287,1062.009 954.961,1054.317 955.514,1046.325 L939.047,1046.325 C938.852,1052.417 938.091,1058.302 936.78,1063.833 L936.78,1063.833 Z M865.193,1046.325 C865.746,1054.317 868.42,1062.009 872.957,1068.648 C876.184,1066.772 879.869,1065.155 883.927,1063.833 C882.616,1058.302 881.855,1052.417 881.66,1046.325 L865.193,1046.325 L865.193,1046.325 Z M913.499,1059.952 C919.46,1060.143 925.226,1060.876 930.652,1062.135 C931.847,1057.11 932.552,1051.798 932.749,1046.325 L913.499,1046.325 L913.499,1059.952 L913.499,1059.952 Z M887.958,1046.325 C888.156,1051.798 888.86,1057.11 890.055,1062.135 C895.481,1060.876 901.247,1060.143 907.208,1059.952 L907.208,1046.325 L887.958,1046.325 L887.958,1046.325 Z M955.514,1040.035 C954.949,1031.863 952.173,1024.024 947.455,1017.287 C944.257,1019.116 940.627,1020.692 936.65,1021.978 C938.041,1027.662 938.846,1033.731 939.047,1040.035 L955.514,1040.035 L955.514,1040.035 Z M932.749,1040.035 C932.545,1034.368 931.792,1028.869 930.512,1023.669 C925.128,1024.907 919.411,1025.63 913.499,1025.818 L913.499,1040.035 L932.749,1040.035 L932.749,1040.035 Z M907.208,1040.035 L907.208,1025.818 C901.296,1025.63 895.579,1024.907 890.195,1023.669 C888.915,1028.869 888.162,1034.368 887.958,1040.035 L907.208,1040.035 L907.208,1040.035 Z M881.66,1040.035 C881.861,1033.731 882.667,1027.662 884.057,1021.978 C880.08,1020.692 876.45,1019.116 873.252,1017.287 C868.534,1024.024 865.758,1031.863 865.193,1040.035 L881.66,1040.035 L881.66,1040.035 Z M913.499,1019.52 C918.733,1019.331 923.843,1018.672 928.706,1017.559 C925.099,1007.269 919.487,1000.207 913.499,998.389 L913.499,1019.52 L913.499,1019.52 Z M892.002,1017.559 C896.865,1018.672 901.974,1019.331 907.208,1019.52 L907.208,998.389 C901.221,1000.207 895.608,1007.269 892.002,1017.559 L892.002,1017.559 Z M927.27,1001.201 C930.314,1005.116 932.916,1010.122 934.872,1015.85 C937.984,1014.825 940.84,1013.619 943.385,1012.256 C938.878,1007.447 933.357,1003.663 927.27,1001.201 L927.27,1001.201 Z M877.322,1012.256 C879.867,1013.619 882.724,1014.825 885.835,1015.85 C887.791,1010.122 890.393,1005.116 893.438,1001.201 C887.351,1003.663 881.829,1007.447 877.322,1012.256 L877.322,1012.256 Z", null, false);
            clip26.Width = 30;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            //Node clip54 = CreateNodes("Clip54", "M802.824,1046.961 C807.18,1040.915 809.753,1033.499 809.753,1025.479 C809.753,1005.151 793.274,988.673 772.947,988.673 C752.62,988.673 736.141,1005.151 736.141,1025.479 C736.141,1033.499 738.715,1040.915 743.07,1046.961 C743.07,1046.961 767.87,1083.585 772.947,1097.687 C778.341,1083.268 802.824,1046.961 802.824,1046.961 L802.824,1046.961 Z M772.947,1004.973 C784.272,1004.973 793.453,1014.154 793.453,1025.479 C793.453,1036.804 784.272,1045.984 772.947,1045.984 C761.622,1045.984 752.442,1036.804 752.442,1025.479 C752.442,1014.154 761.622,1004.973 772.947,1004.973 L772.947,1004.973 Z", null, false);
            //clip26.Width = 27;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            Node clip55 = CreateNodes("Clip55", "M249.299,853.268 L240.362,846.675 C239.567,846.089 238.169,845.628 237.18,845.628 L214.755,845.628 C214.33,844.492 213.236,843.68 211.953,843.68 L203.808,843.68 C202.158,843.68 200.814,845.023 200.814,846.674 L200.814,873.2 L159.602,873.2 C158.613,873.2 157.215,873.66 156.419,874.247 L147.483,880.84 C147.011,881.188 146.74,881.688 146.74,882.21 C146.74,882.732 147.011,883.232 147.483,883.58 L156.419,890.173 C157.215,890.76 158.613,891.22 159.602,891.22 L200.814,891.22 L200.814,950.583 C200.814,952.234 202.158,953.576 203.808,953.576 L211.953,953.576 C213.604,953.576 214.948,952.234 214.948,950.583 L214.948,914.471 L252.729,914.471 C253.718,914.471 255.116,914.013 255.911,913.424 L264.848,906.832 C265.32,906.484 265.59,905.984 265.59,905.461 C265.59,904.94 265.32,904.44 264.848,904.092 L255.911,897.499 C255.116,896.912 253.718,896.452 252.729,896.452 L214.948,896.452 L214.948,863.649 L237.18,863.649 C238.169,863.649 239.567,863.189 240.362,862.601 L249.299,856.008 C249.771,855.66 250.041,855.161 250.041,854.638 C250.041,854.116 249.771,853.616 249.299,853.268 L249.299,853.268 Z M204.887,893.926 L210.875,893.926 L210.875,905.449 L204.887,905.449 L204.887,893.926 Z M204.887,870.881 L210.875,870.881 L210.875,882.404 L204.887,882.404 L204.887,870.881 Z M204.887,916.972 L210.875,916.972 L210.875,928.495 L204.887,928.495 L204.887,916.972 Z M204.887,847.753 L210.875,847.753 L210.875,859.359 L204.887,859.359 L204.887,847.753 Z M204.887,940.017 L210.875,940.017 L210.875,949.503 L204.887,949.503 L204.887,940.017 Z", null, false);
            clip26.Width = 30;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip56 = CreateNodes("Clip56", "M630.658,933.249 C627.233,933.249 624.427,930.391 624.427,926.977 C624.427,923.544 627.215,920.704 630.658,920.704 C634.079,920.704 636.931,923.555 636.931,926.977 C636.931,930.399 634.08,933.249 630.658,933.249 C628.939,933.249 632.374,933.249 630.658,933.249 L630.658,933.249 Z M628.497,917.808 C628.478,917.555 628.459,917.302 628.44,917.05 C628.257,914.547 627.577,911.462 626.594,907.862 C625.917,905.382 625.304,902.897 624.754,900.404 C623.74,895.856 623.492,892.662 623.673,890.672 C623.857,888.745 624.649,887.226 625.938,886.105 C627.235,884.975 628.802,884.437 630.69,884.437 C632.489,884.437 634.031,884.987 635.372,886.122 C636.706,887.257 637.521,888.741 637.697,890.589 C637.855,892.352 637.589,895.573 636.521,900.413 C635.951,902.905 635.316,905.393 634.616,907.872 C633.882,910.438 633.325,913.523 633,917.057 C632.977,917.308 632.954,917.557 632.931,917.808 C631.453,917.841 629.975,917.841 628.497,917.808 L628.497,917.808 Z M578.405,946.278 C576.979,946.278 575.89,945.751 575.337,944.793 C574.784,943.836 574.873,942.629 575.585,941.394 L627.859,850.852 C628.572,849.617 629.573,848.938 630.679,848.938 C631.784,848.938 632.786,849.617 633.498,850.852 L685.772,941.394 C686.485,942.629 686.574,943.836 686.021,944.793 C685.469,945.751 684.379,946.278 682.953,946.278 L578.405,946.278 L578.405,946.278 Z M673.932,937.815 L630.679,862.897 L587.426,937.815 L673.932,937.815 L673.932,937.815 Z", null, false);
            clip26.Width = 32;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            //Node clip57 = CreateNodes("Clip57", "M46.322,880.157 L40.915,881.984 L33.828,867.664 L48.149,874.752 L46.322,880.157 L46.322,880.157 Z M40.915,915.272 L33.828,929.592 L48.149,922.505 L46.322,917.098 L40.915,915.272 L40.915,915.272 Z M88.668,915.272 L83.262,917.098 L81.437,922.505 L95.756,929.592 L88.668,915.272 L88.668,915.272 Z M88.668,881.984 L95.756,867.664 L81.437,874.752 L83.262,880.157 L88.668,881.984 L88.668,881.984 Z M128.444,898.628 L80.866,914.702 L64.792,962.28 L48.718,914.702 L1.14,898.628 L48.718,882.553 L64.792,834.976 L80.866,882.553 L128.444,898.628 L128.444,898.628 Z M115,898.628 L64.792,898.628 L77.472,885.949 L64.792,848.421 L64.792,898.628 L52.114,885.949 L14.584,898.628 L64.792,898.628 L52.114,911.307 L64.792,948.836 L64.792,898.628 L77.472,911.307 L115,898.628 L115,898.628 Z", null, false);
            //clip26.Width = 30;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            Node clip58 = CreateNodes("Clip58", "M356.817,770.336 C358.069,768.802 357.843,766.539 356.308,765.285 C356.259,765.246 356.206,765.212 356.154,765.176 C363.611,756.654 369.244,753.61 369.244,753.61 C361.535,747.314 352.167,749.889 345.582,755.842 L344.619,750.984 L345.593,749.79 C345.972,749.325 346.237,748.455 346.174,747.855 L345.845,744.584 C345.784,743.986 345.354,743.187 344.888,742.806 L322.309,724.366 C321.843,723.985 320.972,723.722 320.373,723.782 L317.103,724.113 C316.505,724.173 315.702,724.604 315.322,725.069 L311.924,729.231 L310.475,721.931 L300.13,734.598 L307.572,734.559 L304.17,738.724 C303.792,739.188 303.531,740.06 303.592,740.657 L303.92,743.928 C303.981,744.527 304.411,745.328 304.878,745.71 L327.457,764.149 C327.924,764.531 328.793,764.79 329.392,764.731 L332.663,764.399 C333.263,764.341 334.062,763.91 334.441,763.445 L335.416,762.252 L340.369,762.226 C335.853,769.864 335.2,779.558 342.909,785.856 C342.909,785.856 345.218,779.425 351.661,770.749 C351.697,770.782 351.728,770.817 351.765,770.847 C353.301,772.101 355.564,771.87 356.817,770.336 L356.817,770.336 Z M358.39,717.539 L345.206,706.771 L329.236,726.326 L342.42,737.094 L358.39,717.539 L358.39,717.539 Z M292.213,771.661 L305.397,782.427 L321.368,762.871 L308.184,752.104 L292.213,771.661 L292.213,771.661 Z M390.187,768.456 C390.1,767.277 390.078,767.135 390.078,767.135 C389.89,765.924 390.735,764.857 391.957,764.761 L391.971,764.761 C393.194,764.666 394.337,765.555 394.511,766.736 C394.511,766.736 394.511,766.736 394.6,767.813 C395.566,779.627 390.905,791.707 381.043,799.746 C375.282,804.442 368.527,807.115 361.636,807.869 L360.651,807.973 C359.564,808.027 358.551,807.078 358.402,805.859 L358.398,805.836 C358.246,804.619 359.087,803.585 360.273,803.537 C360.273,803.537 360.273,803.537 361.341,803.414 C367.339,802.722 373.212,800.374 378.227,796.288 C386.831,789.278 390.942,778.766 390.187,768.456 L390.187,768.456 Z M372.594,789.375 C368.783,792.48 364.291,794.205 359.733,794.62 L358.825,794.703 C357.831,794.708 357.137,795.708 357.287,796.924 L357.293,796.966 C357.444,798.182 358.469,799.151 359.571,799.124 C359.572,799.124 359.571,799.124 360.571,799.02 C365.84,798.458 371.004,796.419 375.41,792.829 C382.866,786.753 386.411,777.64 385.73,768.709 C385.645,767.56 385.63,767.477 385.63,767.477 C385.424,766.268 384.259,765.356 383.034,765.449 L382.997,765.455 C381.775,765.549 380.955,766.591 381.18,767.774 C381.18,767.774 381.18,767.774 381.274,768.859 C381.913,776.448 378.927,784.212 372.594,789.375 L372.594,789.375 Z M366.956,782.462 C364.572,784.406 361.757,785.488 358.904,785.749 L357.9,785.84 C356.794,785.771 356.016,786.711 356.165,787.93 L356.179,788.024 C356.33,789.241 357.401,790.251 358.559,790.269 C358.559,790.269 358.559,790.269 359.61,790.157 C363.219,789.775 366.76,788.377 369.776,785.916 C374.862,781.776 377.289,775.567 376.852,769.471 C376.764,768.296 376.735,768.154 376.735,768.154 C376.479,766.955 375.272,766.05 374.048,766.149 L373.953,766.153 C372.734,766.247 371.971,767.219 372.256,768.314 C372.256,768.314 372.256,768.314 372.366,769.327 C372.868,774.171 371.006,779.164 366.956,782.462 L366.956,782.462 Z M363.356,769.44 C363.898,771.63 363.185,774.033 361.324,775.547 C360.251,776.425 358.963,776.866 357.673,776.892 C356.648,776.917 354.988,777.513 355.042,778.902 C355.121,780.914 357.491,781.409 358.582,781.3 C360.553,781.105 362.49,780.351 364.142,779.005 C366.94,776.723 368.248,773.298 367.943,769.952 C367.845,768.838 367.068,766.564 364.875,766.853 C363.811,766.998 363.149,768.61 363.356,769.44 L363.356,769.44 Z", null, false);
            clip26.Width = 30;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip59 = CreateNodes("Clip59", "M211.536,734.327 L207.896,734.327 L207.896,727.994 C210.208,727.26 211.884,725.1 211.884,722.546 C211.884,719.388 209.323,716.829 206.165,716.829 C203.008,716.829 200.447,719.388 200.447,722.546 C200.447,725.1 202.123,727.26 204.433,727.994 L204.433,734.327 L200.795,734.327 C200.795,771.823 173.543,812.206 173.543,812.206 L190.348,812.206 L199.421,795.381 L212.909,795.381 L221.983,812.206 L238.788,812.206 C238.788,812.206 211.536,771.823 211.536,734.327 L211.536,734.327 Z M205.808,739.496 L206.523,739.496 C206.664,741.86 206.902,744.224 207.213,746.578 L204.934,747.902 C205.339,745.109 205.642,742.303 205.808,739.496 L205.808,739.496 Z M203.766,754.557 L208.078,752.054 C208.5,754.358 208.997,756.645 209.545,758.908 L203.733,754.728 C203.744,754.671 203.754,754.615 203.766,754.557 L203.766,754.557 Z M202.471,760.188 L211.512,766.69 L198.343,774.338 L198.168,774.213 C199.779,769.717 201.249,765.013 202.471,760.188 L202.471,760.188 Z M187.263,807.037 L182.798,807.037 C184.042,804.892 193.303,795.839 193.303,795.839 L187.263,807.037 L187.263,807.037 Z M191.144,791.115 C192.877,787.437 194.624,783.444 196.283,779.224 L203.134,784.151 L191.144,791.115 L191.144,791.115 Z M202.992,790.212 L207.733,787.458 L211.561,790.212 L202.992,790.212 L202.992,790.212 Z M202.942,777.646 L213.266,771.649 C215.596,778.493 218.281,784.901 220.943,790.591 L202.942,777.646 L202.942,777.646 Z M218.802,795.419 C218.802,795.419 228.438,805.151 229.533,807.037 L225.067,807.037 L218.802,795.419 L218.802,795.419 Z M217.94,723.148 C218.388,720.968 217.489,718.818 215.815,717.565 C215.179,717.089 214.708,715.543 215.389,714.814 C216.793,713.318 218.685,714.5 219.411,715.242 C221.593,717.466 222.665,720.695 221.993,723.977 C221.596,725.913 220.647,727.591 219.345,728.888 C218.624,729.607 216.631,730.641 215.393,729.243 C214.537,728.276 215.382,726.874 216.106,726.255 C217.016,725.479 217.683,724.406 217.94,723.148 L217.94,723.148 Z M221.501,708.983 L221.566,708.923 C222.387,708.136 223.785,708.078 224.673,708.789 C224.673,708.789 224.778,708.875 225.531,709.669 C229.422,713.791 231.321,719.677 230.097,725.637 C229.373,729.175 227.649,732.257 225.281,734.65 L224.59,735.347 C223.748,736.014 222.385,735.916 221.562,735.131 L221.499,735.07 C220.677,734.284 220.683,733.151 221.517,732.551 C221.517,732.551 221.517,732.551 222.185,731.896 C224.085,730.034 225.471,727.606 226.044,724.808 C227.017,720.064 225.425,715.381 222.221,712.198 L221.549,711.532 C220.7,710.914 220.679,709.768 221.501,708.983 L221.501,708.983 Z M227.644,705.907 C226.791,705.189 226.766,703.959 227.589,703.174 L227.614,703.151 C228.438,702.363 229.813,702.335 230.668,703.084 C230.668,703.084 230.725,703.134 231.463,703.909 C237.195,709.927 239.994,718.558 238.203,727.299 C237.145,732.462 234.628,736.959 231.171,740.454 L230.517,741.116 C229.741,741.783 228.435,741.688 227.611,740.902 L227.583,740.876 C226.761,740.09 226.671,738.966 227.384,738.377 C227.384,738.377 227.384,738.377 227.987,737.785 C231.02,734.811 233.234,730.937 234.152,726.47 C235.674,719.04 233.26,711.709 228.347,706.633 L227.644,705.907 L227.644,705.907 Z M180.867,740.192 C175.136,734.173 172.337,725.543 174.129,716.802 C175.185,711.638 177.702,707.142 181.16,703.647 L181.814,702.984 C182.59,702.317 183.896,702.413 184.72,703.198 L184.748,703.224 C185.569,704.01 185.659,705.134 184.947,705.724 C184.947,705.724 184.947,705.724 184.344,706.316 C181.311,709.289 179.096,713.164 178.179,717.631 C176.658,725.059 179.07,732.392 183.984,737.467 L184.686,738.194 C185.54,738.912 185.565,740.142 184.741,740.927 L184.717,740.95 C183.894,741.737 182.518,741.765 181.664,741.017 C181.664,741.017 181.606,740.968 180.867,740.192 L180.867,740.192 Z M182.233,718.463 C182.957,714.925 184.682,711.844 187.049,709.45 L187.739,708.753 C188.582,708.087 189.945,708.184 190.768,708.969 L190.832,709.03 C191.656,709.816 191.648,710.949 190.813,711.55 C190.813,711.55 190.813,711.55 190.146,712.204 C188.246,714.067 186.86,716.495 186.286,719.293 C185.313,724.037 186.906,728.72 190.111,731.903 L190.782,732.568 C191.63,733.187 191.652,734.333 190.83,735.118 L190.766,735.178 C189.943,735.964 188.545,736.023 187.657,735.311 C187.657,735.311 187.552,735.225 186.8,734.431 C182.908,730.309 181.011,724.424 182.233,718.463 L182.233,718.463 Z M190.338,720.123 C190.735,718.188 191.684,716.509 192.986,715.212 C193.707,714.493 195.7,713.459 196.938,714.858 C197.794,715.823 196.949,717.226 196.224,717.846 C195.315,718.621 194.648,719.694 194.391,720.954 C193.943,723.134 194.842,725.282 196.516,726.535 C197.151,727.013 197.624,728.558 196.941,729.286 C195.538,730.783 193.645,729.601 192.919,728.859 C190.737,726.635 189.666,723.405 190.338,720.123 L190.338,720.123 Z", null, false);
            clip26.Width = 20;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            //Node clip60 = CreateNodes("Clip60", "M1054.102,87.424 L1054.102,105.789 L1007.267,105.789 L1007.267,35.279 L1027.186,35.279 C1027.977,33.279 1028.956,31.356 1030.109,29.529 L1024.369,29.529 C1023.661,29.529 1023.081,29.014 1023.081,28.384 C1023.081,27.754 1023.661,27.239 1024.369,27.239 L1031.683,27.239 C1033.433,24.884 1035.481,22.718 1037.778,20.777 L1007.929,20.777 C1002.976,20.777 998.924,24.831 998.924,29.784 L998.924,111.285 C998.924,116.239 1002.976,120.291 1007.929,120.291 L1053.601,120.291 C1058.555,120.291 1062.607,116.239 1062.607,111.285 L1062.607,84.085 C1061.942,84.027 1061.279,83.962 1060.621,83.876 C1058.585,85.089 1056.37,86.286 1054.102,87.424 L1054.102,87.424 Z M1030.685,115.698 C1029.005,115.698 1027.644,114.337 1027.644,112.657 C1027.644,110.978 1029.005,109.616 1030.685,109.616 C1032.364,109.616 1033.725,110.978 1033.725,112.657 C1033.725,114.337 1032.364,115.698 1030.685,115.698 L1030.685,115.698 Z M1066.744,13.496 C1045.633,13.496 1028.457,28.428 1028.457,46.783 C1028.457,57.428 1034.235,66.922 1043.206,73.021 C1043.403,81.4 1037.814,85.388 1032.915,91.137 C1037.123,90.693 1050.819,85.126 1059.856,79.531 C1062.092,79.885 1064.394,80.071 1066.744,80.071 C1087.858,80.071 1105.033,65.138 1105.033,46.783 C1105.033,28.428 1087.858,13.496 1066.744,13.496 L1066.744,13.496 Z M1066.744,74.802 C1064.709,74.802 1062.67,74.641 1060.68,74.326 L1058.747,74.02 L1057.082,75.051 C1054.383,76.722 1051.009,78.521 1047.361,80.241 C1048.169,77.914 1048.535,75.486 1048.474,72.897 L1048.41,70.187 L1046.168,68.663 C1038.261,63.288 1033.727,55.313 1033.727,46.783 C1033.727,31.334 1048.538,18.765 1066.744,18.765 C1084.951,18.765 1099.763,31.334 1099.763,46.783 C1099.763,62.233 1084.951,74.802 1066.744,74.802 L1066.744,74.802 Z", null, false);
            //clip26.Width = 20;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            //Node clip61 = CreateNodes("Clip61", "M956.297,36.663 L884.698,36.663 L947.693,13.383 L956.297,36.663 L956.297,36.663 Z M847.681,50.343 L861.961,88.984 L861.961,45.066 L847.681,50.343 L847.681,50.343 Z M873.573,120.404 L874.014,120.242 L873.513,120.242 L873.573,120.404 L873.573,120.404 Z M866.404,41.106 L973.026,41.106 L973.026,115.798 L866.404,115.798 L866.404,41.106 Z M955.644,63.379 C955.644,64.384 954.455,65.047 952.205,65.047 C950.116,65.047 948.091,64.567 946.774,64.087 L945.777,66.966 C946.999,67.446 949.442,67.903 951.916,67.903 C957.861,67.903 960.657,65.709 960.657,63.128 C960.657,60.957 958.858,59.54 955.034,58.535 C952.237,57.781 951.016,57.347 951.016,56.365 C951.016,55.565 952.045,54.879 954.166,54.879 C956.287,54.879 957.829,55.313 958.697,55.61 L959.79,52.8 C958.505,52.389 956.706,52.023 954.261,52.023 C949.152,52.023 946.067,54.034 946.067,56.661 C946.067,58.901 948.413,60.317 952.013,61.208 C954.616,61.871 955.644,62.419 955.644,63.379 L955.644,63.379 Z M900.946,67.674 L914.765,67.674 L914.765,64.818 L905.863,64.818 L905.863,61.163 L913.834,61.163 L913.834,58.329 L905.863,58.329 L905.863,55.13 L914.316,55.13 L914.316,52.274 L900.946,52.274 L900.946,67.674 L900.946,67.674 Z M878.772,67.674 L883.272,67.674 L883.272,63.036 C883.272,60.523 883.207,58.352 883.079,56.318 L883.175,56.296 C884.236,58.101 885.65,60.089 886.935,61.734 L891.563,67.674 L896.705,67.674 L896.705,52.274 L892.206,52.274 L892.206,56.776 C892.206,59.084 892.302,61.163 892.624,63.196 L892.528,63.196 C891.563,61.459 890.278,59.54 888.992,57.918 L884.493,52.274 L878.772,52.274 L878.772,67.674 L878.772,67.674 Z M876.37,108.208 L915.453,108.208 L915.453,104.324 L876.37,104.324 L876.37,108.208 Z M876.37,99.149 L915.453,99.149 L915.453,95.265 L876.37,95.265 L876.37,99.149 Z M876.37,90.09 L915.453,90.09 L915.453,86.206 L876.37,86.206 L876.37,90.09 Z M876.37,81.031 L915.453,81.031 L915.453,77.147 L876.37,77.147 L876.37,81.031 Z M921.836,67.674 L927.202,67.674 L929.259,61.048 C929.773,59.495 930.127,58.032 930.513,56.296 L930.578,56.296 C930.835,58.055 931.188,59.495 931.605,61.048 L933.438,67.674 L938.741,67.674 L944.333,52.274 L939.351,52.274 L937.584,58.581 C937.133,60.409 936.652,62.214 936.329,63.927 L936.266,63.927 C935.944,62.214 935.591,60.568 935.108,58.764 L933.373,52.274 L928.167,52.274 L926.335,58.581 C925.789,60.477 925.274,62.328 924.921,63.996 L924.856,63.996 C924.503,62.442 924.053,60.454 923.571,58.626 L921.932,52.274 L916.693,52.274 L921.836,67.674 L921.836,67.674 Z M923.976,108.208 L963.06,108.208 L963.06,104.324 L923.976,104.324 L923.976,108.208 Z M923.976,99.149 L963.06,99.149 L963.06,95.265 L923.976,95.265 L923.976,99.149 Z M923.976,90.09 L963.06,90.09 L963.06,86.206 L923.976,86.206 L923.976,90.09 Z M923.976,81.031 L963.06,81.031 L963.06,77.147 L923.976,77.147 L923.976,81.031 Z", null, false);
            //clip26.Width = 33;
            //clip26.Height = 30;
            //clip26.OffsetX = 150;
            //clip26.OffsetY = 250;

            Node clip62 = CreateNodes("Clip62", "M931.926,442.868 L939.401,442.868 L939.401,448.023 L931.924,448.024 L931.926,442.868 L931.926,442.868 Z M855.182,434.76 L965.524,434.76 L965.524,531.534 L855.182,531.534 L855.182,434.76 Z M950.939,444.851 L947.984,447.804 L949.196,449.016 L952.151,446.062 L955.105,449.016 L956.317,447.804 L953.362,444.851 L956.317,441.896 L955.105,440.684 L952.15,443.638 L949.196,440.684 L947.984,441.896 L950.939,444.851 L950.939,444.851 Z M930.211,449.737 L941.115,449.738 L941.115,439.669 L930.211,439.669 L930.211,449.737 L930.211,449.737 Z M866.207,525.607 L867.649,525.607 L867.649,519.48 L866.207,519.48 L866.207,525.607 Z M868.909,525.607 L870.35,525.607 L870.35,519.48 L868.909,519.48 L868.909,525.607 Z M954.5,521.186 L890.139,521.186 L890.139,519.448 L888.697,519.448 L888.697,521.186 L875.591,521.186 L875.591,523.901 L888.697,523.901 L888.697,525.575 L890.139,525.575 L890.139,523.901 L954.5,523.901 L954.5,521.186 L954.5,521.186 Z M862.79,514.043 L957.917,514.043 L957.917,454.941 L862.79,454.941 L862.79,514.043 Z M932.348,484.492 C932.348,496.639 922.501,506.487 910.353,506.487 C898.206,506.487 888.359,496.639 888.359,484.492 C888.359,472.344 898.206,462.497 910.353,462.497 C922.501,462.497 932.348,472.344 932.348,484.492 L932.348,484.492 Z M924.227,484.492 L904.047,471.019 L904.047,497.965 L924.227,484.492 L924.227,484.492 Z", null, false);
            clip26.Width = 32;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip63 = CreateNodes("Clip63", "M1077.572,770.422 C1074.452,768.927 1072.079,767.669 1070.278,766.576 C1074.153,766.68 1078.371,764.77 1081.401,763.071 C1067.255,751.379 1080.808,742.381 1080.439,726.503 C1080.15,714.089 1070.527,702.686 1063.788,707.429 C1063.309,693.208 1020.708,701.284 1022.387,724.8 C1025.388,721.12 1028.776,720.537 1028.776,720.537 C1015.579,737.858 1040.49,751.366 1024.028,762.452 C1025.468,762.775 1029.971,765.939 1034.165,766.363 C1032.318,767.526 1029.845,768.854 1026.561,770.424 C1004.732,780.864 1005.644,800.263 1005.644,814.361 L1022.5,814.361 C1020.983,809.824 1021.096,805.034 1022.828,800.552 L1026.373,800.552 C1024.255,805.103 1024.212,809.968 1025.974,814.361 L1078.022,814.361 C1079.773,809.998 1079.755,805.134 1077.624,800.552 L1081.169,800.552 C1082.9,805.033 1083.014,809.823 1081.497,814.361 L1098.313,814.361 C1098.313,800.215 1099.175,780.767 1077.572,770.422 L1077.572,770.422 Z M1040.125,752.84 C1037.165,749.484 1034.68,744.493 1034.362,733.897 C1034.364,733.884 1034.365,733.872 1034.368,733.859 C1036.585,727.133 1064.689,733.655 1068.604,723.714 C1069.296,726.079 1069.667,728.704 1069.667,731.543 C1069.667,743.774 1066.879,749.101 1063.889,752.845 C1058.368,759.757 1057.838,764.341 1066.466,768.231 C1065.482,772.437 1059.277,775.798 1052.039,775.798 C1044.806,775.798 1038.606,772.442 1037.614,768.24 C1045.802,763.911 1046.044,759.555 1040.125,752.84 L1040.125,752.84 Z M1031.558,771.445 L1034.011,770.11 C1038.428,783.045 1065.518,782.888 1069.881,770.11 L1072.407,771.481 C1067.452,786.272 1036.514,786.248 1031.558,771.445 L1031.558,771.445 Z", null, false);
            clip26.Width = 28;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip64 = CreateNodes("Clip64", "M943.5,769.173 C934.796,764.25 923.225,762.209 923.315,757.624 C923.352,755.735 924.335,754.192 925.696,752.056 C927.93,748.55 930.844,743.969 931.796,734.942 C931.825,734.935 931.85,734.933 931.879,734.926 C952.268,684.339 864.739,688.256 888.971,735.477 C889.984,744.158 892.837,748.624 895.036,752.06 C896.401,754.195 897.388,755.737 897.428,757.628 C897.525,762.106 886.893,763.952 877.87,768.915 C877.824,768.939 877.78,768.963 877.734,768.987 C877.688,769.013 877.641,769.038 877.595,769.063 C862.224,777.234 863.46,786.235 863.46,816.242 L880.697,816.242 L880.697,796.745 L883.97,796.745 L883.97,816.242 L936.735,816.242 L936.735,796.745 L940.008,796.745 L940.008,816.242 L957.248,816.242 C957.248,786.316 958.44,777.203 943.5,769.173 L943.5,769.173 Z M909.957,813.764 L903.434,809.025 L908.949,784.084 L911.182,784.084 L916.693,809.015 L909.957,813.764 L909.957,813.764 Z M904.281,770.268 L915.85,770.268 L911.096,778.696 L909.034,778.696 L904.281,770.268 L904.281,770.268 Z M920.404,761.672 L910.063,766.411 L900.201,761.89 C902.991,758.129 900.921,753.668 898.483,749.856 C896.171,746.242 893.356,741.833 892.789,732.18 C893.027,729.387 892.189,725.451 895.716,721.984 C902.534,731.71 913.932,725.766 925.805,727.528 C927.222,727.739 927.708,728.91 927.999,730.268 C927.714,741.266 924.696,746.012 922.245,749.857 C919.945,753.467 917.779,757.868 920.404,761.672 L920.404,761.672 Z", null, false);
            clip26.Width = 28;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node clip65 = CreateNodes("Clip65", "M511.546,894.944 C511.769,895.62 511.881,896.591 511.881,897.856 C511.881,899.121 511.769,900.119 511.546,900.852 C511.323,901.585 511.034,902.112 510.681,902.43 C510.328,902.75 509.883,902.977 509.347,903.111 C508.938,903.216 508.272,903.268 507.35,903.268 L504.884,903.268 L504.884,892.433 L506.369,892.433 C507.714,892.433 508.618,892.485 509.08,892.589 C509.698,892.723 510.207,892.98 510.608,893.359 C511.011,893.739 511.323,894.267 511.546,894.944 L511.546,894.944 Z M493.815,896.383 C494.209,896.249 494.518,896.018 494.741,895.691 C494.965,895.364 495.076,894.955 495.076,894.464 C495.076,893.913 494.929,893.469 494.636,893.13 C494.341,892.792 493.927,892.578 493.391,892.489 C493.123,892.451 492.32,892.433 490.981,892.433 L488.404,892.433 L488.404,896.584 L490.847,896.584 C492.431,896.584 493.421,896.516 493.815,896.383 L493.815,896.383 Z M472.793,899.552 L477.256,899.552 L475.003,893.482 L472.793,899.552 L472.793,899.552 Z M530.493,883.491 L530.493,935.04 C530.493,937.273 528.665,939.104 526.432,939.104 L440.077,939.104 C437.842,939.104 436.014,937.273 436.014,935.04 L436.014,883.491 C436.014,881.257 437.842,879.43 440.077,879.43 L526.432,879.43 C528.665,879.43 530.493,881.257 530.493,883.491 L530.493,883.491 Z M465.752,901.025 L462.55,900.009 C462.275,901.208 461.82,902.084 461.189,902.643 C460.556,903.2 459.801,903.48 458.924,903.48 C457.734,903.48 456.766,903.04 456.023,902.163 C455.279,901.286 454.907,899.812 454.907,897.744 C454.907,895.796 455.284,894.386 456.04,893.515 C456.794,892.645 457.778,892.209 458.991,892.209 C459.868,892.209 460.614,892.455 461.228,892.947 C461.841,893.438 462.245,894.107 462.439,894.955 L465.708,894.173 C465.336,892.865 464.777,891.86 464.034,891.161 C462.784,889.978 461.159,889.387 459.158,889.387 C456.866,889.387 455.018,890.14 453.612,891.646 C452.206,893.152 451.504,895.267 451.504,897.99 C451.504,900.563 452.203,902.593 453.602,904.077 C455,905.56 456.785,906.303 458.957,906.303 C460.712,906.303 462.161,905.87 463.303,905.003 C464.444,904.136 465.261,902.81 465.752,901.025 L465.752,901.025 Z M483.338,906.023 L476.788,889.666 L473.296,889.666 L466.924,906.023 L470.428,906.023 L471.778,902.308 L478.316,902.308 L479.745,906.023 L483.338,906.023 L483.338,906.023 Z M489.073,899.195 C489.832,899.195 490.386,899.256 490.736,899.379 C491.086,899.502 491.417,899.729 491.729,900.06 C492.041,900.39 492.622,901.192 493.469,902.464 L495.857,906.023 L499.808,906.023 L497.81,902.832 C497.021,901.56 496.394,900.676 495.93,900.177 C495.465,899.678 494.875,899.221 494.162,898.804 C495.596,898.597 496.676,898.092 497.398,897.292 C498.118,896.492 498.479,895.479 498.479,894.252 C498.479,893.285 498.241,892.426 497.765,891.674 C497.288,890.923 496.655,890.4 495.862,890.107 C495.07,889.812 493.8,889.666 492.052,889.666 L485.1,889.666 L485.1,906.023 L488.404,906.023 L488.404,899.195 L489.073,899.195 L489.073,899.195 Z M504.204,922.784 C504.204,918.616 500.826,915.238 496.659,915.238 C492.491,915.238 489.113,918.616 489.113,922.784 C489.113,926.952 492.491,930.33 496.659,930.33 C500.826,930.33 504.204,926.952 504.204,922.784 L504.204,922.784 Z M518.028,922.784 C518.028,918.616 514.648,915.238 510.481,915.238 C508.177,915.238 506.119,916.273 504.733,917.902 C505.599,919.328 506.105,920.995 506.105,922.784 C506.105,924.573 505.599,926.24 504.733,927.667 C506.119,929.295 508.177,930.33 510.481,930.33 C514.648,930.33 518.028,926.952 518.028,922.784 L518.028,922.784 Z M515.294,898.001 C515.294,896.469 515.116,895.18 514.759,894.135 C514.402,893.09 513.881,892.206 513.197,891.485 C512.513,890.763 511.69,890.261 510.731,889.978 C510.016,889.77 508.979,889.666 507.618,889.666 L501.581,889.666 L501.581,906.023 L507.796,906.023 C509.016,906.023 509.991,905.908 510.72,905.678 C511.694,905.365 512.468,904.93 513.041,904.372 C513.8,903.636 514.384,902.673 514.793,901.482 C515.127,900.508 515.294,899.348 515.294,898.001 L515.294,898.001 Z M550.357,900.203 L541.214,866.744 L504.113,876.881 L526.432,876.881 C530.078,876.881 533.041,879.846 533.041,883.491 L533.041,909.145 L547.511,905.192 C549.665,904.603 550.945,902.356 550.357,900.203 L550.357,900.203 Z M446.043,876.881 L454.132,876.881 L537.742,854.036 L536.77,850.477 C536.181,848.321 533.937,847.04 531.783,847.628 L448.481,870.389 C446.325,870.979 445.043,873.223 445.631,875.378 L446.043,876.881 L446.043,876.881 Z", null, false);
            clip26.Width = 33;
            clip26.Height = 30;
            clip26.OffsetX = 150;
            clip26.OffsetY = 250;

            Node star = CreateNodes("Star", "M540.3643,137.9336L546.7973,159.7016L570.3633,159.7296L550.7723,171.9366L558.9053,194.9966L540.3643,179.4996L521.8223,194.9966L529.9553,171.9366L510.3633,159.7296L533.9313,159.7016L540.3643,137.9336z", null, false);
            star.Ports.Add(CreatePort("port1", 0.5f, 0));
            star.Ports.Add(CreatePort("port2", 0, 0.39f));
            star.Ports.Add(CreatePort("port3", 1, 0.39f));
            star.Ports.Add(CreatePort("port4", 0.2f, 1));
            star.Ports.Add(CreatePort("port5", 0.8f, 1));

            clipArt.AppendChild(circularArrow);
            clipArt.AppendChild(curvedRightArrow);
            clipArt.AppendChild(curvedUpArrow);
            clipArt.AppendChild(curvedLeftArrow);
            clipArt.AppendChild(curvedDownArrow);
            clipArt.AppendChild(uTurnArrow);
            clipArt.AppendChild(jumpingRightArrow);
            clipArt.AppendChild(jumpingLeftArrow);
            clipArt.AppendChild(leftArrow);
            clipArt.AppendChild(rightArrow);
            clipArt.AppendChild(doubleArrow);
            clipArt.AppendChild(star);

            clipArt.AppendChild(clip1);
            clipArt.AppendChild(clip2);
            //clipArt.AppendChild(clip3);
            clipArt.AppendChild(clip4);
            clipArt.AppendChild(clip5);
            //clipArt.AppendChild(clip6);
            clipArt.AppendChild(clip7);
            //clipArt.AppendChild(clip8);
            //clipArt.AppendChild(clip9);
            clipArt.AppendChild(clip10);
            clipArt.AppendChild(clip11);
            //clipArt.AppendChild(clip12);
            clipArt.AppendChild(clip13);
            //clipArt.AppendChild(clip14);
            clipArt.AppendChild(clip15);
            //clipArt.AppendChild(clip16);
            clipArt.AppendChild(clip17);
            clipArt.AppendChild(clip18);
            clipArt.AppendChild(clip19);
            clipArt.AppendChild(clip20);
            //clipArt.AppendChild(clip21);
            //clipArt.AppendChild(clip22);
            //clipArt.AppendChild(clip23);
            clipArt.AppendChild(clip24);
            clipArt.AppendChild(clip25);
            clipArt.AppendChild(clip26);
            clipArt.AppendChild(clip27);
            //clipArt.AppendChild(clip28);
            clipArt.AppendChild(clip29);
            clipArt.AppendChild(clip30);
            clipArt.AppendChild(clip31);
            //clipArt.AppendChild(clip32);
            //clipArt.AppendChild(clip33);
            clipArt.AppendChild(clip34);
            clipArt.AppendChild(clip35);
            clipArt.AppendChild(clip36);
            clipArt.AppendChild(clip37);
            clipArt.AppendChild(clip38);
            clipArt.AppendChild(clip39);
            //clipArt.AppendChild(clip40);
            clipArt.AppendChild(clip41);
            clipArt.AppendChild(clip42);
            clipArt.AppendChild(clip43);
            clipArt.AppendChild(clip44);
            clipArt.AppendChild(clip45);
            //clipArt.AppendChild(clip46);
            //clipArt.AppendChild(clip47);
            //clipArt.AppendChild(clip48);
            //clipArt.AppendChild(clip49);
            //clipArt.AppendChild(clip50);
            //clipArt.AppendChild(clip51);
            //clipArt.AppendChild(clip52);
            clipArt.AppendChild(clip53);
            //clipArt.AppendChild(clip54);
            clipArt.AppendChild(clip55);
            clipArt.AppendChild(clip56);
            //clipArt.AppendChild(clip57);
            clipArt.AppendChild(clip58);
            clipArt.AppendChild(clip59);
            //clipArt.AppendChild(clip60);
            //clipArt.AppendChild(clip61);
            clipArt.AppendChild(clip62);
            clipArt.AppendChild(clip63);
            clipArt.AppendChild(clip64);
            clipArt.AppendChild(clip65);

            return clipArt;
        }

        private BasicShape CreateNodes(string name, string pathData, string color, Boolean identifierLabel)
        {
            //Node node = new Node();
            BasicShape node = new BasicShape();
            node.Name = name;
            node.Width = 40;
            node.Height = 40;
            node.OffsetX = node.Width / 2;
            node.OffsetY = node.Height / 2;
            node.Shape = BasicShapes.Path;
            node.PathData = pathData;
            //node.Type = new Shape(Shapes.Path);
            //node.Shape.PathData = pathData;
            node.BorderWidth = 1;
            node.FillColor = color != null ? color : "white";
            Label label = new Label(); // Add the main node label
            label.FontColor = "black";
            label.Name = "mainLabel";
            node.Labels.Add(label);
            if (identifierLabel)
            {
                label = new Label(); // Add the task identifier label
                label.Offset = new DiagramPoint(0.95f, 0.1f);
                label.HorizontalAlignment = HorizontalAlignment.Right;

                label.FontSize = 8;
                label.FontColor = "blue";
                label.Name = "identifierLabel";
                node.Labels.Add(label);
            }
            return node;
        }

        private void CreateRectanglePorts(Node node)
        {
            node.Ports.Add(CreatePort("port7", 1, 0.5f));
            node.Ports.Add(CreatePort("port1", 0, 0.5f));
            node.Ports.Add(CreatePort("port2", 0, 0.3f));
            node.Ports.Add(CreatePort("port3", 0, 0.7f));
            node.Ports.Add(CreatePort("port4", 0.5f, 0));
            node.Ports.Add(CreatePort("port5", 0.3f, 0));
            node.Ports.Add(CreatePort("port6", 0.7f, 0));
            node.Ports.Add(CreatePort("port8", 1, 0.3f));
            node.Ports.Add(CreatePort("port9", 1, 0.7f));
            node.Ports.Add(CreatePort("port10", 0.5f, 1));
            node.Ports.Add(CreatePort("port11", 0.3f, 1));
            node.Ports.Add(CreatePort("port12", 0.7f, 1));
        }

        private void CreateTrianglePorts(Node node)
        {
            node.Ports.Add(CreatePort("port7", 1, 0.5f));
            node.Ports.Add(CreatePort("port1", 0, 0.5f));
            node.Ports.Add(CreatePort("port4", 0.5f, 0));
            node.Ports.Add(CreatePort("port10", 0.5f, 1));
        }

        private Port CreatePort(string name, float offsetx, float offsety)
        {
            Port port = new Port();
            port.Name = name;
            port.Offset = new DiagramPoint(offsetx, offsety);
            return port;
        }

        private Connector CreateConnectors(string name, DecoratorShapes decoratorShapes, Segment seg, string lineDashArray)
        {
            Connector connector = new Connector();
            connector.Name = name;
            connector.Segments = new Collection();
            connector.Segments.Add(seg);
            connector.SourcePoint = new DiagramPoint(0, 0);
            connector.TargetPoint = new DiagramPoint(40, 40);
            connector.TargetDecorator = new Decorator();
            connector.TargetDecorator.Shape = decoratorShapes;
            connector.LineWidth = 2;
            connector.LineDashArray = lineDashArray;
            connector.Labels.Add(new Label { Text = "", FontColor = "black" });
            return connector;
        }

        private Lane CreateSwimLane(string name, string orientation, int width, int height)
        {
            Lane swimLane = new Lane();
            swimLane.Name = name;
            swimLane.Header.Text = "";
            swimLane.Header.Width = 60;
            swimLane.Header.Height = 60;
            swimLane.Header.FillColor = "#C7D4DF";
            swimLane.Header.FontSize = 11;
            swimLane.Width = width;
            swimLane.Height = height;
            swimLane.Orientation = orientation;
            swimLane.FillColor = "#f5f5f5";
            swimLane.OffsetX = 60;
            swimLane.OffsetY = 60;
            return swimLane;
        }

        protected void ExportAsImage(object sender, EventArgs e)
        {
            // Diagram2Image d = new Diagram2Image();
            //String fred = d.GetActivityDiagram("200");
            String x = "";
        }

    }
}